2007-2010 PrestaShop 

NOTICE OF LICENSE

This source file is subject to the Open Software License (OSL 3.0)
that is bundled with this package in the file LICENSE.txt.
It is also available through the world-wide-web at this URL:
http://opensource.org/licenses/osl-3.0.php
If you did not receive a copy of the license and are unable to
obtain it through the world-wide-web, please send an email
to license@prestashop.com so we can send you a copy immediately.

DISCLAIMER

Do not edit or add to this file if you wish to upgrade PrestaShop to newer
versions in the future. If you wish to customize PrestaShop for your
needs please refer to http://www.prestashop.com for more information.

@author Prestashop SA <contact@prestashop.com>
@copyright 2007-2010 Prestashop SA
@license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
International Registred Trademark & Property of PrestaShop SA

Release Notes for PrestaShop 1.4
--------------------------------
####################################
#   v1.4.0.12 - 4900 (2011-02-09)  #
####################################

	Added Features:

	[+] Installer : Now shipping and Security payment pages are deleted in catalog mode.
	[+] Installer : set default currency depends on localization

	[+] FO : Don't display some element if catalog mode is setted
	
	[+] BO : new feature check theme compatibility : now changing theme will check if guest_checkout, one_page_checkout, ccc and store_locator has been validated by the theme designer before changing it. If not, theses functions must be desactivated.

	[+] MO : DIBS module - the introduction text is added
	[+] MO : Trusted Shops adding functionality : Buyer protection and seal of approval
	[+] MO : Trusted Shops adding functionality : Buyer protection and seal of approval
	[+] MO : adding new native module: Criteo
	[+] MO : adding the automaticaly generation of config.xml files for modules
	
	[+] WS : Add entity Employee
	
	[+] PDF : method PDF::convertSign() is changed for more lisibility.

	Improved/changed features:

	[*] BO : $validateDni is a boolean, but was compared to integer for display error message
	[*] BO : Check the IP of the cookie is now optional
	[*] BO : Deprecated function add a log message
	[*] BO : added warning after the update: you must regenerate your htaccess file
	[*] BO : adding screencast at home of backoffice
	[*] BO : you can now search for back office features with the "search everywhere" feature
	
	[*] Core : some variables are now protected instead of private
	
	[*] MO : Shop Import now support images import
	[*] MO : You can now import images from oscommerce
	[*] MO : blocksearch module is no longer hooked in header
	[*] MO blockpaymentlogo : added empty option for select box
	
	[*] WS : Improve debug in Webservice
	[*] WS : add support for i18n synopsis

	Fixed bugs:

	[-] Project : Fixed bug #7365 on Configuration

	[-] Installer : Fixed bug during install
	[-] Installer : Bug Fixed #7526 - temporary table
	[-] Installer : change localization values for english

	[-] FO : Bug Fixed #7477 - Total tax line disapear
	[-] FO : Bug Fixed #7520 - Tax included text is not visible in blockcart.tpl
	[-] FO : Bug Fixed #7545 - Accessories always displayed tax incl
	[-] FO : Fixed #7429, #7496 - now getProducts() will call checkAccess, except if you call it with  = false in your controller
	[-] FO : Fixed #7495 removed extra html tag
	[-] FO : Fixed bug #7476
	[-] FO : Fixed bug to get iso_code from country in preProcess()
	[-] FO : Price display in cart is not refreshed on quantity discount
	[-] FO : When you activate blocksearch on top and on left (or right), autocomplete AND instantsearch works properly (input id changed)
	[-] FO : When you activate blocksearch on top and on left (or right), autocomplete AND instantsearch works properly (input id changed)
	[-] FO : fixed bug #7418 - Blockcart breaks search results
	[-] FO : fixed bug #7492 - Not valid DNI raises two errors instead of one
	[-] FO : fixed bug #7550 - Only one ?\226?\128?\152position?\226?\128?\153 was changed to $orderbydefault in product-sort.tpl
	[-] FO : fixed bug #7551 - Another code formatting issue
	[-] FO : fixed javascript error on product page
	[-] FO : if catalog mode is actived and no combination exists, the form #buy_block is hidden.
	[-] FO : now Validate::isDni() return true for empty value

	[-] BO / FO : Ecotax - with or without tax

	[-] BO : Added fr translation errors for AdminThemes new function
	[-] BO : AdminCarts shipping price displayed Tax Inc. when user is in Tax Exc. group
	[-] BO : Bug Fixed #7549 - Preview and new product
	[-] BO : Fixed #7508 error on preferences/appearance tab
	[-] BO : Fixed #7552 error in config.xml default theme file
	[-] BO : Fixed #7557 in admin module tab, items are now displayed in correct language
	[-] BO : Fixed an error in AdminThemes
	[-] BO : Fixed theme compatible functions when config file is missing or malformatted
	[-] BO : controller friendly URL are not set with a default value when you add a new language
	[-] BO : fixed bug #7452 - then i editing an existing product tags is missing
	[-] BO : fixed bug #7453
	[-] BO : fixed bug #7464
	[-] BO : fixed bug #7472
	[-] BO : fixed bug #7490 //Fail importing image category from CSV
	[-] BO : fixed bug #7541 - Bad Conf message when updating a form in the Back-Office
	[-] BO : fixed bug #7576 //in sitemap template, store link even if you dont have any shops
	[-] BO : fixed bug on back office with noLink parameters
	[-] BO : fixed bug on import csv
	
	[-] MO : Bug fixed #7099 - Upgrade fedex module
	[-] MO : Bug fixed #7467 - Shared Wishlist items is now working
	[-] MO : Fixed bug #7563
	[-] MO : TrustedShops Spanish
	[-] MO : fixed bug #7503 - Typo error in email templates
	[-] MO : fixed bug #7525 - [Debug] This page has moved
	[-] MO : fixed bug #7535 - paypal logos
	[-] MO : set flags for language (needed to choose the link to subscribe)

	[-] TR : Bug fixed #5348 - Little translation fixed in the cart - 2011-02-07 10:37
	[-] TR : Fixed some english translations
	[-] TR : New english translations fixed
	[-] TR : fixed bug #7486 - Typo error
	[-] TR : fixed bug #7518 - Typo error

####################################
#   v1.4.0.11 - 4774 (2011-02-02)  #
####################################

	Added Features:

	[+] BO : added translation
	[+] BO : column match in csv import (SQL)
	[+] BO : now you can save column match in csv import ;-)
	
	[+] MO : Twenga module is now compatible with 1.3alpha version and some indentations has been replaced in well format.
	
	[+] TR : related to bug #6149 - change the way to copy country translations. Now it used EN language.

	Improved/changed features:
	
	[*] FO : 300 Ko of memory saved for each page
	[*] FO : Bug fixed #7278 - It is now possible to specify the module for cart ajax in cart controller
	[*] FO : Bug fixed #7278 - Set new method to enable the possibility to override cart ajax module include
	[*] FO : Complicated cache on cart product attributes
	[*] FO : Friendly URL behavio(u)r changed when you have a unique active language
	[*] FO : One more cache (product specs) and some cleaning
	[*] FO : cache added to the product feature, which avoid a few queries when there are products in the cart
	[*] FO : one less query when the cart is empty
	[*] FO : too much queries for the same things, again and again
	[*] FO : translations files inclusion deported to the right place, up to 150 Ko / page saved

	[*] BO : Strict Standard - removed constructor which only calls its parents in classes/ImportModule
	[*] BO : Token verification is now ugly, but REALLY secure
	[*] BO : added tips on the back office homepage
	[*] BO : adding log system
	[*] BO : you are not stuck anymore with a bad token in the URL, you can choose to display the page if you trust it
	[*] BO : you can now choose how do you want to delete your customers
	[*] BO: Change  property from private to protected
	
	[*] WS : Order management optimizations
	[*] WS : Support for combinations
	[*] WS : Support for overriding object active record method
	[*] WS : adding some xlinks and a part of product images support

	Fixed bugs:

	[-] Project : Bug fixed #7111 (1.4) - Hook postUpdateOrderStatus is called only in postUpdateOrderStatus now

	[-] Installer : Bug Fixed #7319 - Tax rules group name 32 => 50 characters

	[-] FO : Bug Fixed #7143 - Tax line vanish
	[-] FO : Bug fixed #7332 - Selected sort on product-sort.tpl is now displayed when selected
	[-] FO : Bug fixed #7355 - Pagination fix
	[-] FO : Cart - Price is not refreshed on quantity discount + shipping is not displayed without tax on summary update (Thank you so much Vincent for your help)
	[-] FO : Fixed #7379 better message when try to register with an e-mail already registered
	[-] FO : Fixed #7379 postal code / zip code incorrect text when created new account or new address
	[-] FO : Fixed #7414 replaced usage of Db->numRow in if statement by is_array() and sizeof() of getAttributesGroups result
	[-] FO : Total not updated on cart summary
	[-] FO : abusive redirection fixed on product page
	[-] FO : fixed bug #6863 - svn4286 gift wrap not listed correctly in the cart
	[-] FO : fixed bug #7265 - scenes don?\226?\128?\153t use catalog mode
	[-] FO : fixed bug #7277 - User info block doesn?\226?\128?\153t update after logging in on one-page checkout
	[-] FO : fixed bug #7347
	[-] FO : fixed bug #7353
	[-] FO : fixed bug #7361 - Reset password customer
	[-] FO : fixed bug #7388 - category links dont get translated in SEO links in category block
	[-] FO : fixed bug #7410 - Default Orderby and wrong Uppercase in product-sort.tpl
	[-] FO : fixed display bug of supplier and manufacturer link when module is not installed
	[-] FO : postcode is now allowed empty. It has to be tested in controllers
	[-] FO : postcode is now saved when adding/modifiyng an address
	[-] FO : preload of links fixed
	[-] FO : related to bug #6968 - HTTP_ACCEPT_LANGUAGE server var is a language iso code not a country iso code.
	[-] FO : Fix smarty debug with smarty3 #7306

	[-] BO : Bug Fixed #5755 - Cart displayed tax included in Admin > Customers > Cart
	[-] BO : Bug Fixed #7065 - Disable Tax = Tax removed from all the associated tax rules
	[-] BO : Bug Fixed #7323 - Unkwnow column priority in field list
	[-] BO : Bug Fixed #7384 - Translation now works when need_instance=1
	[-] BO : Bug fixed #5970 - 2 invoices same number
	[-] BO : Bug fixed #7263 - Postalcode required flag is now used for back office
	[-] BO : Bug fixed #7275 - "unity" became "unit" on "3. Prices" tab
	[-] BO : Bug fixed #7276 - Minor code formatting issue
	[-] BO : Bug fixed #7282 - Spaces are removed when latitude store are posted
	[-] BO : Bug fixed #7302 - Invoice date is now displayed
	[-] BO : Bug fixed #7315 - Postalcode required flag is now used for back office (store tab)
	[-] BO : Employee class cleaned and fixed (employee status wasn't checked enough, employee count was wrong...)
	[-] BO : Fixed #7400 character "~" is now allowed in Urls
	[-] BO : Magic Quotes shall... not.. PASS! Even in AdminTranslations!
	[-] BO : error message "object cannot be loaded" is not an awful die anymore
	[-] BO : fixed bug #7243
	[-] BO : fixed bug #7343 - Tag parsing not robust enough
	[-] BO : fixed bug #7358
	[-] BO : fixed bug #7398
	[-] BO : fixed toggle in adminEmail
	[-] BO : flying language flag replaced in AdminMeta
	[-] BO : related to bug #7294 - Add message concerning the rule sizeLang for a field ("html chars including")
	[-] BO : related to bug #7303 - add a suffix for each translation panel id to avoid confused id (as "footer").
	
	[-] Classes : fixed bug #7336 - An item in your cart is no longer available, you cannot proceed with your order
	
	[-] MO : change method to get the post key, Tools::strtolower() function is used on template name and module name @see revision #4652
	[-] MO : change method to get the post key, Tools::strtolower() function is used on template name and module name @see revision #4652
	[-] MO : Bug fixed #7268 (1.4) - ProductToolTip module is now showing the good date
	[-] MO : Bug fixed #7296 - Major fix on USPS module
	[-] MO : Bug fixed #7373 - UPS Module : Improved shipping cost calcul, edit carrier fixed, compliant carrier configuration tab, alert system configuration
	[-] MO : If just one theme is displayed, don't display list of theme.
	[-] MO : fixed bug #7257
	[-] MO : fixed bug #7261 - VAT number not use
	[-] MO : fixed bug #7285 - hardcoded warning in fianetfraud module
	[-] MO : fixed bug #7317
	[-] MO : fixed bug #7329
	[-] MO : fixed bug #7352 - Search Engine Keywords Stats Module
	[-] MO : fixed bug and improvement of shopImporter
	[-] MO : fixed error translation message in TwengaException class
	[-] MO blockwishlist : fixed error message : invalid 1st email display correct message + added 2nd parameter htmlentities=false
	[-] MO referralprogram : Fixed translation to match referralprogram.php
	[-] MO : Fixed bug #7283
	
	[-] WS : Minor WS bugs fixed
	
	[-] PDF : Bug fixed #7312 - Ecotax * product quantity
	
	[-] TR : change method to get the translation key, no more class name is used but file name, as AdminTranslation do.
	[-] TR : change method to get the translation key, strtolower() function is used on module name
	[-] TR : change method to get the translation key, strtolower() function is used on module name
	[-] TR : change method to get the translation key, strtolower() function is used on template name
	[-] TR : correct a text
	[-] TR : related to bug #7301 - change a translation
	[-] TR : set "PREFIX_" instead of "ps_" in request translations for country_lang table
	[-] TR : some errors where not appropriately formatted
	
####################################
#   v1.4.0.10 - 4640 (2011-01-26)   #
####################################

	Improved/changed features:
	
	[*] Project : adding Catalog mode, for disable easly all shopping features
	
	[*] Installer : adding catalog mode option in Installer
	
	[*] FO : New hook Payment Top
	[*] FO : a few things related to the cart are now cached (~= 46 less queries when there is a product in the cart)
	[*] FO : Can't cumulate group reduction + category group reduction + Function Tools::displayParameterAsDeprecated()
	[*] FO : performance improvement on packs
	
	[*] BO / FO : fixed bug #6707 - improved geolocalization feature with adding of whitelist of IP (e.g. for SEO purpose)
	
	[*] BO : added test for pagespeed module for apache in AdminInformation (this module can cause prestashop to be unstable)
	
	[*] BO : htaccess generation and friendly URL activation simplified
	[*] BO : Specific price form improvement
	[*] BO : you can now fill in your domain name for e-mails (sometimes required by tightly configured mail server)
	[*] BO : you can now use Tools::file_get_contents which will switch to curl if allow_url_fopen is disabled
	
	[*] Core: If SSL is enabled, now you can not access to pages without HTTPS
	
	[*] MO : add link to Twenga tarifs grid.
	[*] MO : shopImporter is now using object to add entity
	[*] MO : UPS module upgrade - easier to configure and get it working
	[*] MO : UPS Webservices connections method is stronger now
	[*] MO : USPS module was updated (almost same options as UPS module)
	
	Fixed bugs:
	
	[-] Project : Now the dni check is compatible with more format
	[-] Project : Fixed bug #7170 (completed) - Bad translations & typos
	[-] Project : Fixed bug #7170 - Fixed a lot of typos everywhere
	
	[-] Installer : installer now drop every compile and cache files of smarty when installing or updating
	[-] Installer : fix bug on checking of version in Installer
	
	[-] FO : abusive 301 redirect fixed
	[-] FO : adding missing check for DNI field
	[-] FO : BUG:7114 Modified css blockmanufacturer.css.
	[-] FO : Bug fixed #7149 - unnecessary code in blockspecials.tpl
	[-] FO : fixed bug #6989 - Advanced parameters… not appear in One page checkout and guest checkout
	[-] FO : Fixed bug #7095 - Rewrote $_SERVER['REQUEST_URI'] on IIS 6.0 on homepage
	[-] FO : fixed bug #7108 - Other payment method button raise an error when ssl is used
	[-] FO : fixed bug #7109 - Carrier default not checked
	[-] FO : fixed bug #7112 - Can’t login on OPC
	[-] FO : fixed bug #7146 - fixed free order with guest checkout
	[-] FO : fixed bug #7147 - fixed bug on order-confirmation with redirection and guest account
	[-] FO : Fixed bug #7187 - Deleted layer.js
	[-] FO : fixed bug #7193 - Guest checkout / Download link issue
	[-] FO : fixed bug #7221
	[-] FO : fixed bug #7224
	[-] FO : fixed bug #7225
	[-] FO : fixed bug #7227
	[-] FO : fixed links in RMA
	[-] FO : fixed parkinson click on add to cart
	[-] FO : performance improvements 
	[-] FO : Tools::redirectLink fixed for https
	
	[-] BO / FO : adding Behviour for no reconnized country on Geolocalization feature
	[-] BO / FO : fixed bug #4711 - VAT Problem
	
	[-] BO : Bug fixed #5699 - When employee had no adding right in catalog, add button is not displayed
	[-] BO : Bug Fixed #6874 - Can't refund if there is a customization 
	[-] BO : Bug Fixed #7205 - During installation if a localization pack is installed, the "localized" data (currency, taxes etc ..)  don't have a default name and other i18n field
	[-] BO : bug fix on search indexation
	[-] BO : currency fixed on back office homepage
	[-] BO : Fixed bug #7125
	[-] BO : fixed bug #7131
	[-] BO : Fixed bug #7142 - Errors were not translated on the login page
	[-] BO : fixed bug #7144 - Disallow: /prestashop/order-opc.php not in robots.txt
	[-] BO : Fixed bug #7194 - The features tab was broken in the product edition page
	[-] BO : Fixed bug #7198 - Fixed the link "Back to the category" on "Attachments" tab
	[-] BO : fixed bug #7202
	[-] BO : Fixed bug #7204 - States were not showing up when default country was USA
	[-] BO : fixed bug #7219
	[-] BO : fixed bug #7222
	[-] BO : priority field in import & adminproduct tab
	[-] BO : some javascript script was called twice on adminproducts
	[-] BO : you can't disable the default currency anymore
	
	[-] Core : Rename Memcached class to MCached to fix #7163 bug
	
	[-] MO : Bug Fixed #5298 - Mass email sending
	[-] Mo : Bug fixed #7116 - Bug fixed on Usps and Fedex carrier
	[-] MO : Bug fixed #7129 - Block newsletter is now working when url rewriting is enabled
	[-] MO : Bug fixed #7139 - Editorial module translations is now working
	[-] MO : Bug fixed #7159 - Send To Friend can have two hooks at the same time
	[-] MO : Fixed blockcategories turns off force compile #7128
	[-] MO : fixed bug #7115 - Paypal 2.1 module - multiple ‘authorization accepted from Paypal’ order statuses
	[-] MO : Fixed bug #7199 - Added 'allow_guests' var in .tpl for productscomments module
	[-] MO : fixed bug #7208 - Customer Name Transposed in PayPal
	[-] MO : Fixed bug #7214 - "Your name" couldn't be translated in productcomments module
	[-] MO : fixed bug #7217 - typo in variable name in fianetfraud module
	[-] MO : fixed bug download product redirect
	[-] MO : fixed bug on wishlist
	[-] MO : fixed bug on wishlist
	[-] MO : fixed bugs on shopImporter
	[-] MO : fixed bugs on shopImporter and oscommerImport
	[-] MO : fixed bugs on shopImporter & import ocs
	[-] MO : fixed install bug
	[-] MO : TrustedShops Strict Standard (mktime)
	
	[-] Mails : Fixed bug #7157 - Fixed a typo in the contact mail template
	
	[-] TR : Bug fixed #7155 - Translation correction
	[-] TR : fixed bug #7231 - Translation in Cart
	
	[-] LO : US - Missing taxes
	
	Deprecated methods:
	
	[~] Deprecated : Parameter divisor in getPriceStatic
	

####################################
#   v1.4.0.9 - 4517 (2011-01-19)   #
####################################

	Improved/changed features:
	
	[*] Project : Added default states for Italy in the localization pack (thanks Jacky75)
	[*] Project : Update Smarty from 3.0.5 to 3.0.6
	[*] Project : Vouchers can now be shrunk in orders
	
	[*] FO : Now in SVN version, if you remove the _ to the FrontController overriden classe, each king of PHP errors die the script, better for developpement environnement
	
	[*] BO/FO : Quantity discount & discount can be cumulated
	
	[*] BO : adding phone number in footer for France
	[*] BO : Searching translations for modules use now recursive method. This allow to create files in deeper folder (this change the translation file order). 
	[*] BO : you can now generate a single PDF with all the order slips for a given period
	[*] BO : You can now view customer messages even if they didn't finalize an order
	
	[*] Core : Big performance improvements when products are added to the cart!
	
	[*] MO: Fixed bug #5647 on mailalert / Mailalert mail does now contain attributes name
	[*] MO: Fixed bug #5972 on mailalert
	
	[*] TR : set a new Translation
	
	[*] WS : Support for associations
	
	Fixed bugs:
	
	[-] Installer : Bug Fixed #6685 - SQL problem if tax are disabled
	[-] Installer : fixed a spannish translation on installer
	[-] Installer : the updater now handle ajax parse errors
	
	[-] FO : a bug occured when translations file are empty.
	[-] FO : bug #6887 fixed
	[-] FO : bug #6909 fixed
	[-] FO : Bug fixed #5250 (1.4) - Contact php mail is now working on BlueHost
	[-] FO : Bug fixed #5302 (1.4) - Viewed products module is now working even when there is no picture product
	[-] FO : Bug fixed #6961 - Invert pictures between products and employees on DashBoard
	[-] FO : Bug fixed #6966 - URL Rewriting
	[-] FO : Bug fixed #6977 - New Products Request
	[-] FO : Bug fixed #6992 - Blockcategories url links have been fixed
	[-] FO : Bug fixed #7016 - "Sort by" is now working on "best sales"
	[-] FO : Bug Fixed #7031 - Reduction percent in blockspecials
	[-] FO : Bug Fixed #7067 - Incorrect ecotax mngt for non-taxed customer
	[-] FO : Bug Fixed #7075 - Incorrect taxes when discount amount is used
	[-] FO : Bug fixed #7085 (1.4) - HTML Tag are not displayed anymore in href title of short description
	[-] FO : Cart summary displays price Tax Inc. with a customer group Tax Exc.
	[-] FO : fix bug #5490
	[-] FO : Fixed #7054
	[-] FO : fixed an javascript error on One page checkout
	[-] FO : fixed a notice error on One page checkout
	[-] FO : Fixed bug #5685 - Minimal amount wasn't using the customer currency
	[-] FO : fixed bug #6523 #6657 - adding missing fields on One page checkout
	[-] FO : fixed bug #6575 - No way to provide order comment when creating new account through opc
	[-] FO : fixed bug #6652 - Possible to skip required field with opc after pussing button “ Modify my address”
	[-] FO : fixed bug #6766 - Not all errors are mentioned at account creation or instant checkout
	[-] FO : fixed bug #6954 - Firebug reports an error at checkout
	[-] FO : fixed bug #6999 - One Page Checkout - Already Registered? Redirect to Authentication
	[-] FO : small bugs and optimizations on One page checkout
	
	[-] BO / FO : Bug Fixed #5775 - Credit slip on a customization = a full order credit slip
	[-] BO / FO : Bug Fixed #6898 - unit prices not impacted by specifc prices
	[-] BO / FO : Quantity discount now use priorities
	[-] BO / FO : unit_price initialisation
	
	[-] BO : a class is added for simulate a disable input
	[-] BO : Bug fixed #5536 (1.4) - Warning is displayed when the limit of suhosin could cause problem on translations tab
	[-] BO : Fixed #7029 Bad quantity reinjected on products
	[-] BO : Fixed bug #4264 - It was possible to send email by SMTP without a SMTP server specified
	[-] BO : Fixed bug #5266
	[-] BO : Fixed bug #5496 - Missing check on php_uname() in "Informations" tab
	[-] BO : Fixed bug #5558 - Impossible to read customer messages without orders
	[-] BO : Fixed bug #5953 - It was impossible to change an order state if there were no products in the order
	[-] BO : fixed bug #6358
	[-] BO : fixed bug #6755
	[-] BO : Fixed bug #6857 - Missing htmlentitiesUTF8 in search results
	[-] BO : Fixed bug #6875 - Error while regenerating Stores thumbs
	[-] BO : Fixed bug #6940 - Updated PL tax
	[-] BO : Fixed bug #6943 - Updated UK tax
	[-] BO : fixed bug #6953 - Style problem (block overlaps) - (only IE7)
	[-] BO : Fixed bug #7013 - Now using Tools::getValue to add tags
	[-] BO : Fixed bug #7033 - Error while adding a new language (image format not recognized, allowed formats are: .gif, .jpg, .png)
	[-] BO : fixed bug in import csv
	[-] BO : Missing tax rules (US)
	[-] BO : Tax on product page should not use state taxes
	[-] BO : Modules translations works fine for a theme overriding module,
	[-] BO : warning fixed (language tab, caused by a missing directory)
	
	[-] Classes : Missing taxes during Localization pack import
	[-] Classes : Fixed bug #6942 - Notice:  Undefined variable: lang during installation
	
	[-] Core : Fixed bug #4248 - Zones are now deleted properly
	[-] Core : Fixed bug #5211 - SQL error related to cart
	[-] Core : Fixed bug #5486 - Warning on $category in Link.php class and in the mailalerts module (id <=> id_product)
	[-] Core : Fixed bug #6950 - Error with SSL when using CCC
	[-] Core : Fixed bug #6964 - PT localization pack was updated
	[-] Core : Fixed bug #6982 - Undefined $row in the Customer class
	[-] Core: Fixed bug #7083

	[-] MO : Bug fixed #6816 - Webservice test is now repaired
	[-] MO : Erase css in "style" attribut, use a new css class.
	[-] MO : fixed a bug on mailalert module
	[-] MO : fixed bug #5347 - Google Checkout Currency corversion error
	[-] MO : fixed bug #6028 - paypal express and paypal block logo
	[-] MO : Fixed bug #6701 - Module products comments wasn't working properly for user who update from < 1.4.0.2 to a new version
	[-] MO : Fixed bug #7003 - Deleted some useless vars
	[-] MO : Fixed bug #7021 - Bad tag in mailalerts module
	[-] MO : Fixed bug #7026 - We don't use anymore the Thickbox in the PayPal module
	[-] MO : Fixed bug #7031 (partially) - Deleted unused var in module blockspecials
	[-] MO : Fixed product comments bug #7077
	[-] MO : fixed warnings in fia-net modules
	[-] MO : Mailalert does now not try to add product to cart when return key is pressed
	[-] MO : set a tracker in DIBS
	[-] MO : update Google Analytics module
	[-] MO : related to bug #6786 - Correct ie7 integration and improved general integration and lisibility
	
	[-] WS : Clean WebService parameters in classes
	
	[-] TR : check if _PS_THEME_DIR.'/modules/' exists before scan it
	[-] TR : Fixed bug #5266
	[-] TR : Fixed french translation for url rewriting
	[-] TR : Order of translate sentence changed (because of last translation tools debug), delete old translation.
	[-] TR : related to bug #4787 - Copy translations from a theme to an other work fine and (keys translation are changed according to the theme name),
	

####################################
#   v1.4.0.8 - 4410 (2011-01-12)   #
####################################

	Improved/changed features:
	
	[*] Installer: Localization packs is now available on release
	
	[*] FO : All the page URLs are now really multilingual when rewrited, and with a simple iso code instead of "lang-zz"
	
	[*] BO : Simplified the import upload process
	[*] BO : Added a warning relative to ZipArchive
	[*] BO : Files already imported are now sorted by upload date desc
	[*] BO : Import is now really faster on categories, calling nested tree regeneration only once
	[*] BO : improvement of search engine module in back-office
	[*] BO : Localization Pack dont add new Currency/Language/State/Tax if already exist
	[*] BO : Remote help improvements
	[*] BO : remove useless calls of jquery hotkeys
	[*] BO : Robots.txt file generation improved
	[*] BO : search indexation optimized
	[*] BO : you can now add a specific message when deleting an item
	[*] BO : you can now specify the canonical url of your shop in the preferences, and it will be used to redirect users to the right domain 
	
	[*] Classes : report to bug #6841

	[*] Core : Added a flag to Category class to prevent from nested tree regeneration if needed ($category->doNotRegenerateNTree)
	[*] Core : Deleted unused defines (_PS_TMP_DIR_, _PS_STEST_DIR_) and renamed _PS_PROD_PIC_DIR_ to _PS_UPLOAD_DIR_
	
	[*] MO: Add alert to customer even if he is not logged on mailalert
	[*] MO : Fixed bug #6870 - Shop logo is now displayed on PayPal redirection page
	[*] MO : Fixed bug #6870 - Two small improvements on PayPal module (W3C validation)
	[*] MO : gsitemap now handle homepages in multiple languages
	[*] MO : new version of socolissimo for more compatibility with version 1.4
	[*] MO : optimize the image subheading style of the editorial module
	[*] MO : pagination for gridhtml
	[*] MO : statsbestcustomers improved
	[*] MO : stats modules with grids improved
	
	[*] TR : translation added
	[*] TR : translation added
	
	Fixed bugs:
	
	[-] Project : Bug Fixed #6864
	
	[-] Installer : Allow to use language chosen in localization pack during install
	[-] Installer : change the localization pack installer, don't install lang pack if lang is fr, en or es.
	[-] Installer : Change some wrong country name related to bug #6149
	[-] Installer : Fixed bug #6235 - Subquery returns more than 1 row on AdminStores
	[-] Installer : Fixed bug #6584 - Bad error message if no permissions on img/logo.jpg
	[-] Installer : Fixed bug #6859 - Upgrade file for 1.4.0.7 was updating hook's names to the wrong table
	[-] Installer : gridextjs is now renamed as deprecated in the updater
	[-] Installer : no name hooks named
	
	[-] FO : Bug Fixed #5406 - Tax inc. displayed when taxes are disabled
	[-] FO : Bug Fixed #5582 - Negative tax on free order
	[-] FO : Bug Fixed #6665 - Suppliers pagination is ok now, unactive products are not count anymore and suppliers display on Front Office
	[-] FO : Bug Fixed #6892 - Qty discount price in percent not correctly displayed
	[-] FO : Fixed a fatal error on product page ($this->$smarty) (no $ needed)
	[-] FO : Fixed bug #6312 - Small changes in CSS for better compatibility
	[-] FO : fixed bug #6745 - Wrong text OPG
	[-] FO : Fixed bug #6829 - CSS typo in product.tpl
	[-] FO : Fixed bug #6866 - Missing margin-bottom on #buy_block
	[-] FO : Fixed bug #6873 - CMS page wasn't using breadcrumb.tpl
	[-] FO : Fixed bug #6897 - Deleted useless Back button on authentication page
	[-] FO : Fixed bug #6910 - Bullet image size properties are missing
	[-] FO : Fixed bug #6919 - Selected country was the wrong one in address edition
	[-] FO : Fixed bug #6921 - Missing translation code in authentication.tpl
	[-] FO : fixed bug on One Page checkout, when no payment method is available
	[-] FO : fixed display quantity discount
	[-] FO : removed double slash in the canonical URL of the authentication page
	[-] FO : Tax calculation on PDF invoice incorrect
	[-] FO : weird 404 page generated by the stat encrypted data fixed
	
	[-] BO/FO : Bug Fixed #6438 - BO, Invoices & history don't use specific prices
	
	[-] BO : Bug Fixed #6809
	[-] BO : back office themes appear again in employee tab
	[-] BO : Bug #6826 fixed
	[-] BO : Bug Fixed #5215 (1.4) - Import product list in different language
	[-] BO : Bug Fixed #5523 (1.4) - Combinations generator does not cut off attribute names with quote anymore
	[-] BO : Bug Fixed #5616 (1.4) - Supplier reference is displayed in Orders Tab
	[-] BO : Bug Fixed #5859 - Move products image positions
	[-] BO : Bug Fixed #6086 (1.4) - Back link repaired in Back Office
	[-] BO : Bug Fixed #6134 - unit price with quantity discount
	[-] BO : Bug Fixed #6602 - TaxRules tab next to the tax tab
	[-] BO : Bug Fixed #6617 - Unable to assign tax rule to particular zones
	[-] BO : Bug Fixed #6687 (1.4) - Incorrect group on customer creation is now fixed
	[-] BO : Bug Fixed #6726 & #6721 - Quantity discount & Specific prices
	[-] BO : Bug Fixed #6805 (1.4) - Color now can be saved in order state administration
	[-] BO : bug fixed in CSV import tax group name => tax group id
	[-] BO : empty translations files are now created when you add a language
	[-] BO : Fixed #6811
	[-] BO : Fixed a bug related to ZipArchive, Fatal error while posting a zip file if ZipArchive was missing
	[-] BO : Fixed bug #3900 - Delete [E] option in .htaccess
	[-] BO : Fixed bug #5478 - After saving a combination, attributes order was modified
	[-] BO : Fixed bug #6321 - Error on import
	[-] BO : fixed bug #6364
	[-] BO : fixed bug #6774
	[-] BO : fixed bug #6791 //Now when no payment module is installed message appears in place of the tables restriction without a checkbox.
	[-] BO : Fixed bug #6867 - Two dates were not formatted correctly (Orders list and Cart detail)
	[-] BO : Fixed bug #6908 - Missing translation in editorial module
	[-] BO : Fixed bug #6916 - Link to Wikipedia on state tab deleted
	[-] BO : Fixed bug #6922 - Create .htaccess doesn't work 
	[-] BO : fixed bug minimal quantity
	[-] BO : Fixed bugs #6762, 6760, 6764, 6765 - Bad relative paths in several admin tabs (not using defines.inc.php)
	[-] BO : Fixed bugs #6778, #6780, #6779 - Hardcoded directories in Admin panel tabs
	[-] BO : Fixed CH localization (tax rates have increased on 1st January 2011)
	[-] BO : Specific prices - HT price is empty by default
	[-] BO : Undefine during Cancel product
	
	[-] Classes : Bug Fixed #6320 - getPricestatic must not modify global cart
	[-] Classes : Bug Fixed #6750 - The newer e-mails have been added
	[-] Classes : Bug Fixed #6825 - Missing properties (ecotax_tax_rate & group_reduction) in OrderDetails class
	
	[-] Core : bug fixed #6856
	[-] Core : false is now considered as an empty value in ObjectModel, thus allowing an ID set to false if it is not required (before that, the id had to be set to either null or '')
	[-] Core : Fixed bug #5706 - Now using round() instead of intval for image resizing
	[-] Core : fixed bug #6113 - template cant find data products
	[-] Core : Fixed bug #6269 - Major issue with $outOfStock flag during order processing
	[-] Core : Fixed bug #6788 - Exceptions on page with query string specified were not working properly
	[-] Core : Fixed bug #6818 - Deleted an unused in the PaymentModule class
	[-] Core : Fixed bug #6836 - Added public to validateOrder method (PaymentModule class)
	[-] Core : Fixed bug #6840 - Language::getLanguages() wasn't taking in account $active
	[-] Core : Fixed bug #6846 - Cannot override Search::sanitize()
	[-] Core : Fixed bug #6928 - Missing "custom" field in FeatureValue class
	[-] Core : Fixed bug #6931 - Errors in Australian localization pack
	[-] Core : fixed bug missing global $isVirtualCart
	[-] Core : fixed notice //trying to get property of non-object
	[-] Core : Small coding standards modifications
	
	[-] MO : Bug Fixed #6816 - UPS Module now use fsockopen instead of cURL
	[-] MO : default sort column fixed for gridhtml
	[-] MO : Fixed #6243 allow shipping to other countries
	[-] MO : Fixed #6895 ssl broken on moneybookers module
	[-] MO : Fixed bug #5101 - It was impossible to configure a local rss feed (blog for instance) on module blockrss
	[-] MO : Fixed bug #5688 - PayPal return values were not uppercased
	[-] MO : Fixed bug #6759 - Module crossselling design was broken
	[-] MO : Fixed bug #6855 - Cross selling module CSS wasn't displayed properly
	[-] MO : fixed bug #6865 - downloadable product gets stock out email when you have 98 in stock
	[-] MO : statsbestcustomers is now faster and do not loose any customer when you browse the pages
	[-] MO : "visitors online" module can now display the visitors even when the option "pages views for each customer" is disabled
	
	[-] TR : change a var name for better understanding.
	[-] TR : related to bug #6852 - add method to copy all necessaries mails files when import lang pack.
	[-] TR : related to bug #6852 - copying necessaries mails when a pack is a added by prestashop.com.
	
	[-] WS : fix minor image display bug


####################################
#   v1.4.0.7 - 4235 (2011-01-05)   #
####################################

	Improved/changed features:

	[*] Installer : Argentinian provinces included
	[*] Installer : Add timeout on localization pack download

	[*] FO : fixed bug with "Other payment methods" and OPC feature
	[*] FO : Suppliers and manufacturers are displayed only if you have enable it on preference

	[*] BO : Direct link to AdminTaxRulesGroup tab in the product's form 
	[*] BO : improvement of module search field
	[*] BO : modified css backoffice.
	[*] BO : Added a confirmation message while saving Features
	[*] BO : Improve the lang pack proposed in AdminLanguages tabs.
	
	[*] MO : A visitor can now specify a referral email, even if he was not invited before
	[*] MO : new toolbar in the configuration page of every modules
	[*] MO : You can now define a percentage for vouchers of the referral program module
	[*] MO : Added loyalty points on the customers page (in the block title) and added a second parameter to LoyaltyModule::getVoucherValue()
	[*] MO : Fixed bug #6694 - Typo and HTML fix for the productscomments module
	[*] MO : Fixed two bad translations (missing mod='') for the productscomments module
	[*] MO : Several improvements on the productcomments module
	[*] MO : shopImporter feedback is now more user friendly
	
	[*] WS : Clean classes and support for associations and i18n
	
	Fixed bugs:
	
	[-] Project : resolve Ecotax problem on Prestashop update (<1.3.3 to 1.4)
	
	[-] Installer : Bug fixed #6424 - SQL Meta Lang Correction (bug on htaccess)
	[-] Installer : Bug fixed #6685 - Fixing SQL error upgrade 1.3.2.2 to 1.4.0.6
	[-] Installer : Bug fixed #6685 - Fixing SQL error upgrade 1.3.2.2 to 1.4.0.6 / Last issue solved
	[-] Installer : Fixing SQL error : 1.3.3.0, 1.3.4.0, 1.3.5.0 were empty
	[-] Installer : Tax Rules translation
	[-] Installer : Fixed bug #6426 - "ajax error" during upgrade
	
	[-] FO - BUG:6668 Modified css classes in specials block.
	[-] FO : fixed bug #6646 - Error message wrong/empty value but goes to next step
	[-] FO : fixed bug #6646 - Error message wrong/empty value but goes to next step
	[-] FO : fixed bug #6653 - Guest checkout problem
	[-] FO : fixed bug #6658
	[-] FO : fixed bug #6659 - terms turned off shows wrong text
	[-] FO : fixed css on cart summary
	[-] FO : Remove unless js files
	
	[-] BO / FO : change the price value which is set in Database for order details, exclude ecotax for the HT price.
	[-] BO / FO : fixed bug #6698
	
	[-] BO : Bug fixed #6738 - No more hardcoded directory img/tmp/ in AdminProducts
	[-] BO : Fixed bug #6661 - Broken links on dashboard
	[-] BO : Fixed bug #6700 - Lot of modifications on the "Features" tab on the product edition
	[-] BO : fixed bug #6725 - PHP error in BO
	[-] BO : Fixed Bug #6730 - error deleting a tax
	[-] BO : Fixed bug #6732 - Tax rate was restricted to 2 decimals
	[-] BO : fixed bug #6739
	[-] BO : fixed bug #6754
	[-] BO : related to bug #6664 :
	[-] BO : related to bug #6664 :
	
	[-] Classes : fixed bug #6729 - Paypal: Invalid token due a problem of Cookie class of Prestashop
	[-] Classes : Fixed cache errors #6672
	
	[-] Core : Fixed bug #6716 - Error "Image format not recognized, allowed formats are: .gif, .jpg, .png"
	
	[-] MO : added IF NOT EXISTS to the table creation of the newsletter module
	[-] MO : DIBS module - logo image is replaced. Was saved in wrong encode.
	[-] MO : Fixed a lot of other bugs, typos, and code standard errors in the referral program module
	[-] MO : fixed bug #6472 - moneybookers errors
	[-] MO : Fixed bug #6663 - Bad voucher value for referral program module
	[-] MO : fixed bug #6667 - Error in modules/blockcms/blockcms.php
	[-] MO : fixed bug #6675 - Moneybookers module error
	[-] MO : Fixed bug #6731 - Class ‘LoyaltyStateModule’ not found in the admin panel
	[-] MO : gridextjs has been properly removed and replaced
	[-] MO : improve security In DIBS module
	[-] MO : Numerous other bugs on the loyalty state module in the admin panel (customers page)
	[-] MO : set a better conditionnal expression in DIBS constructor.
	[-] MO : shopImporter fixed js bug
	
	[-] MAIL : Bug fixed #6674 (v1.4) - Mail template order_customer_comment now mention customer name and e-mail
	[-] MAIL : fixed bug #6734 - Problem customers accounts and retrieve password
	
	[-] PDF : PDF won't die if no language is specified in the cookie
	
	[-] TR : Bug fixed #6660 - English template corrections and AdminTranslations fixed
	[-] TR : Bug fixed #6690 - Small translation issue
	[-] TR : Bug fixed #6695 - Small translation issue
	
	[-] WS : fixed authentication bug
	

####################################
#   v1.4.0.6 - 4114 (2010-12-29)   #
####################################
	
	Improved/changed features:
	
	[*] Project : refactoring of the dispatcher in order to create unit tests
	[*] Project : Update of jQuery SerialScroll & ScrollTo plugins
	
	[*] FO : Homepage is now W3C valid (fixed several errors on blocksearch)
	[*] FO : refactoring of order controllers, with new controller ParentOrderController
	
	[*] BO : added check if method_exists before call_user_func() 'displayInfoByCart'
	[*] BO : change the method to get the language pack according to the prestashop version.
	[*] BO : you can now upload ZIPs containing your product pictures instead of uploading them one by one
	[*] BO : Timeout on Remote Help + hide error @
	[*] BO : you can now add the language code (e.g., pt-br, en-us) to a language in order to use Google Translate API and other feature with the right language code
	
	[*] Classes : Optimized version of isVirtualCart() (class Cart.php)
	
	[*] MO : Added a uninstall warning in the loyalty module
	[*] MO : You can now choose to use Google Checkout shipping fees instead of the ones defined in your shop
	[*] MO Treepodia : new features
	[*] MO : Several improvements on Products Category module (design, code, performances)
	[*] MO : Module UPS - The module is now fully configurable
	[*] MO : Re-wrote a large part of the Loyalty module
	[*] MO : Better management for negative points in the loyalty module
	[*] MO : Moved includes from the constructor in the loyalty module (better memory management)
	
	[*] IN : bypass configuration check if everything's alright
	[*] IN : improved error management in the database installation: no need to use firebug anymore!
	
	[*] TR : Set good link to access of lang pack on prestashop.com according to Prestashop version.

	Fixed bugs:
	
	[-] FO : accessories description fixed on product page
	[-] FO : Add missing UTF-8 charset on escape
	[-] FO : Bug : 5265 - stylesheet fixes
	[-] FO : Bug fixed - Smarty error on carrier display in orders steps
	[-] FO : Change h2 in h1 and h3 in h2 on editorial module for better SEO.
	[-] FO : Cookie name is now a hash generated with a string and the shop URL instead of a string and the cookie key, so you shouldn't have any "400 Bad Request" due to oversized cookies anymore
	[-] FO : deleted "This shop requires JavaScript to run correctly. Please activate JavaScript in your browser." which appeared in your google description
	[-] FO : Fixed #6505 Images is now loaded in SSL
	[-] FO : Fixed #6534
	[-] FO : Fixed a warning with $customizationQtyInput on order-follow.php
	[-] FO : Fixed bug #5632 - W3C error with blocknewproducts
	[-] FO : Fixed bug #6083 - The form buy_block could by empty on product page in some cases
	[-] FO : Fixed bug #6164 - Warning with var $total_free_ship
	[-] FO : fixed bug #6270 - Paypal v 2.0 - non-secure links in redirect.tpl
	[-] FO : Fixed bug #6354 - Free shipping text wasn't working properly with OPC
	[-] FO : Fixed bug #6503 - Missing password_query templates for ES language
	[-] FO : fixed bug #6524 - States list not showing on opc invoice address
	[-] FO : Fixed bug #6544
	[-] FO : fixed bug #6561 - “No carrier is selected” for virtual products in opc
	[-] FO : Fixed bug #6572 - Spelling issue "subtract" instead of "substract"
	[-] FO : Fixed bug #6573 - Clicking quantity +/- on virtual cart causing "remaining amount" to appear
	[-] FO : fixed bug #6574 - Javascript error when creating account on opc with cart block uninstalled
	[-] FO : fixed bug #6576 - Customer name is displayed with lastname first after creating new account in opc
	[-] FO : fixed bug #6577 - opc has two #email inputs
	[-] FO : fixed bug #6595 - no default shipping method on order-opc.php
	[-] FO : Fixed bug #6597 - SerialScroll.js was missing on the product page
	[-] FO : Fixed bug #6606 and #6626 in Category class and ajax.php
	[-] FO : Fixed bug #6608 - <h2> instead of <h1> for guest-tracking.tpl
	[-] FO : Fixed bug #6609
	[-] FO : Fixed bug #6634 - Typo error in authentication.tpl
	[-] FO : Fixed bug #6640 - Added a button to modifiy its address on Guest checkout
	[-] FO : jqzoom destination image link fixed
	[-] FO : mail can be sent even if the customer name is not valid: it is removed instead of crashing prestashop
	[-] FO : mime type detection improved for downloadable items
	[-] FO : no  more fatal error when you cannot be geolocated with your IP address
	[-] FO : now you can't go to next step if you haven't choose a carrier or accept terms of service on One Page checkout (#6595)
	[-] FO : _PS_CACHE_ENABLED_ is not defined during upgrade from 1.3 => 1.4 = maintenance page crash
	[-] FO : Put subheading editorial image in P.
	[-] FO : Replaced all "Substract" by "Subtract"
	[-] FO : search query fixed (tax table alias had been changed)
	[-] FO : Shop name is now protected in the mails templates
	[-] FO : Small translations fixes
	[-] FO : SSL for re-ordering
	[-] FO : Tag system on front office is now working (bug in Search SQL Request)
	[-] FO : virtual product links are now sent the first time the order is validated and no more hard coded on PS_OS_PAYMENT

	[-] BO : Bug Fixed #6596 
	[-] BO : #6583 fixed
	[-] BO : css bug fixed
	[-] BO : delete the ext-all.css called in the hook hookBackOfficeHeader
	[-] BO : Fixed bug #5129 - Categories were reseted if an error occur on the product edition page
	[-] BO : Fixed bug #5497 - All default pictures were deleted if box "Delete all before import" was ticked
	[-] BO : fixed bug #6535
	[-] BO : Fixed bug #6581 - Text/HTML error on CMS edition page
	[-] BO : Fixed bug #6601
	[-] BO : JS error in IE6 & 7	
	[-] BO : no more warning when "en" directory does not exists while parsing modules email translations
	[-] BO : related to bug #6632, create a new javascript function to display the tinyMCE editor which concerns the button 'edit html' on each html mail template.
	[-] BO : related to bug #6632, in the tinyMCE init method, the selector exclude each textareas for txt templates.
	[-] BO : tinymce do not entities every utf8 chars anymore
	[-] BO : Ugly display in IE
	[-] BO : you can now clear the note associated to a customer
	
	[-] Classes : fixed bug #6466 - Fatal Error and Geolocalization
	[-] Classes : fixed bug #6548 - Express checkout twice with the same email address
	
	[-] Core : Fixed bug #5545 - $orderBy parameter was ignored if uppercased
	[-] Core : Fixed bug #5886 - Multibyte error in the blockcart module
	[-] Core : Fixed bug #6515 - Warning on Memcached (empty key on deletion)
	[-] Core : Fixed bug #6590 - Image format not recognized (JPEG/GIF/PNG...)
	
	[-] MO : add correct condition to allow 1.3 compatibility.
	[-] MO : Deleted Javascript real time update (on FO) for the loyalty module (buggy and useless because we only display the maximum points the customer can win)
	[-] MO : Fixed a Smarty v2 bug on loyalty module (missing {literal})
	[-] MO : Fixed bad default translations in the loyalty module
	[-] MO : Fixed bad points amount in the loyalty module (floating issue)
	[-] MO : Fixed bad total points amount in the loyalty module
	[-] MO : Fixed bug #4785 - Google Checkout wasn't transmitting attribute details
	[-] MO : Fixed bug #4847 - Product weights were not sent to Google Checkout
	[-] MO : Fixed bug #4871 - Loyalty module vouchers start date weren't the right ones
	[-] MO : fixed bug #5437 - PaypalAPI module Vs language
	[-] MO : Fixed bug #5578 - Module productscategory
	[-] MO : Fixed bug #5660 - Loyalty points differents on the product page and on the shopping cart page
	[-] MO : Fixed bug #5825 - Better management of confirmation page for Moneybookers payment module
	[-] MO : fixed bug #5851 - Paypal module v 2.0 - inconsistent mod=
	[-] MO : fixed bug #5894 - Paypal2.0 install error
	[-] MO : Fixed bug #5938 - Bad amount of negative loyalty points with loyalty module
	[-] MO : fixed bug #6093 - paypal template error
	[-] MO : fixed bug #6343 - wrong shipping address passed to Paypal
	[-] MO : fixed bug #6361 - reducing length of log messages from Paypal
	[-] MO : fixed bug #6558
	[-] MO : fixed bug order total on payment step 
	[-] MO : Module USPS - The errors messages are more accurate
	[-] MO : subdomain no more removed from the url in pagesnotfound
	
	[-] TR : Bug fixed #6630 AND #6539 - Md5 Key has been changed, french and spanish translations were reuploaded

####################################
#   v1.4.0.5 - 3979 (2010-12-22)   #
####################################

	Added Features:
	
	[+] Project : New feature Guest Checkout, on One Page checkout and standart order process
	
	[+] FO : Added an effect on FancyBox opening/closing
	[+] FO : now js compression use JS min in place of JS packer (too much bugs and not the better performances...)
	[+] FO : your customers can now renew their orders (in the order detail)
	
	[+] BO / FO : Rewrited the user's path calculation using nested tree
	
	[+] BO : added colorpicker for attributes and Order statuses
	[+] BO : chart added on the homepage
	[+] BO : new dashboard in Back Office
	[+] BO : Remote help
	[+] BO : simple access to the front office added in the back office header
	
	[+] Class : added new class Import module
	
	[+] Core : Added an N-Level Nested Tree for categories
	[+] Core : Added a SQL index to improve nested tree walks performances
	[+] Core : Added the nested tree implentation! Big performance gain for getting categories tree branches
	
	[+] Hook : added new hook beforeAuthentication
	
	[+] MO : Added a first basic version of the Layered navigation feature (you can only filter by sub-category, more to come!)
	[+] MO : added new module oscomerce importer
	[+] MO : added new module Shop Importer //beta
	[+] MO : Dibs join the party !!
	[+] MO : New Module (1.4) - Fedex - fedexcarrier/
	[+] MO : New Module (1.4) - USPS - uspscarrier/
	[+] MO : set a valid category module
	[+] MO : Twenga module is added
	[+] MO : You are now able to choose the minimal amount required to use the loyalty points vouchers
	
	[+] TR : added translation 
	[+] TR : added translation 
	[+] TR : Set the FR DIBS translations 
	[+] TR : send Translations
	
	[+] WS : Bug fixed on blank schema for several resources.
	[+] WS : fixed bug #6352
	[+] WS : webservice always returns 401 when authentication fail
	
	Improved/changed features:
	
	[*] Project : Smarty3 is now available for PHP Version < 5.1.2
	
	[*] FO : Added several with/height HTML values for delete.gif
	[*] FO : a few changes in confirmation messages (css among others)
	[*] FO : a few changes in error management (css, back button, authentication)
	[*] FO : Cached customer groups in order to avoid groups SQL subqueries
	[*] FO : Class Cart.php (getProducts method) - The cart is now getting dimension parameters (width, height, depth) for each product
	[*] FO : Comparison button at the bottom of the product list
	[*] FO : Improved memory management for digital files downloads
	[*] FO : Improved the way manufacturers product were counted
	[*] FO : removed backward compatibility with 1.1 themes
	
	[*] BO : accords form positions and relevancy for the administrator in the Performance tab
	[*] BO : Added module filter on the module page
	[*] BO : added new version of tinyMCE
	[*] BO : added the number of images, combinations and attachments in the tab name of the product page
	[*] BO : Catalog > Product - Dimension parameters are now available for products
	[*] BO : (cf comment bug #6266) (1.4) - AdminPDF and AdminPreferences - Font PDF can now be changed in every language without changing the employee language
	[*] BO / Core : Some code improvements and code design
	[*] BO : homepage links updated
	[*] BO : improve the memory usage on AdminPayment page
	[*] BO : Initial Qty instead of stock movements for new products
	[*] BO : Preferences > Contact - Country and state are now list field
	[*] BO : Preferences > Localization - Dimension unit parameter (cm or in) is now available
	[*] BO : Significantly optimized helpboxes management, faster display & less code!
	[*] BO : Simplified path for cookie creation (init.php)
	[*] BO : Small improvements for "old school" theme
	[*] BO : Some corrections of code standards
	[*] BO : "View my shop" link is now opening into a new window
	
	[*] Core : Cache & headers on tax rules
	[*] Core : Tax Rules 
	
	[*] MO Cashticket : Learn more link
	[*] MO Dejala : Removed CarrierHacked
	[*] MO Paysafecard : Learn more link
	[*] MO : Loyalty module : loyalty points are now changing with attributes on product page
	[*] MO : Module UPS - Cache system has been added - 2010-12-20 16:09
	[*] MO : Module UPS - Currency conversion and use of the product dimensions
	[*] MO : New text added in the product page for loyalty module if it's a discount product and no points are given for that one
	[*] MO : new version for module Dejala is now available
	[*] MO :  Now you can use singleton in your modules
	[*] MO : Ogone module is now compatible Prestashop version 1.2.5
	[*] MO : Small improvements on PayPal module
	[*] MO : Title field added on ProductComment module
	[*] MO : You can now define a config.xml file in modules dir to improve memory dump on AdminModules page.
	
	[*] WS : class prepared for using unit tests. 
	[*] WS : Now supports new resources : deliveries, price_ranges, weight_ranges, stores, languages, order_details, configurations, order_discounts.
	[*] WS : refactoring
	[*] WS : refactoring
	
	Fixed bugs:
	
	[-] All : Bug Fixed #6453 added missing fields to Manufacturer : meta title,meta description.meta keywords,short description...
	[-] All : Bug Fixed #6474 "carrier_tax_rate" in the "_orders" table is updated with a tax rate
	
	[-] Installer : Fix on ntrees
	[-] Installer : Missing escape characters in database_structure
	[-] Installer : Taxes removed from SQL / Languages & Configuration loaded during checkInfosStep
	[-] Installer : Upgrade 1.4.0.5 TaxRulesGroup
	[-] Installer : Fixed bug #6477 - Field 'ecotax_tax_rate' doesn’t had a default value
	
	[-] FO : A product with combinations still displays price TI when taxes are disabled
	[-] FO : blockcms module don't display anymore unactive cms categories or cms
	[-] FO : Bug fixed #6311 - Width and height tags has been added in product.tpl on the default product picture
	[-] FO : Bug fixed #6409 (1.4) - Product customization works fine now
	[-] FO : Bug on product page when group reduction : tax excluded fixed
	[-] FO : cms are now order by position on sitemap
	[-] FO : Corrected bug on product page for reduct price. (When using a price changing in Specific price no changes on reduct price)
	[-] FO : Currency changes on product.js are no more bugued.
	[-] FO : Currency recompatible with specific price.
	[-] FO : Deleted CMS won't let anymore "|" in footer's links.
	[-] FO : fixed bug #6098
	[-] FO : Fixed bug #6115 - Added +/- images sizes (width, height) in the cart tpl for better performances
	[-] FO : Fixed bug #6146 - Manufacturer page was counting non-active products
	[-] FO : Fixed bug #6232 (partially) - FancyBox is now working well with IE 6
	[-] FO : Fixed bug #6332 (error with chars è,é,à,ò,ù,ì in "Send to a friend" module
	[-] FO : Fixed bug #6347 - Price was switch from tax incl. to tax excl. while updating qties in cart
	[-] FO : fixed bug #6382 - Error on Checkout orders
	[-] FO : Fixed bug #6388 - Categories were not sorted on sitemap page
	[-] FO : Fixed bug #6396 - Several issues with FancyBox (persistant arrows and loading image error)
	[-] FO : Fixed bug #6398 - <h1> were too big on CMS page
	[-] FO : fixed bug #6405 - Error when clicking on category block title
	[-] FO : Fixed bug #6406 - Several errors with large digital files downloads
	[-] FO : Fixed bug #6494 - Error with Minify HTML option (CCC) / Smarty
	[-] FO : Fixed bug - Fatal error when you logout and click on a product (Tools::getFullPath)
	[-] FO : Fixed bug, the downloadable file icon was displayed in history.tpl for every orders
	[-] FO : Fixed design bug for the quantity field in shopping-cart.tpl
	[-] FO : Fixed several Smarty warnings (identity.tpl, product-list.tpl)
	[-] FO : Fixed several Smarty warnings on order-follow.tpl
	[-] FO : Fixed small error on sitemap (Smarty isset added)
	[-] FO : Fix Smarty2 issue
	[-] FO : 'Price Lowered' is now displayed with attributes.
	[-] FO : product comparison JS always loaded 
	[-] FO : set isset() to check vars existence in tpl.
	[-] FO : sitemap.tpl updated for smarty 3
	[-] FO : Small design issue fix for product comparison feature
	[-] FO : Specific prices applicated to all currencies are now affected by currency.
	[-] FO : The bookmark icon is not display anymore on Chrome because browser does not allow this function 
	[-] FO : Unit price changing with currency fixed
	[-] FO : When "Display unavailable product attributes on product page:" is disabled on Preferences->Products, colors on FO are hidden too.
	[-] FO : When tax excl prices displayed, display "tax excl." instead of "tax incl."
	
	[-] BO : Bug Fixed #6499 Tax import problem
	[-] BO : Adding default translations for cms categories when adding a language
	[-] BO : AdminCountries unknow column id_tax 
	[-] BO : AdminTaxRulesGroup, Chrome Show/Hide on states
	[-] BO : Bug fixed #6266 (1.4) - Class PDF - Font PDF can now be changed
	[-] BO : Bug fixed #6377 - Import Tab (field available) - list is now updating
	[-] BO : change the sort method for module to correct a bug occured in php <= 5.2 use a user sort (uasort)
	[-] BO : Creating a discount from AdminOrder page won't change anything in table ps_order anymore.
	[-] BO : CSS + Missing translations on AdminTaxRulesGroup
	[-] BO : Errors not thrown anymore when impossible to connect to Prestashop Addons for example
	[-] BO : Fixed #5784 on file binary which not return same result in different environments
	[-] BO : Fixed bug #3876 - Added some Tools::strlen() instead of strlen in order to manage special chars
	[-] BO : Fixed bug #5418 - Updated default EUR/USD currency rate (1.20 -> 1.32)
	[-] BO : Fixed bug #5877 - All help boxes were displayed for downloadable products
	[-] BO : Fixed bug #6184 - Thickbox was still in use on checkout page, replaced by FancyBox
	[-] BO : Fixed bug #6191 - Design error on "Back to product button" (AdminAttributeGenerator.php)
	[-] BO : Fixed bug #6224 - Date picker wasn't working properly for swedish language
	[-] BO : Fixed bug #6293 - Cookie was created in password.php page while it was useless
	[-] BO : Fixed bug #6365 - Unit price with commas was producing an error
	[-] BO : fixed bug #6386 - Admin Dashboard
	[-] BO : fixed bug #6410 - Product global information - View product sales
	[-] BO : fixed bug #6421
	[-] BO : fixed bug #6434
	[-] BO : fixed bug #6439
	[-] BO : Fixed bug #6442 - Categories were not sorted on product page
	[-] BO : fixed bug : don't display invoice icon when there are no invoice to display
	[-] BO : fixed bug in Back office when you edit a category
	[-] BO : Fixed error warnings with themeinstallator
	[-] BO : Localization use only XML files
	[-] BO : Notice / Missing permissions on AdminTaxRulesGroup
	[-] BO : Now the webservice tab stay on the line...
	[-] BO : One check is add : if the file is larger than the upload_max_filesize or post_max_size an error is display.
	[-] BO : oops ! I forget to encode the value for the url (see previous log)
	[-] BO : Order Slip bug when percentage voucher applicated on the order
	[-] BO : overflow hidden on the shop name, for long, long, long, long, long shop name
	[-] BO : Put an error when cannot remove temprary file when importing a language
	[-] BO : related to #4804, comments added into the file
	[-] BO : related to #4804, from pack field, bug occurred when product ref is return with the name. See comment for details
	[-] BO : related to #5568 
	[-] BO : related to #5568, (AdminCatalog tab using AdminProducts tab) for a product, change the SEO-title when name field is changed.
	[-] BO : related to bug #6504 - The weight of an attachment was wrong converted. 
	[-] BO : Restored iframes
	[-] BO : Restored the possibility to change cms and cms categories' positions by clicking on arrows
	[-] BO : Restored update in getter for retro compatibility 1.2.5 to earlier version
	[-] BO : Specific prices are now more comprehensible when affected to currencies
	[-] BO : Static method getCarrierTax
	[-] BO : Store Image Management.
	[-] BO : Vouchers and Orderslips created from AdminOrders take now discounts on order in count
	[-] BO : Vouchers creation bug when percentage reduction.
	[-] BO : width back to 960px instead of 1050px and a few tabs moved in order to fit this width
	
	[-] Classes : fixed bug on cookie with logout method
	
	[-] Core : Deleted a deprecated method (getAllSubCats() in Category.php & CMSCategory.php)
	[-] Core : fixed bug #5985
	[-] Core : Fixed bug #6495 - Error with Smarty PHP filemtime() function call
	[-] Core : Fixed bugs #6278, #6300, #6360 - Smarty 3 related errors (function call ‘register_outputfilter’ is unknown or deprecated.)
	[-] Core : warning removed in MySQL class which occurred when you call ExecuteS with something else than a SELECT
	
	[-] MO : cashondelivery not configurable in config.xml
	[-] MO : Corrected a warning when there isn't any native module in themeinstallator's xml and improved logo.gif
	[-] MO : Created a function to turn a price with a currency format to float in js. Corrected loyalty module bug with products > 1.000
	[-] MO : BlockLanguages - Smarty v2 & v3
	[-] MO : Fixed a bug with theme installer when modules are in the configuration file but not in the archive
	[-] MO : Fixed a SQL error while trying to uncheck all category boxes for layered navigation
	[-] MO : Fixed blockcms module bug in BO.
	[-] MO : Fixed bug #5290 - "Exclude discounted products" feature wasn't working properly
	[-] MO : Fixed bug #5374 - Points given in loyalty module weren't taking in account tax exemption
	[-] MO : Fixed bug #5976 (partially) - CMS block errors
	[-] MO : Fixed bug #6044 - Gsitemap error while using CONCAT() and hardcoded french title for images
	[-] MO : Fixed bug #6413 - Loyalty module was producing an error while user clicks on "Log out"
	[-] MO : Fixed bug #6459 - SQL syntax error during insertion
	[-] MO : Fixed bug #6486 - PayPal module was displaying French links to everyone
	[-] MO : Fixed bug #6496 - Deleted useless paypal.tpl file in PayPal module
	[-] MO : fixed bug into paypal module, moreover, the delivery address is send to PayPalAPI
	[-] MO : Fix issue on blockcategories with smarty2
	[-] MO : from unsigned to signed for the ip address stored by fianetfraud
	[-] MO : Module Fedex - Currency conversion correction
	[-] MO : Modules translations (and tax bug fix) for UPS, USPS and FEDEX
	[-] MO : php errors undefined output fixed
	[-] MO : removed a php error in mondial relay + changed id_tax to id_tax_rules_group
	[-] MO : ShopImporter Warning: Call-time pass-by-reference has been deprecated 
	[-] MO : template updated for smarty 3 in module mailalert
	[-] MO : Url bug fixed in fianetfraud module.
	
	[-] TR : Bug fixed #6341 (1.4) - Md5 Key has been changed, french and spanish translations were reuploaded
	[-] TR : Bug fixed #6341 (Up from comment) - Md5 Key has been changed, french and spanish translations were reuploaded
	[-] TR : In AdminThemes.
	[-] TR : installer traduction about License agreement updated.
	[-] TR : Translations fixed - Md5 Key has been changed, french and spanish translations were reuploaded
	
	[-] SQL : fixed bug #6404 - Sql Error on prestashop upgrading process
	
	[-] WS : Bug fixed on Supplier resource.
	[-] WS : Bug fixed & optimization
	[-] WS : fixed bug #5703
	[-] WS : fixed bug #6346 : Now webservice works on windows servers
	

####################################
#   v1.4.0.4 - 3747 (2010-12-08)   #
####################################

	Added Features:
	
	[+] Project : Adding Smarty v2.6.20 as an alternate template engine (see _PS_FORCE_SMARTY_2_ in defines.inc.php)
	[+] Project : Adding Smarty v3.0.5 as the default template engine
	
	[+] FO : Cart and wishlist -> New effect with the product picture! (No more "transfer" effect)
	[+] FO : Cross selling module has now its own CSS file
	[+] FO : Deleted thickbox, now using FancyBox!
	
	[+] BO: Possibility to export your data statistics
	
	[+] MO : New Module - UPS - upscarrier/
	
	[+] WS : now acceptable image types are listed is in image xml get view
	[+] WS : now the entity image_type is managable via WS
	[+] WS : Now the filter sort_list become sort and the filter limit_list become limit, easier to write...
	[+] WS : now the webservice system use an nice object to improve evolutions, it is singletonized too; now the webservice is able to able manage images (get the general images for the moment)
	[+] WS : now you can put general images via WS
	[+] WS : Now you can request the webservice with the HEAD method to avoid useless large requests; Now you can retrieve the webservice version in the request headers, fortunately when auth was valided, for security reason...
	[+] WS : Now you can sort by many fields as example : [id_DESC,weight_DESC]
	[+] WS : now you can use a simulated method to use post in place of put (useful to post images)
	[+] WS : Remove osoletes tests of webservice admin tab
	
	Improved/changed features:
	
	[*] Project : All floatval() functions are now replaced by a casting of (float) for optimization.
	[*] Project : Upgrading from Smarty v2.6.20 to v3.0.5
	
	[*] Installer : new default employee profiles added to the installation
	
	[*] FO : Added a link to 'Our stores' in sitemap.php
	[*] FO : add method to get all informations for make a link in each active language.
	[*] FO : add method to get all informations for make a link in each active language.
	[*] FO : Categories and pages are aligned to make sitemap.php a shorter page
	[*] FO : change the style for button specialsPrice block.
	[*] FO : change the style for button specialsPrice block.
	[*] FO : Deleted jQuery hotkeys
	[*] FO : Fixed bug #6176 and an other bug on order confirmation when you buy a free virtual product
	[*] FO : for get links for each language : search active language in sql request.
	[*] FO : get the url_rewrite for each language
	[*] FO : h2 tags changed to h1 tags for referencement
	[*] FO : Improve SQL replication performance
	[*] FO : Upgrading from jQuery v1.2.6 to v1.4.4
	
	[*] BO : Attachment files maximum size is now setable in AdminPreferences
	[*] BO : "Bug" #6180 corrected
	[*] BO : Combinations impact prices are now stocked without tax into the database (You still can set it with tax)
	[*] BO : Fixed bug #6233
	[*] BO : New module category : Payment security
	[*] BO : Override .ico tabs on the themes
	[*] BO : Traductions updated
	[*] BO : Upgrading from jQuery v1.4.2 to v1.4.4
	[*] BO : When adding a downloadable product, you can now delete it without exiting the product page.
	
	[*] Classes : Smarty cache setting added to the Back Office
	
	[*] MO : Blockcms displays now cms ordered by position set in bo.
	[*] MO : Module UPS - Template Xml for webservices
	[*] MO : Mondial Relay have now an update for v1.3 to v1.4
	
	[*] WS : changing filter system : before you wrote id=3 and now filter[id]=3 ; displayFields become display 
	[*] WS : improve ws
	[*] WS : now you can get a blank xml tree an a synopsis for the resources to add
	[*] WS : remove the useless "p" namespace, it was making me nervous...
	
	Fixed bugs:
	
	[-] Project : add condition for Tools::dateFormat() when using Tools::displayDate() method, otherwise a notice failure occured.
	
	[-] Installer : Bug fixed #6268 (1.4) - db.sql - id_currency in PREFIX_country was set to default '0'
	[-] Installer : missing closure tag php
	[-] Installer : Warning fixed (_PS_FORCE_SMARTY_2_ wasn't defined)
	
	[-] FO : Bug fixed #5940 - $this->$this->cookie
	[-] FO : bug product.tpl due to update Smarty
	[-] FO : Category title is now clickable to access category.php?id_category=1. Bug #6254 fixed
	[-] FO : Contact-form don't return htmlentities in form now. Bug #5278 fixed
	[-] FO : Corrected smarty problems when id_product or id_category is not set
	[-] FO : correct link for friendly URL. Simplify some process
	[-] FO : CSS bug on accessories.
	[-] FO : delete back arrow button (called cancel) on color picker box.
	[-] FO : display "see all pictures" link (js event) under thumbnail list.
	[-] FO : ecotax display fixed
	[-] FO : fixed bug #6206
	[-] FO : fixed bug #6211
	[-] FO : fixed bug #6226
	[-] FO : Fixed bug #6258 with the automatic redirection to 'install' directory
	[-] FO : fixed bug : price display method on cart summary
	[-] FO : fixed bug : the id of default image missing
	[-] FO : Fixed idTabs js, deleted @ for jQuery compatibility purposes
	[-] FO : Good link for CMSCategory friendly url in Link classes.
	[-] FO : Improve code for delete smarty notice
	[-] FO : Improve code for delete smarty notice
	[-] FO : Javascript price displaying cleaned to work exactly like php method : getPriceStatic.
	[-] FO : JS fixed on product page (when no ecotax was defined)
	[-] FO : New js calc price on product page debuggued. Bug #6319 fixed
	[-] FO : Product ecotax display fixed (was the price display method was set to tax excluded)
	[-] FO : Product::id_default_category was used rather than Product::id_category_default
	[-] FO : product-list.tpl updated
	[-] FO : Product page js repaired. Definitely.
	[-] FO : Product price fixed (when an ecotax applies and the product has combinations)
	[-] FO : Product price fixed (when a reduction applied and a currency different from the default one was selected)
	[-] FO : Product-sort repaired. Bug #6151 fixed
	[-] FO : Quantity discount display fixed (when the customer group price display is set to tax excluded)
	[-] FO : recurse for cms displaying in sitemap
	[-] FO : Removed pagination variables errors. Bug #6156
	[-] FO : Removed Warning from sitemap (smarty update)
	[-] FO : Reported addresses updates on AuthController. Bug #6222 fixed
	[-] FO : Report optimization on category.php. Bug #6314.
	[-] FO : Search minimum length was decreased by one on the FO. Bug #6309 fixed
	[-] FO : sitemap.php is not dependant from blockcms module now (display all cms pages anytime)
	[-] FO : Smarty cache enabling fixed
	[-] FO : Specific prices + default attributes modifications
	[-] FO : Removed an invisible image loaded from store.apple.com from default descriptions.
	[-] FO : Switch language links
	[-] FO : Templates update.
	[-] FO : .tpl for order.php updated
	[-] FO : updated history.tpl
	[-] FO : Updated new sitemap.tpl for smarty update.
	[-] FO : Updated product.tpl for smarty update
	[-] FO : When Special product was loaded the bloc displayed a product even no product are avaiable.
	[-] FO : wrong var was set to get the discount expiration date.
	
	[-] FO / MO : #6153 Conflict with same name of 2 var in 2 different module.
	
	[-] BO / FO : bug #6066 allow to set unlimited value for an virtual product. set with 0 value.

	[-] BO : Bug fixed #6126 - AdminProduct - Problem caused by Zoom Size in IE8 is fixed now
	[-] BO : Corrected error when modifying an address in BO when everything is alright. Bug #6328
	[-] BO : Ecotax input fixed
	[-] BO : Fixed a bug with themeinstallator import when there is only one theme in the archive
	[-] BO : fixed bug #6139
	[-] BO : fixed bug #6148
	[-] BO : fixed bug #6169
	[-] BO : fixed bug #6175
	[-] BO : fixed bug #6187
	[-] BO : fixed bug #6192
	[-] BO : fixed bug #6195
	[-] BO : fixed bug #6203
	[-] BO : fixed bug #6211
	[-] BO : fixed bug #6212
	[-] BO : fixed bug #6214
	[-] BO : Fixed Parse error in AdminPorduct.php for downloadable module. Bug #6307 fixed
	[-] BO : fixed the import module fieldset display
	[-] BO : intval restored on a cast in base 8.
	[-] BO : Optimization PDF creation. Bug #6315 fixed
	[-] BO : Product cancellation fixed (when using ecotax)
	[-] BO : Product reduction clarified
	[-] BO : Product taxes by country displays an info message
	[-] BO : Restored an intval for a cast in base 8. Bug #6324 fixed
	[-] BO : Traduction updated
	[-] BO : Translations AdminProduct updated. Bug #6190 fixed
	[-] BO : Unit price option is not hidden anymore.
	[-] BO : When ecotax, attribute Impacts are not affected anymore
	[-] BO : When unexpected "," in tags field, no fatal error.
	
	[-] Classes : fixed bug in displayWarning()
	[-] Classes : Group reduction (concerning categories) cache clearing fixed
	[-] Classes : Prices (product & shipping) fixed when taxes were disabled but one of them assigned to the product/shipping
	[-] Classes : setlocale() fixed

	[-] MO : Blockcms translations updated
	[-] MO : Bug fixed #6185 (1.4) - Module MailAlerts - Module Mailalert has been repaired and now refers to order
	[-] MO : crossselling.tpl updated
	[-] MO : Integration problem on prepaidServices. Bug #6204 fixed
	[-] MO : Mondial Relay cleaned
	[-] MO : Mondialrelay try to update only if module is installed
	[-] MO : Mondial Relay works again on Chrome.
	
	[-] WS : correct lang displays
	[-] WS : Fixed check for activated keys
	[-] WS : Fixed - We now display mysql error in debug mode
	[-] WS : samples folder move
	
	[-] TR : Bug fixed #6216 - Modules BirthdayPresent, Bankwire and Secuvad - Md5 Key has been changed, french and spanish translations were reuploaded
	[-] TR : Bug fixed #6246 #6230 - Md5 Key has been changed, french and spanish translations were reuploaded
	[-] TR : New Translations fixed (1.4) - Md5 Key has been changed, french and spanish translations were reuploaded
	[-] TR : Translations fixed (1.4) - Md5 Key has been changed, french and spanish translations were reuploaded
	
	[-] SQL : Missing `conversion_rate` in ps_order_slip in database on install

####################################
#   v1.4.0.3 - 3508 (2010-11-25)   #
####################################

	Added Features:
	
	[+] Project: Add new feature: Geolocalization
	[+] Project: now you can define specific country taxes for a product
	
	[+] Installer : Added timezone choice in the installer
	
	[+] FO : Display the current RAM usage in the debug informations :-) Very nice....
	
	[+] BO : You can now install language's pack with two clicks on AdminTranslation Page
	[+] BO : the currencu conversion rate is now stored in the tables orders and order_slip in order to provide a more accurate calculation of the sales statistics
	
	[+] MO : new module stats dashboard
	
	Improved/changed features:
	
	[*] Project : intval() replaced by (int), optimization.
	[*] Project : improve url rewrite for static page
	
	[*] FO : Special breadcrump for CMS Pages.
	[*] FO : Allow to choose if "our store" link is displayed at the end of the block, each block is distinguish.
	[*] FO : Add a parameter in both Tools::getPath() and Tools::getFullPath() method to distinguish what type of category is used for getting the path.
	[*] FO : removed useless query by changing timezone storage
	[*] FO : a bunch of useless SQL queries removed
	[*] FO : fixed bug in order confirmation
	[*] FO : set the breadcrumb in cms page and in cms categories pages.
	
	[*] BO : add 'display_store' column in cms_block table
	[*] BO : add 'display_store' column in cms_block table
	[*] BO : add 'display_store' column in cms_block table
	[*] BO : delete the displaying option for block cms in the AdminStore tab. The option is moved on the module block CMS.
	[*] BO : For each admin list (products for example), set a max width for a the tmp thumbnail.
	[*] BO : You can now add an attachment from the AdminProduct page without going to AdminAttachments.
	[*] BO : new stats homepage
	[*] BO :  choose the tab according to prestashop version
	[*] BO : fixed bug css
	
	[*] Classes : SQL optimization perfomances with adding cache object into ObjectModel
	
	[*] MO : When creating a carrier with Mondial Relay, Weight range are automatically set to the minimum and maximum authorized by Mondial Relay
	[*] MO : Mondial Relay module don't need a google api key to work anymore. Updated to googlemaps JS v3.
	[*] MO : new version of socolissimo fixed bug
	[*] MO : fixed bug in socolissimo //new version 1.4
	[*] MO : search engine keywords improvements 
	
	[*] WS : added full HTTP header in debug mode inside library of web service
	[*] WS : simplify the classes ws parameters synthax
	
	Fixed bugs:
	
	[-] Project : Use of deprecated functions
	[-] Project : Invoice PDF was never sent by mail
	[-] Project : now this plugin works with the Dean Edwards JS Packer
	
	[-] Installer : alter table cms_block
	[-] Installer : Fix buf on upgrade with _RIJNDAEL_KEY_
	[-] Installer : Countries' select is now filled with countries in database replacing hardcoded countries.
	[-] Installer : fixed bug CMS upgrade
	
	[-] FO : fixed bug on authentification
	[-] FO : bug #6143 - delete the button home in the bottom of cms pages. 
	[-] FO : fixed bug in cart summary
	[-] FO : delete a condition according with bad getter in CMScontroller, now is more efficient.
	[-] FO : fixed bug in adminModule
	[-] FO : fixed bug #6130 //now modue don't use jquery plugin accordion but "presta made" accordion
	[-] FO : bug #6143 - delete the button home in the bottom of cms pages. [*] FO : set the breadcrumb in cms page and in cms categories pages.
	[-] FO : correct a bug in LinkCore::getCMSCategoryLink() method, to test if category is an object, we cast it to an int !! Not really a good way !
	[-] FO : related to bug #6143 - Set $cms_category as an attribut of the controller for get it in different method, it appears that it due to an oversight.
	[-] FO : fixed bug in cart summary (voucher)
	[-] FO : related to bugs #5871 and #6127 - on  FrontControllerCore::pagination() method, $nbProducts is added as a parameter rather than a global var. Each controller which use this method has been upgrade.
	[-] FO : fixed bug #5769
	[-] FO : Quantity discount display fixed on the product page (when using combinations)
	[-] FO : fixed bug #6096
	[-] FO : fixed bug #5806
	[-] FO : adding time calculation on debug
	[-] FO : Translate the store meta data
	[-] FO : Bug fixed #6054 - displayCarrier() => assignCarrier()
	[-] FO : Hardcoded french translation in order-opc.tpl changed. Bug #6082 fixed
	[-] FO : fixed bug on order opc and refresh remaining amount to obtain free shipping
	[-] FO : In product.tpl in the color picker block, the cancel button has been deleted. Indeed the button behavior was not according to his name. It displayed all pictures when a user already choosed a color declination. The icon is moved on the side of the button "display all pictures".
	[-] FO : removed useless queries by caching manufacturers and suppliers names
	[-] FO : removed useless queries by caching group reductions
	[-] FO : removed useless queries by caching hook/module association
	[-] FO : Optimized SQL requests in Category and CMSCategory
	[-] FO : Postcode can be with or without ' ' or '-' when needed + error more explicit when postcode failure. Bug #6039 fixed
	[-] FO : When a product is new, it is display everytime product-list is displayed. Bug #5654 fixed
	[-] FO : javascript link typos
	[-] FO : ASC => asc for google referencement compatibility. Bug #5850 fixed
	[-] FO : https not used when SSL is enabled
	
	[-] BO / FO : Invoices works perfectly with a 100% voucher and a total paid price of 0.00. Bug #5984 fixed
	
	[-] BO: Fixed monetary local on import #5701
	[-] BO: Fix stock movement duplicate qty #6073
	[-] BO : fixed bug in adminCMS
	[-] BO: Fixed vat number on pdf invoice #6108
	[-] BO : Change the value of the name field, if they are no value in a specific language, method set empty value, don't search in $block_cms array (Since value isn't set, a Notice error occured)
	[-] BO : report #6129 - Set the end tag </form> on the AdminLocalization::display() method.
	[-] BO : AdminTranslations on import lang behaviour, the method ValidateCore::IsLanguageFileName($file_name) used wrong var for the preg_match function. Consequently import a language don't worked.
	[-] BO : Js errors on adminProduct. Bug #5640 fixed
	[-] BO : product link in customer thread wasn't always good
	[-] BO : Php error fixed in AdminGroups. Bug #6087 fixed
	[-] BO : You can now configure carriers' price for disabled zones. Bug #6074 fixed
	[-] BO : Attribute tab redirections cleaned (with the add of specificprice tab). Bug #6078 fixed
	[-] BO : If default attribute group is coloris attribute group, options colors weren't displayed. Now yes.
	[-] BO : fixed bug #5793
	[-] BO : fixed bug #5677
	[-] BO : You can't install a module two times by "installing the selection" anymore
	[-] BO : Removed js error form AdminProduct on Prices tab
	[-] BO: You can now add stock movement on combination creation
	[-] BO : Number of messages was always 0 in Customer messages
	[-] BO: Improve display of stock movement / fix movements with attributes
	[-] BO : fixed bug #5906 : the order was set as "On backorder" when there was one item available for the order
	[-] BO : fixed bug quantity display on product page
	[-] BO : fixed bug #5262 clean position when update categories
	[-] BO : fixed bug no display token invalid in adminCatalog and adminContent
	[-] BO : fixed bug #6006 - Track The Order link to new page
	[-] BO : Removed js errors from search field in BO. Bug #6032 fixed
	[-] BO : FriendlyURL filled automatically by filling meta-title field. Bug #6019 fixed
	[-] BO : Permissions set for AdminPerformance. Bug #6022 fixed
	[-] BO :  fixed bug #6016
	[-] BO : fix mailalert fatal error after adding product image
	[-] BO :  upload tar module Bug #5919 fixed
	[-] BO : customer service email fixed
	[-] BO : Validation of dni was false (return negative value to ObjectModel), Bug #5932 fixed
	[-] BO: isPicture function works now fine even if functions are disabled like exec
	
	[-] Classes : Ecotax tax application fixes (does apply the tax regarding the customer location)
	[-] Classes : French ecotax fixed (was working only without reduction and with a product tax of 19.6%)
	[-] Classes : Ordered product's quantity discount fixed (storage error since the specific price implementation)
	[-] Classes : fixed bug when shipping cost are external
	[-] Classes : Free shipping voucher display fixed
	[-] Classes : Product price fixed (when using customer group reduction)
	[-] Classes : fixed bug for external shipping cost
	[-] Classes : fixed bug #5990
	[-] Classes : fixed bug #5735 - Deletion of group id=1 should not be allowed
	[-] Classes : fixed bug #6079 - Fatal error on pdf invoice
	[-] Classes : fixed bug in ObjectModel cache system 
	[-] Classes : Carrier getDeliveryPriceByPrice() & checkDeliveryPriceByPrice() now convert to default currency
	[-] Classes : Bug fixed #5959 Incorrect shipping cost by price 
	[-] Classes : Cache key in getBy"Range" was incorrect 
	[-] Classes : fixed bug #6001 - W3C validation of search result page, error in Link.php
	[-] Classes : date('Y-m-d H:m:i') became date('Y-m-d H:i:s'), bug #6033 fixed
	[-] Classes : fixed bug for external shipping
	
	[-] MO : Mondial Relay more stable
	[-] MO : Mondial relay Bug fixed.
	[-] MO : blockcategories configuration does clear its display cache
	[-] MO : fixed a little bug into blockcart module
	[-] MO : Removed 3 useless DB search in Mondial Relay module. And updated for new modifications on carriers module.
	[-] MO : bug #6124 if param $begining and ending are false, method used current date for method Product::getPricesDrop() and Product::getRandomSpecial()
	[-] MO : bug #6124 In BlockSpecials::hookRightColumn() delete precedent update (see log) // the problem needed more change in other files
	[-] MO : In BlockSpecials::hookRightColumn() method - name var $date_today to $date_now
	[-] MO : #6124 In BlockSpecials::hookRightColumn() add dates params into Product::getRandomSpecial() method.
	[-] MO : MondialRelay Module work now with adresses containing '"'
	[-] MO : fixed bug #5571 - Customer Qty Email on mailalert module
	[-] MO : fixed bug #6080 - User info block cart button hardcoded to order.php
	[-] MO : fixed bug in socolissimo
	[-] MO : fixed bug in blockcart 
	[-] MO : Mondial Relay Module don't create useless archive directory anymore
	[-] MO : Sales & Orders Stats Module fixed
	[-] MO : Cashondelivery Module work again on FO. Bug #6025 fixed
	[-] MO : fixed bug #6008 - Moneybookers error when no local cards
	[-] MO : Updating the updater for merchants who forget to copy their editorial.xml before updating...
	[-] MO : Removing parse error from mondial relay
	[-] MO : Deleted warning mondial relay + corrected minor bugs (#5465 and #5795)
	[-] MO : search engine bots do not create hundreds of connections anymore (may not be stable)
	
	[-] CSS : fixed bug #6018 - CSS is repeated in themes/prestashop/css/modules/blockcms/blockcms.css
	
	[-] SQL : Updates bug resolved (PHP:ecotax_tax_application_fix())
	[-] SQL : No more errors while updating
	[-] SQL : Only one carrier is installed when installing Prestashop lite.
	[-] SQL : ps_meta_lang : PREFIX_meta_lang
	[-] SQL : Taxes are now installed in database when complete installation (not lite)
	[-] SQL : States' iso code can be numericals
	
	[-] PDF : Ecotax display fixed
	
	[-] WS : add ws tables when upgrading
	[-] WS : namespace prestashop is now deleted
	[-] WS : examples are corrected due to new namespace deletion
	[-] WS : now we are able to filter get result with an array of only one value
	
	Deprecated methods:
	
	[~] Deprecated : Category:: hideCategoryPosition()
	[~] Deprecated : Tools::getTimezones()
	[~] Deprecated : Product::getReductionValue()

####################################
#   v1.4.0.2 - 3261 (2010-11-10)   #
####################################

	Added Features:

	[+] Project : Add VAT support
	[+] Project : Add InnoDB support
	[+] Project : Added UPC barcodes (US/Canada) management (both on product and combinations)
	[+] Project : You can now override classes and front office controllers without any core modification
	[+] Project : DisplayAsDeprecated function
	
	[+] FO : Added file upload in contact form and customer service
	[+] FO : Added Shop logo and editorial image dimensions + corrected shop name bug on installer
	[+] FO : Added some demo stores for the Store locator
	[+] FO : Added the "Store locator" feature! using the latest Google Maps API (V3)
	[+] FO : Added verification for zip code depends on country selected. 
	[+] FO : adding cache system for the getPageLink method
	[+] FO : Adding One Page Checkout feature
	[+] FO : ajax cart summary
	[+] FO : Display units price if enabled 
	[+] FO : you can now specify an alternative domain or subdomain for your static content
	[+] FO : Products comparison
	
	[+] FO / BO : Adding CCC (Combine Compile and Cache) and other frontend performance features, these feature was started with Olivier Bonningues from Oleacorner, Guillaume David and Mickael Surren from Croissance-Net. This was a frontend development training day with Lucas CHERIFI
	[+] FO / BO : new options availables on AdminProduct, you can now show or not the price of product and define if this product is available for order
	
	[+] BO : Added activation to CMS pages
	[+] BO : Added an activation to manufacturers and suppliers
	[+] BO : Added an "Online only" flag (for products not sold in store)
	[+] BO : Added an option in Preferences -> Products to undisplay the button "add to cart" when the product got attributes so customers must go see the product detail.
	[+] BO : Added an option in preferences to choose the "Condition of use" CMS page
	[+] BO : Added a WorkFlow to CMS pages
	[+] BO : Added cache-control directive to the htaccess generator and some apache module checks
	[+] BO : Added category in cms tab, position for cms pages
	[+] BO : Added enable row to taxes
	[+] BO : Added fields 'Need zip code' and 'Zip code format'
	[+] BO : Added possibility to delete a product from his detail page (for a search in catalog)
	[+] BO : added shipping external for modules
	[+] BO : Added the condition of a product (new, used, refurbished)
	[+] BO : Added the theme installer module
	[+] BO : Added translation for CMS Tab
	[+] BO : Added units price (weight, volume, unity) to configure on products pages
	[+] BO : Added utility to implant a different logo for shop, mail and PDF.
	[+] BO : Additional shipping cost by product
	[+] BO : Add Memcached and FileSystem cache
	[+] BO : Add stock movement management
	[+] BO : AdminModulesPositions : new checkboxes in order to unhook many modules in one click.
	[+] BO : An easy way to define fees by carriers for each zone
	[+] BO : Automatic translations possible with Google Translate 
	[+] BO : Carrier behavior (by price/by weight) is now defined by Carrier
	[+] BO : Carrier behavior (by range or by price) is now specific to each Carrier
	[+] BO : Change category position in catalog 
	[+] BO : class added (ModuleCarrier) for shipping external
	[+] BO : Disabled product can be previewed in front office
	[+] BO : external shipping and range
	[+] BO : Fix update script to change category name without number position
	[+] BO : international call prefixes are now included in prestashop's countries
	[+] BO : It's now possible to edit and translate your mail templates from BackOffice
	[+] BO : Localisation, you can now choose between miles and kilometers
	[+] BO : Meta-tags => SEO
	[+] BO : New back end themes (but you don't know about it)
	[+] BO : new buttons 'next' and 'previous' on order detail
	[+] BO : new Customer Service included in the back office (an alternative to e-mails)
	[+] BO : New module pages !
	[+] BO : new tab in Tools, this page give you many informations about your server configuration
	[+] BO : now you can define a minimal quantity on product for command
	[+] BO : payment modules can now log payment data in a common table
	[+] BO : Predefined message when responding in customer service in now configurable (and bug with special characters in mail subject is fixed)
	[+] BO : Upload your own store icon (for Google Maps, store locator)
	[+] BO : you can now add a private note on the customer page
	[+] BO : You can now add a voucher for a customer's group
	[+] BO : You can now add others required fields in objects
	[+] BO : you can now choose the background color of your back office
	[+] BO : you can now cipher/decipher with Rijndael using mcrypt instead of blowfish (amazingly faster)
	[+] BO : you can now export your invoices filtered by statuses
	
	[+] Classes : Localization pack support added
	[+] Classes: Smarty cache support added
	[+] Classes : Specific price support added to the PrestaShop 1.4 serie

	[+] MO : add a new module, date of delivery
	[+] MO : Added a category restriction on the loyalty voucher's use on loyalty module
	[+] MO : Added a pagination to loyalty module
	[+] MO : adding a new partner module iAdvize
	[+] MO : adding a new partner module: MondialRelay
	[+] MO : adding a new partner module: Secuvad
	[+] MO : Added possibility to display tax on a distinct line in the cart block
	[+] MO : productcomments : A new hook on the product comparison page
	[+] MO : added module envoimoinscher
	[+] MO : new module socolissimo
	[+] MO : Paysafecard + Cashticket
	[+] MO : TrustedShops
	[+] MO : Treepodia
	[+] MO : TrustedShops : Check permissions on the /cache directory
	[+] MO : modules css stylesheets and javascripts scripts are now overridable and overriden in the theme
	[+] MO : new module Fia-Net SAC (France only)
	[+] MO : new module Fia-Net Sceau de confiance (France only)
	[+] MO : new module "stock stats"
	[+] MO : new payment module "Ogone" (some translations are still missing and it needs a few more tests)
	[+] MO : you can now empty 404 pages
	
	[+] SQL : Added row active to ps_currencies and added many currencies when installation
	[+] SQL : Added zip/post Code for each countries and all linked to it
	
	[+] IN : States of Mexico
	
	[+] WS : Adding a RESTFul webservice for PrestaShop
	
	Improved/changed features:
	
	[*] Project : cookie is no more encrypted every time but in the destructor, at the end. You can still force setcookie by using Cookie::write()
	[*] Project : Added {$img_store_dir} and _THEME_STORE_DIR_ and _PS_STORE_IMG_DIR_
	[*] Project : Cleaned some debug code in FrontController.php
	[*] Project : Front controllers are now classes
	
	[*] FO : add an instant search feature for the block search on top, realized with Arnaud Iliadis from Web67 while PrestaShop training
	[*] FO : Added a cookie to remember the "number of item per page" for a client
	[*] FO : added css for sitemap
	[*] FO : Added one hook in order-detail.php and one hook processCarrier in order.php.
	[*] FO : added product ID to the contact form
	[*] FO : added SQL caches to attachments and packs in order to reduce the number of queries speed up the front office
	[*] FO : add new Javascript method for One Page Checkout
	[*] FO : Add the "completely rewritten url" feature
	[*] FO : Ajax cart summary input update qty
	[*] FO : changed filter in adminModules
	[*] FO : Confirmation mail sent before password regeneration
	[*] FO : Corrected some sentences and listing all orders on the contact form
	[*] FO : Creation of a SQL cache for the default attribute of a product, avoiding 1 to 3 queries for each product displayed on the FO
	[*] FO : Customization field is now a textarea and handle \n
	[*] FO : encrypt cookie only if a change has been made
	[*] FO : get the quantity of the default attribute only if the product has attributes...
	[*] FO : Improve performances for url rewriting links load
	[*] FO : I really like optimizations :] (no less than 60 queries avoided on the cart summary, among other things)
	[*] FO : New version of socolissimo 1.4
	[*] FO : Optimizations, optimizations and optimizations (mainly SQL queries dropped)
	[*] FO : query for random specials optimized (RAND() is awful)
	[*] FO : The cart summary now display available vouchers
	[*] FO : Undisplay the button when set in BO.
	
	[*] FO / BO : improved feature minimal quantity for buy a product
	
	[*] BO : Added a button to make an attribute combination the default one easier
	[*] BO : Added "all" blocks in permission page.
	[*] BO : Added enable state for currencies
	[*] BO : added multiple translation
	[*] BO : added timer to back office tabs
	[*] BO : added total sales -tx in statsproduct module
	[*] BO : adding new tinyMC 3.3.9
	[*] BO : changed filter module
	[*] BO : check if cms folder img exists
	[*] BO : Customer page improved
	[*] BO : Delete of message as well as threads in customer service
	[*] BO : Developers can now specify if a field is required or not in Option fields
	[*] BO : Display hook technical name in module positions tab
	[*] BO : Display hook technical name in module positions tab
	[*] BO : Features fields are now textareas to write more details on products
	[*] BO : Fixed a bug with the tab navigation when UI mode is on hover
	[*] BO : fixed bug in tinyMCE
	[*] BO : .htaccess generation on Lang & Meta CRUD
	[*] BO : Icons in navigation path bar
	[*] BO : img/admin/delete.gif now different from disabled.gif
	[*] BO : Improved unity price system : Unity editable by product
	[*] BO : Improve Flashyturtle back office theme and back office login page.
	[*] BO : move media server parameters in AdminPerformance tabs
	[*] BO : New design for top of the first tab in the product page
	[*] BO : new footer
	[*] BO : New reduction support added to the import
	[*] BO : new skin for errors, warnings and confirmations
	[*] BO : now you can edit smarty config into AdminPerformance tab
	[*] BO : Numeric ISO code now available for currencies
	[*] BO : Optimised the category recurse tab + no limitation to 5 subcategories anymore + ajax_call on AdminProduct page to optimize it at the loading.
	[*] BO : optimization (30% less queries on every entity listing, then 50% less queries on the module page and again a few less on the order detail and customer pages)
	[*] BO : order details display improvements
	[*] BO : Print pdf by statuses (explaination + fixed width)
	[*] BO : remove old tinyMCE
	[*] BO : Sending a confirmation mail to the customer when he sends a message to the customer service
	[*] BO : Thread message merge algorithm has been improved on customer service
	[*] BO : Tracking displays out of stock attributes
	[*] BO : Transformed the last element of the path_bar in BO to a link (blue)
	[*] BO : weights equal to zero are not taken into account anymore in the search indexation
	[*] BO : Width switched from 960px to 1050px (only 15% of PS users are still using 1024x768)
	[*] BO : You can now add your specifical configuration for your hosting on AdminGenerator
	[*] BO : You can now disable the "hover on tabs" feature
	[*] BO : You can now edit or delete a product from AdminManufacturer page
	[*] BO : you can now export invoices filtered by several status IDs
	[*] BO : you can now translate everything in the languages which are disabled
	
	[*] Classes : added CarrierModule.php
	[*] Classes : added hook Paymant CC added
	[*] Classes : Distance unit support added to localization pack
	[*] Classes : remove ModuleCarrier.php
	[*] Classes : Configuration::get Optimization
	
	[*] MO : add category on many modules
	[*] MO : Added possibility to delete the logo frontpage image in editorial module
	[*] MO : blockcategories module cached
	[*] MO : Blockinfos and Blockvariouslinks replaced by Blockcms module
	[*] MO : Display of Promotions / New Products / Best Sellers can be disabled when there are nothing
	[*] MO : change category
	[*] MO : added socolissimo translations
	[*] MO : Cleaned the wishlist module and added mail send when creating a wishlist
	[*] MO : update Socolissimo for expeditor inet
	[*] MO : Editorial module don't stock in an xml file anymore, in case of updating : the xml file will be imported in database and delete
	[*] MO : mailalerts are now deleted from the DB when products linked to this mailalert are removed
	[*] MO : New blockCms module. (new blockinfos) who work with new recents modifications of CMS pages.
	[*] MO : new options for stats datamining
	[*] MO : new PayPal and Moneybookers modules added
	[*] MO : New reduction & quantity discount support added to the treepodia module
	[*] MO: Some improvements on Product Comments (Allow guests to post, create criterion for all catalog/categories...)
	[*] MO : You can now display the price on the crossselling and the productscategory module's block (Feature 26 mantis resolved)
	
	[*] IN : mcrypt is automatically chosen if available
	
	[*] SQL : Added two hooks in database. 
	[*] SQL : Added VAT (taxes) values for many countries
	[*] SQL : Updated zones (Us becomes North america, central america and South america, etc...)
	[*] SQL : When installing, only default country's tax is enable else disabled.
	
	[*] WS : add i18n support for webservice
	
	Fixed bugs :
	
	[-] Installer : Bug fixed #5325 - SQL error 
	[-] Installer : fixed sql create table
	[-] Installer : Installation fixed (condition field was missing)
	[-] Installer : ps_ changed to PREFIX_
	[-] Installer : Fixed a crash issue during install process (additional_shipping_cost had no default value)
	
	[-] FO : "add to cart" is now protected against bots
	[-] FO : ajax "add to cart" now uses a POST request instead of GET
	[-] FO : Best error gestion for suppliers (HTML broken before)
	[-] FO : bug #5638 is fixed : Incorrect css file name
	[-] FO : bug #5871 is fixed - this-> missing
	[-] FO : Bug fixed #5208 - HTTPS CGV
	[-] FO : Bug fixed #5468 - Phone number in new order email
	[-] FO : bug fixed on One page checkout
	[-] FO : bug is fixed on Vat number field
	[-] FO : css typos (thank you Melinda)
	[-] FO : Debug on the displaying "Add to cart" button on search page.
	[-] FO : Discounted product retrieval fixed
	[-] FO : fixed ajax cart summary when block cart not ajax 
	[-] FO : fixed ajax cart summary when block cart not ajax for order opc
	[-] FO : Fixed and rewritten changecurrency.php (blank page previously), lighter and faster
	[-] FO : fixed bug for category page. The images get now their size even if the image is missing.
	[-] FO : Fixed bug for page addresses when one of the address goes right instead of clearing left
	[-] FO : fixed bug on sitemap
	[-] FO : fixed css position for cart summary
	[-] FO : Fixed SQL error on sitemap.php
	[-] FO : Global iso added for urlrewriting
	[-] FO : Missing parameters, new products not displayed
	[-] FO : onkeydown -> onkeyup in authentification.tpl Bug #5378 fixed
	[-] FO : Phone number advertisement more visible
	[-] FO : Product price display fixed (when changing the combination and specific price applied)
	[-] FO : Product price fixed (retro-compatibility issue)
	[-] FO : Product price fixed (rounding issue) when quantity discount applied
	[-] FO : SQL query fixed on prices-drop.php
	[-] FO : Updated an error message.
	[-] FO : Url rewriting - Added flags [QSA, L] in controllers rules
	[-] FO : fixed bug for ajax cart summary
	[-] FO : Deleted useless css files (blockinfos and blockvariouslinks modules) Bug #5823 fixed
	
	[-] BO : active filter is now usable without SQL error. Bug #5666 fixed
	[-] BO : Added a complementary security on ajax_category_list call
	[-] BO : added RewriteRule for cms catégories
	[-] BO : AdminDB now list only PrestaShop prefixed tables #5873
	[-] BO : AdminTab traductions restored
	[-] BO : ajax call for categories on product page.
	[-] BO : Better anchor management in module tab
	[-] BO : Bug #4870 problem to reorder product Fixed
	[-] BO : Bug #5965 fixed : When passing an argument id_cart to getPriceStatic , new cart replace global cart.
	[-] BO : Bug fix #5199 - Country creation: Wrong parameter count 
	[-] BO : bug fixed #5346 - Not accounting for alternate theme
	[-] BO : Bug fixed #5454 - Bad EN translations on product page
	[-] BO : Bug fixed #5798 - Stock movement default
	[-] BO : bug fixed #5819 - translation fix for AdminCustomerThreads.php 
	[-] BO : bug fixed #5840 - Minor issues in new login page
	[-] BO : Bug fixed #5844 - page not found csshover.htc
	[-] BO : bug fixed #5860 - delete attribute, confirm message say attribute number!
	[-] BO : Bug fixed #5868 - Import tools - Default language not selected
	[-] BO : bug is fixed on Carrier edition, no zones are selected on form on edition
	[-] BO : Category debug. Add a category is possible now (before no)
	[-] BO : Customized product price fixed on order detail
	[-] BO : Debugued product and Cms staging caused by controllers.
	[-] BO : default spanish image updated
	[-] BO : default spanish pictures
	[-] BO : Delete translations directories when deleting a language
	[-] BO : Filters stay after an action like unactive or delete for tabs generated by AdminTab
	[-] BO : fix bug on import / export for languages pack
	[-] BO : fixed a JS error on adminProduct page
	[-] BO : Fixed bug #4370
	[-] BO : fixed bug #5115 - getE("PS_CONDITIONS_on") is null
	[-] BO : Fixed bug #5217 - Live feed non https
	[-] BO : fixed bug #5255 - can’t enable/disable zone
	[-] BO : fixed bug #5862 limited countries checkbox
	[-] BO : fixed bug in adminModules
	[-] BO : Fixed bug sql for CMS
	[-] BO : fixed display warning
	[-] BO : fixed sql install
	[-] BO : fixed upload picture tinymce
	[-] BO : Group reduction fixed (table creation was missing)
	[-] BO : hover on tabs configuration fixed
	[-] BO : i18n staging 
	[-] BO : improve specific price feature
	[-] BO : Integration bugs #5411 and #5482 fixed
	[-] BO : move ajaxfilemanager for tinymce
	[-] BO : No more Js errors on AdminProduct page for combinations
	[-] BO : No multipart encoding needed for AdminZones
	[-] BO : Product final price display fixed on the product page, when using specific prices
	[-] BO : Product page default action when the user hit enter is "Save"
	[-] BO : Refresh position after deletion
	[-] BO : remove ajaxfilemanager for tinymce
	[-] BO : removed a useless CSS file (moved to ModuleGrid in fact)
	[-] BO : Specific price addition fixed when setting a reduction without using the price overload field
	[-] BO : Fixed SQL error when filtering by profiles on AdminEmployees page
	[-] BO : The impact on unit price isn't show when no unity is set + trad updated
	[-] BO : Thread navigation when clicking on "Answer to the next new message" fixed
	[-] BO : unit_price's bugs fixed (attribute update, reduction of a negative number) + compatibility with Specific price class
	[-] BO : Validating the CMS form with "enter button" work again
	[-] BO : When deleting a customer, vouchers assigned to him are deleted
	[-] BO : When no URL for a carrier but a tracking number, the tracking number appear but not the link.
	[-] BO : you haven't to scroll down in the module list anymore when you install/uninstall a module
	
	[-] Classes : bug #58721 is fixed - Fatal error on PDF invoice
	[-] Classes : fixed bug on method getNbProducts() method on Cart.php file
	[-] Classes : New reduction support fixed concerning voucher application
	[-] Classes : Fixed isEmail() method in Validate.php, there was an error when the field was empty (even if not required)
	
	[-] MO : Blockcategories installation repaired
	[-] MO : Blocklink installation repaired
	[-] MO : bug is fixed #5788 - “voir” on cross selling graphic
	[-] MO : CSS for Blockcms module added.
	[-] MO : Debugued the crossselling module to uninstall correctly
	[-] MO : fixed bug in Socolissimo
	[-] MO : productcomments: Query is empty
	[-] MO : fixed bug hooknewOrder
	[-] MO : fixed bug in validation.php
	[-] MO : fixed bug while uninstall module
	[-] MO : fixed bug while uninstall module
	[-] MO : new version socolissimo and added translation for EMC
	[-] MO : update configuration
	[-] MO : trustedshops : If the form is submitted and the SOAP extension not activated, it display an error message
	[-] MO : Trustedshops : Wrong email in rating link
	[-] MO : EditorialClass include is absolute.
	[-] MO : fixed a bug on Secuvad module
	[-] MO : fixed Gsitemap module bug caused by CMS update Bug #5787 fixed
	[-] MO : Fixed little CSS bug in blockwishlist module
	[-] MO : Fixed SQL error when reloading the page after deleting a block
	[-] MO : No blocks cms are set when installing the blockcms module normally
	[-] MO : Ogone SHA-IN calculation updated
	[-] MO : optimizing modules for ccc feature
	[-] MO : Paypal installation debuggued (when reseting Paypal SQL error banning the access to AdminModules)
	[-] MO : small bug is fixed on Dateofdelivery module
	[-] MO : statsdata installation repaired
	[-] MO : Updated Gsitemap Module for cms' updates
	
	[-] SQL : Added PS_CONDITIONS_CMS_ID in the installation utility for uptate
	[-] SQL : Blockcms's and editorial's tables are not set anymore when installing Prestashop lite
	[-] SQL : database modification for carrier modules
	[-] SQL : fixed missing request for upgrade
	[-] SQL : Removed useless table zone.`enabled`
	[-] SQL : sql prefix are fixed
	[-] SQL : Upgrade updated : `unity_price` : `unit_price`
	[-] SQL : Fixed SQL on #5942 #5888 #5792

####################################
#   v1.4.0.1 - 2403 (2010-06-22)   #
####################################

	Added Features:

	[+] SQL : add the replication SQL


Release Notes for PrestaShop 1.3
--------------------------------

####################################
#   v1.3.6.0 - 4391 (2011-01-12)   #
####################################

	Improved/changed features :
	
	[*] BO : Bug Fixed #5215 (1.3) - Import product list in different language
	
	[*] MO : Fixed bug #6870 - Shop logo is now displayed on PayPal redirection page
	[*] MO : Fixed bug #6870 - Two small improvements on PayPal module (W3C validation)
	[*] MO : Hipay improved
	[*] MO : new options for stats datamining
	
	Fixed bugs :
	
	[-] Project : resolve Ecotax problem on Prestashop update (<1.3.3 to 1.3.6.0)
	
	[-] FO - BUG:6668 Modified text in specials block ES.
	[-] FO : Bug Fixed #5406 - Tax inc. displayed when taxes are disabled
	[-] FO : Bug Fixed #6665 - Suppliers pagination is ok now and unactive products are not count anymore
	[-] FO : Bug Fixed #6828 - Hardcoded address 
	[-] FO : Cookie name is now a hash generated with a string and the shop URL instead of a string and the cookie key, so you shouldn't have any "400 Bad Request" due to oversized cookies anymore
	[-] FO : deleted "This shop requires JavaScript to run correctly. Please activate JavaScript in your browser." which appeared in your google description
	[-] FO : Fixed bug #5632 - W3C error with blocknewproducts
	[-] FO : Fixed bug #6572 - Spelling issue "subtract" instead of "substract"
	[-] FO : Fixed bug #6910 - Bullet image size properties are missing
	[-] FO : mail can be sent even if the customer name is not valid: it is removed instead of crashing prestashop
	[-] FO : mime type detection improved for downloadable items
	[-] FO - Put subheading editorial image in P.
	[-] FO : Replaced all "Substract" by "Subtract"
	[-] FO - Replace H1 logo in DIV change h2 in h1 and h3 in h2 on editorial module for better SEO.
	[-] FO : Shop name is now protected in the mails templates
	[-] FO : smarty warning about $currentCategoryId fixed
	[-] FO : virtual product links are now sent the first time the order is validated and no more hard coded on PS_OS_PAYMENT
	
	[-] BO/FO : Bug Fixed #6438 - BO, Invoices & history don't use specific prices
	
	[-] BO : Bug Fixed #6795, 6797
	[-] BO : Bug Fixed #6796, 6794, 6793
	[-] BO : Bug Fixed #6817
	[-] BO : Bug Fixed #5523 (1.3) - Combinations generator does not cut off attribute names with quote anymore
	[-] BO : Bug Fixed #5616 (1.3) - Supplier reference is displayed in Orders Tab
	[-] BO : Bug Fixed #6086 (1.3) - Back link repaired in Back Office
	[-] BO : Bug Fixed #6687 (1.3) - Incorrect group on customer creation is now fixed
	[-] BO : Bug fixed (no report on it) (1.3) - Duplicate translations file when a new language has been created
	[-] BO : fixed bug #4350 - Wrong redirecting after payment module installation
	[-] BO : Fixed bug #5158 - Bad validation for editorial module (isCleanHtml instead of isString)
	[-] BO : Fixed bug #5497 - All default pictures were deleted if box "Delete all before import" was ticked
	[-] BO : Fixed bug #6732 - Tax rate was restricted to 2 decimals
	[-] BO : Fixed bug #6867 - Two dates were not formatted correctly (Orders list and Cart detail)
	[-] BO : Fixed bug #6908 - Missing translation in editorial module
	[-] BO : removed usage of DOCUMENT_ROOT in the login page
	[-] BO : tinymce do not entities every utf8 chars anymore
	
	[-] Classes : Bug Fixed #6825 - Missing properties (ecotax_tax_rate & group_reduction) in OrderDetails class
	[-] Classes : Missing properties (ecotax_tax_rate & group_reduction) in OrderDetails
	
	[-] Core : Fixed bug #5545 - $orderBy parameter was ignored if uppercased
	[-] Core : Fixed bug #5886 - Multibyte error in the blockcart module
	[-] Core : Fixed bug #6269 - Major issue with $outOfStock flag during order processing
	[-] Core : Fixed bug #6590 - Image format not recognized (JPEG/GIF/PNG...)
	[-] Core : Fixed bug #6716 - Error "Image format not recognized, allowed formats are: .gif, .jpg, .png"
	[-] Core : Fixed bug #6788 - Exceptions on page with query string specified were not working properly
	
	[-] MO : added IF NOT EXISTS to the table creation of the newsletter module
	[-] MO : Fixed bug #4785 - Google Checkout wasn't transmitting attribute details
	[-] MO : Fixed bug #5101 - It was impossible to configure a local rss feed (blog for instance) on module blockrss
	[-] MO : Fixed bug #5688 - PayPal return values were not uppercased
	[-] MO : Fixed bug #6855 - Cross selling module links were wrong
	[-] MO : Notice fixed in statssales
	[-] MO : statsbestcustomers is now faster and do not loose any customer when you browse the pages
	[-] MO : subdomain no more removed from the url in pagesnotfound
	
	[-] PDF : PDF won't die if no language is specified in the cookie
	
	[-] TR : related to bug #6852 - copying necessaries mails when a language pack is imported.
	
	[-] MAIL : Bug fixed #6674 (1.3) - Mail template order_customer_comment now mention customer name and e-mail


####################################
#   v1.3.5.0 - N/A (2010-12-29)    #
####################################

	Fixed bugs :
	
	[-] Project : fixed bug on upload image system (images.inc.php)

####################################
#   v1.3.4.0 - 3941 (2010-12-22)   #
####################################

	Improved/changed features :
	
	[*] FO : Added several with/height HTML values for delete.gif
	[*] FO : Improved memory management for digital files downloads
	[*] FO : Improved the way manufacturers product were counted
	
	[*] BO : added new version of tinyMCE
	[*] BO : (cf comment bug #6266) (1.3) - AdminPDF and AdminPreferences - Font PDF can now be changed in every language without changing the employee language
	[*] BO : remove old version of tinyMCE
	
	Fixed bugs :
	
	[-] Project : Bug Fixed #6453 added missing fields to Manufacturer : meta title,meta description.meta keywords,short description...
	
	[-] FO : Fixed bug #6115 - Added +/- images sizes (width, height) in the cart tpl for better performances
	[-] FO : Fixed bug #6146 - Manufacturer page was counting non-active products 
	[-] FO : Fixed bug #6332 (error with chars è,é,à,ò,ù,ì in "Send to a friend" module
	[-] FO : Fixed bug #6406 - Several errors with large digital files downloads
	[-] FO : Optimized category.php when category unactive. Bug #6314 fixed
	
	[-] BO : Bug fixed #6266 (1.3) - Class PDF - Font PDF can now be changed
	[-] BO : Creating a voucher from AdminOrder page won't change table ps_order anymore
	[-] BO : Fixed bug #5418 - Updated default EUR/USD currency rate (1.20 -> 1.32)
	[-] BO : Fixed bug #5877 - All help boxes were displayed for downloadable products
	[-] BO : Fixed bug #6224 - Date picker wasn't working properly for swedish language
	[-] BO : Restored update in getter for retro compatibility : update from 1.2.5 to earlier version
	[-] BO : Vouchers used on orders are now counted when creating OrderSlips or vouchers.
	
	[-] MO : Bug fixed #6371 (1.3) - Module MailAlerts - Bug concerning product reference is now fixed
	[-] MO : Fixed bug #5290 - "Exclude discounted products" feature wasn't working properly
	[-] MO : Fixed bug #6459 - SQL syntax error during insertion
	
	[-] TR fixed bug 6461: modification of the product page when


####################################
#   v1.3.3.0 - 3662 (2010-12-02)   #
####################################

	Improved/changed features :

	[*] MO : On gsitemap module - substract the page search.php to the list.
	
	Fixed bugs :
	
	[-] FO : ASC => asc for google referencement compatibility. Bug #5850 fixed
	[-] FO : Attributes reduction on product untaxed are now untaxed too everywhere. Bug #5338 fixed
	[-] FO : Bug fixed #5262 clean position of product when update categories
	[-] FO : Bug fixed #5501 - Product picture is not displayed in list
	[-] FO : Bug fixed #5627 - Redirect 301 in order to avoid duplicate content
	[-] FO : Bug Fixed #5773 - Small issue in tools::d() function
	[-] FO : Bug fixed #5870 - SSL and redirection 301
	[-] FO : Bug fixed #5995 - Invalid redirection on product page
	[-] FO : Duplicate content due to missing EAN13 in product url 
	[-] FO : Ecotax conversion fixed on product page (when the customer currency was different from the default one)
	[-] FO : Fixed bug #5263 - UTF8 support
	[-] FO : Fixed Bug #5516 - Missing pictures height and width
	[-] FO : fixed bug #5769
	[-] FO : fixed bug #5806
	[-] FO : fixed bug #5806
	[-] FO : fixed bug #6148
	[-] FO : In product.tpl in the color picker block, the cancel button has been deleted. Indeed the button behavior was not according to his name. It displayed all pictures when a user already choosed a color declination. The icon has been moved on the side of the button "display all pictures".
	[-] FO : Invoice + Confirmation email displays customization details 
	[-] FO : Invoice customization encoding
	[-] FO : fixed search with old templates version
	[-] FO : Product price display fixed on the category page
	[-] FO : Product price fixed (rounding issue) when quantity discount applied
	[-] FO : Product-sort repaired. (desc didn't work and w3c correction)
	[-] FO : Quantity discount application fixed when price display method set to tax excluded
	[-] FO : Quantity discount display fixed (when the customer group price display is set to tax excluded)
	[-] FO : set getPriceStatic() method in getPriceWithoutReduct().
	[-] FO : Strange french traduction with a ’ instead of a \', Bug #5678 fixed
	[-] FO : When a product is new, it is display everytime product-list is displayed. Bug #5654 fixed
	
	[-] BO / FO : Invoices works perfectly with a 100% voucher and a total paid price of 0.00. Bug #5984 fixed
	
	[-] BO : #5458 AdminModules - Counter and tab displaying are now according to modules which are shown and usable by selected countries.
	[-] BO : AdminPayment permissions works fine
	[-] BO : Bug #5965 fixed. When passing an argument id_cart to getPriceStatic, new cart replace global cart
	[-] BO : Bug fixed #5217 - Live feed non https
	[-] BO : Cache problem fixed on IE for manufacturer on AdminProduct page. Bug #5502 fixed
	[-] BO : Customized product price fixed on order detail
	[-] BO : delivery prices set to 0 when you add a new range
	[-] BO : Ecotax input fixed
	[-] BO : Ecotax input fixed
	[-] BO : fixed bug #5677
	[-] BO : fixed bug #5793
	[-] BO : fixed bug #6006 - Track The Order link to new page
	[-] BO : fixed bug ecotax
	[-] BO : fixed js bug
	[-] BO : Fixed SQL error on AdminImport page when entering an empty category
	[-] BO : Image changed in AdminAttributesGroups : Bug #5795 fixed
	[-] BO : missing images for 6th level categories
	[-] BO : Moneybookers description : "." removed. Bug #5465 fixed
	[-] BO : Number of messages was always 0 in Customer messages
	[-] BO : Optimisation of Category::recurseLiteCategTree, Bug #6007 fixed
	[-] BO : Permissions for Payment page reworks : Bug #5835 fixed
	[-] BO : Reduction displayed correctly now. Bug #5500.
	[-] BO : bad filter key for profiles in AdminEmployees, bug #5952 fixed
	[-] BO : You can now edit carrier's price for disabled zones. Bug #6074 fixed
	
	[-] Classes : bug fixed #5527 - change preg_match() pattern to allow 5 chars, number and dash. 
	[-] Classes : Carrier getDeliveryPriceByPrice() & checkDeliveryPriceByPrice() now convert to default currency
	[-] Classes : date('Y-m-d H:m:i') became date('Y-m-d H:i:s'), bug #6033 fixed
	[-] Classes : Ecotax tax application fixes (does apply the tax regarding the customer location)
	[-] Classes : fixed bug #5990
	[-] Classes : fixed bug #6000 - W3C validation of search result page, error in Link.php 
	[-] Classes : fixed bug #6079 - Fatal error on pdf invoice
	[-] Classes : Free shipping voucher display fixed
	[-] Classes : Free shipping voucher display fixed (second part)
	[-] Classes : French ecotax fixed (was working only without reduction and with a product tax of 19.6%)
	[-] Classes : Ordered product price display fixed (when both reduction and customer group reduction applied). It concerns both the BO, FO, PDF and emails.
	[-] Classes : Order voucher fixed (when ecotax applied)
	[-] Classes : Prices (product & shipping) fixed when taxes were disabled but one of them assigned to the product/shipping
	[-] Classes : Product price fixed (when using customer group reduction)
	[-] Classes : setlocale() fixed
	[-] Classes : 'Y-m-d H:m:i' becomes 'Y-m-d H:i:s'. Bug #6038 fixed
	[-] Classes : Invoice PDF was never sent by mail
	
	[-] MO : blocklink installation repaired
	[-] MO : Bug #5440 mailalerts/product.tpl message now disappear on change of color or other parameters.
	[-] MO : Bug fixed #6185 (1.3) - Module MailAlerts - Module Mailalert now refers to order
	[-] MO : Canonical URL module is repaired (http:/∕ and https://)
	[-] MO : bug fixed #5748 - translation fix for paypalapi/payement/payment.tpl and paypalapi/fr.php
	[-] MO : bug fixed #5768 - change smarty modifier for display the first letter of the user lastname.
	[-] MO : editorial : Bug Fixed #5469 - Editorial module document_base_url is missing for TinyMCE
	[-] MO : fixed bug #5571 - Customer Qty Email on mailalert module
	[-] MO : fixed bug on mail alert module #5733
	[-] MO : fixed bugs on loyalty points when happens a return are now not negative
	[-] MO : mailalerts : New order email now displays customization informations
	[-] MO : Paypalapi Module don't break css and js anymore. Bug #5736 fixed
	[-] MO : Sales & Orders Stats Module fixed
	[-] MO : statsdata installation repaired
	
	[-] PDF : Ecotax display fixed

####################################
#   v1.3.2.3 - 2887 (2010-10-01)   #
####################################

	Improved/changed features :
	
	[*] BO : add a label in module Module > Positions for checkbox
	[*] BO : Pack Product list (related to bug #4804)
	[*] BO : set new define on Back office "_PS_ADMIN_DIR_" with retro-compatibility
	[*] BO : The last admin profile and current profile can't be disabled or deleted
	[*] BO : You can now define the admin profile
	
	[*] Classes : new parameter for method getProfile() on Profile's class
	
	[*] MO : Added SSL support for Moneybookers module
	[*] MO : cleaned canonicalurl module
	[*] MO : fixed bug #5242 - now you can define a cms page for link on blockpaymentlogo module
	[*] MO : Updated Moneybookers module (lot of improvements and some bug fixes !)
	
	[*] TR : several spannish translations are added
	
	[*] IN : Brazil/Brasil states integrated into the default installation
	[*] IN : States of Mexico
	
	Fixed bugs :
	
	[-] Project : fixed bug #4734 - Double semicolons - 14 more instances
	
	[-] FO : Bad Url in add notification link (related to bug #4824)
	[-] FO : Bug #5160 fixed : previous page don't return to default carrier anymore
	[-] FO : Bug #5222 Fixed : pb iso-lang if change nb product by page, can’t change language
	[-] FO : Bug fixed #3806 - Color picker with custom image
	[-] FO : Bug fixed #4494 - Incorrect reduction price on combination when changing currency
	[-] FO : Bug Fixed #4555 - Supplier page order by manufacturer
	[-] FO : Bug fixed #4636 : States sort order
	[-] FO : Bug fixed #4861 - save personalized field reset color combination
	[-] FO : Bug fixed #4874 - Special characters in the contact form
	[-] FO : Bug fixed #5014 - Stylesheet enhancement
	[-] FO : Bug fixed #5014 - Stylesheet enhancement
	[-] FO : Bug fixed #5014 - Stylesheet enhancement
	[-] FO : Bug fixed #5079 - Personalized field name translations
	[-] FO : Bug fixed #5080 - RMA status is not refreshed
	[-] FO : Bug fixed #5177 - Default category in breadcrumb
	[-] FO : Bug fixed #5273 - Bookmark = home page
	[-] FO : Bug fixed #5284 - Bookmark https & name
	[-] FO : Bug fixed #5286 - added delay between 2 customer comments
	[-] FO : Bug fixed #5300 - Warning-inline
	[-] FO : Bug fixed #5320 - Escape missing on short product description
	[-] FO : Bug fixed #5367 - Tax disable are displayed in order history
	[-] FO : Bug fixed #5425 - Extra carrier not displayed
	[-] FO : bug fix on product page with quantity discount in percent
	[-] FO : bug is fixed in order-confirmation for payment module send secure key by POST method
	[-] FO : fixed bug #4640 - LC_TIME not set to user front office language
	[-] FO : fixed bug #4646 - important bug when disable states
	[-] FO : fixed bug #4680 - image categorie not center
	[-] FO : fixed bug #4707 - Quantities Discount tab not ‘selected’ (light grey)
	[-] FO : fixed bug #4727 - Cart Product out of stock not changed GREEN DOT to RED DOT
	[-] FO : fixed bug #4735 - image 404 size in cart
	[-] FO : fixed bug #4791 - Bug in cart when using customized fields
	[-] FO : fixed bug #4801 - getByemail should be getByEmail in authentication.php
	[-] FO : Fixed Bug #4928 - Attributes + OOS + Display unavailable product attributes 
	[-] FO : fixed bug #4967 - detail order in FO not refresh
	[-] FO : fixed bug #5015 - wrong font-family on global.css
	[-] FO : fixed bug #5023 - Class first_item and last item in manufacturer-list.tpl and supplier-list.tpl
	[-] FO : fixed bug #5039 - Incorrect message while search without input
	[-] FO : fixed bug #5057 - discount + tax excluded = old price incorrect
	[-] FO : fixed bug #5071 - Incorrect scene prices for non-taxed price groups
	[-] FO : fixed bug #5108 - apostrophes and quotes part of invalid title characters
	[-] FO : fixed bug #5110 - No redirect after account creation
	[-] FO : fixed bug #5130 - Required * are on left side in identity.tpl
	[-] FO : fixed bug #5156 - Inconsitent use of possessive pronouns “my” and “your”
	[-] FO : fixed bug #5208 - Read CGV with Https
	[-] FO : fixed bug #5276 - create account,pb copy last,first name
	[-] FO : Fixed Bug #5488 - Full HTTPS = Errors
	[-] FO : Fixed Bug #5489 - Search page is https
	[-] FO : fixed bug page authentication for first name and last name
	[-] FO : fixed bug with Hack Attempt message on account edition
	[-] FO : fixed size of images
	[-] FO : fixed size of images
	[-] FO : Ghost 404 pages fixed (I hope)
	[-] FO : maximum value for the weight in the product search indexation increased
	[-] FO : No pack pictures
	[-] FO : Payment modules become independant from blockcurrencies.
	[-] FO : Prevent from recursive deletion when id_category is not set
	[-] FO : remove including blockcurrencies.js.
	[-] FO : set retro compatibility for 1.2 theme
	[-] FO : SSL port value in Tools::securerReferrer
	
	[-] BO : #5357 / #5360 / #5331  Incorrect group management on customer creation - Disable/Delete category return to home
	[-] BO : added QSA to every rewrite rule of the htaccess
	[-] BO : Admin profile is now defined in config.inc
	[-] BO : Bug #4370 Fixed, specified filename instead of name in AdminAttachments
	[-] BO : Bug #4870 problem to reorder product Fixed
	[-] BO : bug #5202 is fixed - can’t manual resize thumbnails
	[-] BO : Bug fixed #2943 - Admin Catalog Pagination
	[-] BO : Bug fixed #4422 - "Test your email configuration" is now using the PS_SHOP_EMAIL
	[-] BO : Bug Fixed #4601 - Import Products: no truncate table “ps_feature_product” 
	[-] BO : Bug Fixed #4666 - Problem to reorder product
	[-] BO : Bug Fixed #4676 - Administrators can edit his privilegs
	[-] BO : Bug fixed #4777 - Import tools: Subcategories with same name, different ID
	[-] BO : Bug Fixed #4790 - duplicate content (lang-xx/)
	[-] BO : Bug fixed #4839 - Sitemap location (Full url)
	[-] BO : Bug fixed #4850 - HTTPS to HTTP :443 appended to domain
	[-] BO : Bug Fixed #4859 + Fix on HIPAY_CATEGORY_TEST + new screenshots
	[-] BO : Bug fixed #4878 - Shipping fee are now refreshed when a product is canceled
	[-] BO : Bug Fixed #4879 - Underscore and other specials chars should not be allowed in tags when importing
	[-] BO : Bug Fixed #4880 - ProductSales not updated correctly
	[-] BO : Bug Fixed #4883 - “Order statues” instead of “Order statuses”
	[-] BO : Bug Fixed #4891 - Hack attempt when a state in use is deleted
	[-] BO : Bug fixed #4952 - 'Notify me' is displayed when attribute doesn't exist
	[-] BO : Bug fixed #5017 - Missing space in private message title
	[-] BO : Bug fixed #5046 - issue on bulk deletion 
	[-] BO : Bug fixed #5074 - Sort by price
	[-] BO : Bug fixed #5100 - Catalog Selection (on Product & Scene tabs) does not keep value on POST error
	[-] BO : Bug fixed #5188 - delete product return to HOME
	[-] BO : Bug Fixed #5283 - Address Country Filtering
	[-] BO : Bug fixed #5308 - Not able to add Carrier Tracking URL
	[-] BO : Bug fixed #5329 - DB error when changing image position
	[-] BO - Bug Fixed #5350 - Link rewrite during import ' => -
	[-] BO - Bug fixed #5384 - Error and Confirmation boxes width are different
	[-] BO : Bug fixed #5396 - Filter box for carrier too small - range price, and range weight
	[-] BO : bug fixed #5399 - Hash Symbol (#) not accepted in Contact Details
	[-] BO : Bug fixed #5452 - ES language for status
	[-] BO : Bug fixed #5455 - Back Office search placeholder no longer works
	[-] BO : Bug fixed #5493 - ‘Save and Stay’ button missing from images page in BO
	[-] BO : Bug fixed : Can cancel/return/refund more products than available (Related to #5214)
	[-] BO : bug fixed on mail send for new password query
	[-] BO : Bug fixed : Some pictures were not deleted before the import
	[-] BO : category form description area enlarged
	[-] BO : Default admin profile is now created during installation
	[-] BO : Fixed bug #4543, Typo error
	[-] BO : fixed bug #4639 - Languge id hardcoded in administration/init.php
	[-] BO : fixed bug #4682 - personalized field name replaced by text1,2…
	[-] BO : fixed bug #4705 - SQL Syntax error at Shipping Carriers Update when no DB Prefix
	[-] BO : fixed bug #4718 - popup each time you change the default category in admin
	[-] BO : fixed bug #4741 - deleting attributes and back to category link
	[-] BO : fixed bug #4742 - product attribute generator
	[-] BO : fixed bug #4744 - “.COM” suffix incorrected added to test email on BO
	[-] BO : fixed bug #4762 - BO doctype still lang= hardcoded
	[-] BO : Fixed bug #4809 - Final product price (with discount)
	[-] BO : fixed bug #4815 - Voucher with amount doesn’t work
	[-] BO : fixed bug #4818 - Product reductions in import don’t include time
	[-] BO : fixed bug #4818 - you must select at least one group when you edit a category
	[-] BO : fixed bug #4839 - AdminGenerator : robots.txt and sitemap.xml
	[-] BO : fixed bug #4916 - Bad syntax on AdminProducts
	[-] BO : fixed bug #4926 - change status for order paiement method not send values
	[-] BO : fixed bug #4953 - Temporary import files / images in /img/tmp are not deleted
	[-] BO : fixed bug #4964 - Watermark is not applied during CSV import of images
	[-] BO : Fixed bug #4968 - Date check in order return
	[-] BO : fixed bug #4969
	[-] BO : fixed bug #5025 - illogical situation
	[-] BO : fixed bug #5055 - can’t Display available quantities on product page
	[-] BO : fixed bug #5085 - PHP Notice - undefined index - on saving stats settings
	[-] BO : fixed bug #5105 - Icones in BO tabs
	[-] BO : fixed bug #5126 - Total not including tax in stats module is incorrect (not including discounts)
	[-] BO : fixed bug #5157 - Cannot configure disabled modules on the Payment tab
	[-] BO : fixed bug #5159 - Invalid json syntax in /admin/ajax.php
	[-] BO : fixed bug #5193 - tinyMCE including non-existent files
	[-] BO : Fixed bug #5228 translation : [statues => statuses]
	[-] BO : fixed bug #5239 - fix a little bug in Admintranslation
	[-] BO : fixed bug #5243 - pb with field friendly-url and IE8
	[-] BO : fixed bug #5258 - tax disabled but display ht and ttc in bo edit catalog
	[-] BO : Fixed bug #5263 - php warning and product title not displayed!
	[-] BO : fixed bug #5282 - please restore previous AdminZones.php
	[-] BO : Fixed bug #5342 - Reduction problems if reduction_from is not equal with reduction_to
	[-] BO : Fixed Bug #5358 - Edit product > Image > Save/Save & Stay 
	[-] BO : Fixed bug #5385 - Tax name not used
	[-] BO : Fixed bug in module Pagesnotfound... not really a bug but an integration fault...
	[-] BO : fixed bug when you create a new virtual bug for the selection of "When out of stock" behaviour
	[-] BO : Fixed bug with discount dates
	[-] BO : fixed generation of image when you add a new supplier
	[-] BO : fixed little JS bug
	[-] BO : fixed PHP error in AdminProduct
	[-] BO : fixed round problems with product uses reduction
	[-] BO : missing "awaiting paypal payment" missing icon added
	[-] BO : now we can't edit the configuration of a module that not installed
	[-] BO : Profile permissions handling specific 1.3.2
	[-] BO : search code cleaned
	[-] BO : slow query fixed on the customer page
	[-] BO : Sort by final price (product) is disabled (related to #5074)
	[-] BO : Spanish default pictures
	[-] BO : States are now ordered by name in AdminAddress
	[-] BO : test mail encryption
	[-] BO : When you disabled stock management, you can't change the value of this option: "Display available quantities on product page"
	[-] BO : Bug #5530 fixed, css problem
	[-] BO : Bug #5522 fixed
	
	[-] Classes : bug #5227 is fixed - Tax excluded value on PDF invoice with voucher
	[-] Classes : fixed bug #4617 - Multi-Lingual URL rewrite
	[-] Classes : fixed bug #4631 - price caching system doesn’t take account of customer_id
	[-] Classes : fixed bug #4684 - Do not convert PREFIXes in PDF Class
	[-] Classes : fixed bug #4701 - PamentModule: product_weight not calculated correctly
	[-] Classes : fixed bug #4731 - copy product: customized field is reorder in reverse
	[-] Classes : fixed bug #4757 - Cart Last Update Time
	[-] Classes : fixed bug #4760 - Attributes - total quantity not updating
	[-] Classes : fixed bug #4769 - Attributes - total ‘quantity’ not updating in products table
	[-] Classes : fixed bug #4949 - No error message when voucher is not applicable
	[-] Classes : fixed bug #5009 - page 404.php in sitemap.xml
	[-] Classes : fixed bug #5011 - Meta description and title disappear when more than one maintenance IP
	[-] Classes : fixed bug #5031 - PHP notice undefined outOfStock
	[-] Classes : fixed bug #5047 - issue in method ObjectModel::toggleStatus
	[-] Classes : fixed bug #5151 - fixed bug on price calculation
	[-] Classes : fixed bug #5166 - Quantity discount currency problem
	[-] Classes : fixed bug #5247 - Applied voucher(s) not visible in BO cart-detail if discount qty = 0
	[-] Classes : fixed bug on discount and discount of product
	[-] Classes : fixed bug when you create an order with a product out of stock
	[-] Classes : fixed bug with PayPal module and Quantity discount
	[-] Classes : fixed bug with REMOTE_ADDR value when server use a proxy system with new method on Tools class (#5087)
	[-] Classes : fixed round problems with product uses reduction (we add retro-compatibility but please make update or make a fresh install)
	[-] Classes : fixed use of cookie on validateOrder() method
	[-] Classes : several bugs are fixed on RMA with products having reduction and quantity discount
	[-] Classes: Fixed bug #5576, Search wasn't dealing properly with ' chr
	
	[-] MO : Bug #5236 fixed : crossselling module en language file spurious php closing tag
	[-] MO : Bug fixed #4653 - fixed SQL Query on CrossSelling module
	[-] MO : ganalytics : addslashes added
	[-] MO : ganalytics : Fixed bug #4872 - Google Analytics obsolete code
	[-] MO : advertising : Pictures not displayed on https pages
	[-] MO : Blockadvertising + Statsdata no more use of $protocol.$server_host
	[-] MO : Bug fixed #5272 (productscategory) - In same category is no longer displayed if the category is disabled
	[-] MO : Bug fixed #5309 - ReferralProgram -> discount value not displayed in email preview
	[-] MO : Feeder : Bug Fixed #5001 - RSS default category
	[-] MO : feeder : Bug fixed relative to product order display preferences
	[-] MO : Gcheckout, extra " removed
	[-] MO : gcheckout : Fixed bug #4866 - HTTPS
	[-] MO : gsitemap - controller white list
	[-] MO : gsitemap - controller white list (related #5430, #5270)
	[-] MO : gsitemap - Fixed Bug #5429, #5430 .php.php at the end of pages URL + problem with default language
	[-] MO : Mailalerts - Fixed "Out of stock" mail alert 
	[-] MO : Sitemap - indexed pages displayed not correct!
	[-] MO : fixed bug #3552 (comment) - Total amount doesn’t change on currency change
	[-] MO : fixed bug #4629 - Blockwishlist “product not found” error
	[-] MO : fixed bug #4649 - fixed bug on redirection in PayPal module
	[-] MO : fixed bug #4660 - MoneyBooker HTML tag error
	[-] MO : fixed bug #4674 - RSS products feed v0.2 not work
	[-] MO : fixed bug #4687 - “mailalerts” module doesn’t work in front office
	[-] MO : fixed bug #4696 - Best Products Stats module
	[-] MO : fixed bug #4732 - Undefined index: sekeywords module
	[-] MO : fixed bug #4733 - fixed error PHP on module graphgooglechart
	[-] MO : fixed bug #4771 - MoneyBooker HTML tag error
	[-] MO : fixed bug #4776 - MailAlerts - email input box not clearing onClick
	[-] MO : fixed bug #4778 - Cannot overwrite javascript on Module Block Wishlist
	[-] MO : fixed bug #4782 - now PayPal module manage the Pending status
	[-] MO : fixed bug #4834 - Error in redirect to My Wishlist page after login
	[-] MO : fixed bug #4906 - Add to cart button in viewed.tpl is disabled when quantity >  0
	[-] MO : fixed bug #4910 - Moneybookers 1.0 brakes SSL connection
	[-] MO : fixed bug #4913 - Paypalapi - ‘UK’ should be ‘GB’
	[-] MO : fixed bug #5005 - Canonical URL is http:// when SSL is enabled
	[-] MO : fixed bug #5006 - Mailalerts problem
	[-] MO : fixed bug #5044 - Display in Newsletter Module
	[-] MO : fixed bug #5070 - Little issue in StatsBestCategory totals computation
	[-] MO : fixed bug #5076 - Stats - Best Customers - too many decimal places on price column
	[-] MO : fixed bug #5090 - mailalerts module receive wrong $params when removing a product from order
	[-] MO : fixed bug #5114 - Empty dd tags detected with html tidy in blockbestsellers.tpl
	[-] MO : fixed bug #5131 - Moneybookers iframe isn’t https
	[-] MO : fixed bug #5190 - Paypal SSL issue - non secure links in redirect.tpl
	[-] MO : fixed bug #5205 - fixed width of columns in module statsbestcategories
	[-] MO : fixed bug #5261 - Forgot icon for module paymentlogo
	[-] MO : hipay does not display deleted currencies anymore
	[-] MO : stats grid modules automatically hooked on the admin header
	[-] MO : Updated Moneybookers module (several small bug fixes)
	[-] MO : Bug #5519 fixed : css problem in productsCategory module
	
	[-] PDF : fixed bug #4667 - tax disable but displayed on slips
	[-] PDF / FO : Price fixed (round issue when price display mode set on "tax included")
	
	[-] SQL : fix duplicate key on installation
	[-] SQL : fixed bug #4691 - Mysql (table without prefix) error update 1.2.4 to 1.3
	[-] SQL : fixed bug #4958 - Bug in db_settings_lite.sql (Spanish)
	[-] SQL : fixed bug #5269 - fix missing change in db.sql
	[-] SQL : fixed missing columns (reduction_percent & reduction_amount)
	[-] SQL : removed zone.`enabled` table because useless (Bug #5241 Fixed)
	[-] SQL : set default value for need_identification_number field
	
	[-] TR : added missing translations
	[-] TR : spanish
	[-] TR : spanish
	[-] TR : fixed bug #5060 - FR mistranslation in BO setting product
	[-] TR : fixed bug #5092 - Typos in /modules/bankwire/payment_return.tpl
	[-] TR : fixed bug #5132 - Back Office >> Tools >> Subdomains misspelt “Additionnal”
	[-] TR : fixed translation key
	[-] TR : transaltion is fixed on AdminCatalog
	
	[-] CSS : fixed bug #4991 - svn2418 on sale icon causes other lines to go askew
	[-] JS : fixed bug #4730 - Line 291 of modules/blockcart/ajax-cart.js has double semicolon
	

####################################
#   v1.3.1.1 - 2349 (2010-03-06)   #
####################################

	Security fix:

	[-] Security : XSS vulnerability on the virtual product deletion

####################################
#   v1.3.0.10 - 2314 (2010-20-05)   #
####################################

	Improved/changed features :

	[*] FO : added clearfix and fixed cross-browser display
	[*] FO : display of product-list item enhanced (moved availability text = more space for title and description)

	Fixed bugs :

	[-] FO : optimized performances of a SQL query
	[-] FO : fixed bug with group reduction
	[-] FO : fixed bug #4556 - Not valid JSON in blockcart module
	[-] FO : fixed bug #4512 - Credit slips icon on my account page has wrong alt and title
	[-] FO : fixed bug #4506 - Error text On sale spanish
	[-] FO : Search fixed when the product did not have any image associated

	[-] FO / MO : Order finalization fixed concerning cheque, bankwire and cashondelivery modules when ordering only virtual products

	[-] BO : Now table ps_block_cms is cleanned when you delete a CMS page
	[-] BO : fixed bug with multilanguage fields
	[-] BO : you can't delete a employee account if it's the last one
	[-] BO : fixed bug on quantity discount
	[-] BO : fixed bug on validation of group form

	[-] Classes : fixed bug with discount
	[-] Classes : fixed bug on product page when taxes are disabled
	[-] Classes : fixed bug #4584 - getNeedDNI() function, call to “Executes” instead of “ExecuteS”
	[-] Classes : Product price fixed when tax disabled (the state tax was still applied)
	[-] Classes : fixed bug #4546 - In deleteCategories function, call to “Executes” instead of “ExecuteS”
	[-] Classes : fixed bug #4545 - Incorrect string before Mysql request in updateQuantity function of Product.php

	[-] MO : fixed bug #4578 - PHP Log Error - getProductLink() on module mailalert
	[-] MO : fixed bug #4547 - Follow up module
	[-] MO : fixed bug #4508 - BlockCategories
	[-] MO : fixed bug #4504 - Cross Selling Image path

	[-] SQL : add new indexes

	[-] PDF : fixed order slip


####################################
#   v1.3.0.9 - 2293 (2010-12-05)   #
####################################

	Fixed bugs :
	
	[-] Classes : fixed error on class ImageType

####################################
#   v1.3.0.8 - 2290 (2010-12-05)   #
####################################

	Added Features :

	[+] MO : add new module for Cross Selling - Feature of Community day

	Improved/changed features :

	[*] FO : add spanish image for "On Sale" (#4430)

	[*] BO : Group listing performance increased
	[*] BO : add phone number into shipping and invoice address on Order details

	[*] SQL : add new indexes in database

	Fixed bugs :

	[-] FO : Fixed bug #4329, Bug on attachments files with special characters! (utf-8)
	[-] FO : fixed bug #4485 - Combination reference codes not shown on FO
	[-] FO : fixed bug 4459 - Removing a Product does remove all data from front office or create 404
	[-] FO : Fixed bug #4474, Bad translation in the customer reviews module
	[-] FO : fixed bug #4482 - (read more) link is always non-friendly URL
	[-] FO : fixed W3C errors

	[-] BO : Fixed bug #4488, Improved performance on ImageType class (used in product import)
	[-] BO : fixed bug #4480 - Localization issues
	[-] BO : fixed bug #4477 - Bug in Adminsearch by reference
	[-] BO : Fixed bug #4473, Bug on the "Expand all fields" in the translations tab
	[-] BO : Fixed bug #4467, Better Slovak characters management in friendly urls

	[-] Classes : fixed bug #4493 - Csv category importing set all the category group access to null
	[-] Classes : add missing field for translations
	[-] Classes :fixed bug #4436 - Virtual product after editing crash

	[-] MO : now you can choose if only the products on actived categories are included in SiteMap
	[-] MO : fixed bug #4478 - Sitemap module issues
	[-] MO : fixed english translation (#4476)
	[-] MO : fixed bug #4416 - Bloc name lowercessed
	[-] MO : fixed little bug on PayPalAPI

	[-] TR : fixed bug #4479 - SQL issues after creating a new language

	[-] PDF : Credit slip prices are now preceded by a minux sign


####################################
#   v1.3.0.7 - 2260 (2010-05-05)   #
####################################

	Added Features :

	[+] Project : canadian provinces and territories added

	Improved/changed features :

	[*] FO : css fix (product image block)
	[*] FO : product page now displays reference of unavailable products
	[*] BO : add warning on AdminAppearance when settings.inc.php is'nt writable
	[*] BO : harmonized and best-defined TinyMCE font sizes
	[*] MO : mailalert now is W3C compliant
	[*] Project : now define variables are on new file defines.inc.php
	[*] MO : small fixes on DejaLa module
	[*] PDF : Both tax included & tax excluded totals are now displayed on the invoice nomatter how the price display method is set
	[*] MO : you can edit configuration of module when is disabled

	Fixed bugs :

	[-] Installer : fixed upgrade process

	[-] FO : fixed bug #4372 - IE8 error JS for product w combination without picture
	[-] FO : fixed bug #4393 - reference new pb
	[-] FO : fixed bug #4367 - personalized field name not displayed in cart (FO for customer)
	[-] FO : fixed a PHP error on front office (#4386)
	[-] FO : product page now displays product reference when combination has none
	[-] FO : fixed color picker tooltips and alt/title attributes
	[-] FO : small fixe on prdouct page (#4277)
	[-] FO : fixed bug #4322 - Without default group I can’t see de categories tree

	[-] BO : rename "price" for a combination to "impact"
	[-] BO : Fixed bug #4359, Missing translation in order statuses tab
	[-] BO : fixed classic product sorting (when click on arrows)
	[-] BO : fixed product draggable sorting (positions were going weird and somehow not saved)
	[-] BO : fixed TinyMCE resizing (toolbars are buggy with IE)
	[-] BO : combinations generator no more deletes existing combinations, and sets default combination only when there is none
	[-] BO : fixed bug #4351 - Customer group not creted afrer new language installation
	[-] BO : fixed bug #4352 - BO doctype still lang="fr"
	[-] BO : fixed bug #4273 - error if delete track number in order
	[-] BO : add * for required field on combinations import
	[-] BO : remove block settigns on AdminStats page
	[-] BO : MySQL went away when there was too many words in a description (search indexing)
	[-] BO : fixed bug on generation of voucher when return product
	[-] BO : fixed wrong behavior when cancelling combination modification
	[-] BO : now we show name of label for custumonizations (#4230)
	[-] BO : truncate long message in AdminMessage that make issue with Internet Explorer 8 (#4245)

	[-] Classes : fixed bug #4250 - Product::getNewProducts total does not take groups in account
	[-] Classes : fixed customer registration with default group
	[-] Classes : now password.php not appear on sitemap.xml

	[-] MO : fixed bug #4411 - PayPal API display bug int https pages
	[-] MO : now when customer encounter error with PayPalAPI, the mercant receive a mail alert
	[-] MO : now link for "My alerts" isn't show if Product availability isn't checked (#4361)
	[-] MO : add description for module Evaluation Catalog
	[-] MO : fixed small bug on blockcart module (#4268)
	[-] MO : now image cover of product is showed on block Product Viewed (#4289)
	[-] MO : fixed misspelling
	[-] MO : fixed bug on module Feeder RSS

	[-] TR : small fixes on Spannish translation

	[-] PDF : Credit slip generation fixed

####################################
#   v1.3.0.6 - 2203 (2010-21-04)   #
####################################

	Improved/changed features :
	
	[*] MO : GoogleCheckOut now is templated
	[*] MO : BlockRSS now is fully templated
	[*] MO : added link for the manual for activation and configuration of Moneybookers on Moneybookers module configuration
	
	Fixed bugs :
	
	[-] Project : fixed bug #4197 - remove contact-form.php from robots.txt
	
	[-] FO : delete terms "(tax incl.)" on choice of payment page when taxes are disabled
	[-] FO : delete include of product-sort.tpl on manufacturer and supplier templates
	
	[-] BO : fixed Quick Access in Back Office (#4194)
	[-] BO : fixed an error SQL on filter tags on AdminTags (#4196)
	[-] BO : fixed bug on generation of thumbnails (#4192)
	[-] BO : fixed bug #4208 - fixed edit of scene on Back Office
	
	[-] Classes : fixed small bug on stock management (#4182)
	[-] Classes : fixed bug #4211 - when you delete a product attribute, the product with this attribute on cart are deleted
	[-] Classes : now we allow the # char on message (#4184)
	
	[-] MO : fixed encoding issue on blockcart
	[-] MO : Fixed bug #4161, Allowed currencies were not checked correctly in Moneybookers module
	[-] MO : fixed bug on mailalert module with send of mail (#4173)
	[-] MO : blockwishlist now is templated
	[-] MO : mailsalert now is templated
	[-] MO : sendToAFriend fixed misspelling
	[-] MO : myalerts fixed misspelling
	[-] MO : fix into library/googlecart (line 468)
	[-] MO : hipay compatibility with multiple currencies
	[-] MO : Hipay now handles the magic quotes
	
	[-] TR : fixed issue #4194 - fixed translation for slow validation
	
	[-] SQL : fixed installation of attributes (#4183)

####################################
#   v1.3.0.5 - 2170 (2010-16-04)   #
####################################

	Improved/changed features :
	
	[*] FO : improve front office template structure
	
	Fixed bugs :
	
	[-] Classes : fixed a major bug in the cart

####################################
#   v1.3.0.4 - 2165 (2010-15-04)   #
####################################

	Added Features :
	
	[+] BO : allow employees to save form default language (when employee uses displayFlags tool, cookie sets the last chosen language as forms default language)
	[+] BO : you can now delete all combinations with just one click
	[+] BO : search "everywhere" added
	
	[+] MO : new stats module "catalog evaluation"
	
	[+] CSS : added clearfix
	
	Improved/changed features :
	
	[*] FO : Fixed bug #3987, Search wasn't working correctly with ( and )
	[*] FO : Fixed bug #3895, big performance improvements thanks to the help of Tomasz Słomiński, added a cache for file_exists() method
	[*] FO : fixed alt and title attributes en product-list
	
	[*] BO : fixed display of manufacturer/supplier/category logos
	[*] BO : Small improvements with Customer messages and Accessories management
	[*] BO : fixed live update of the product name (+ now listen to changeFormLanguage)
	[*] BO : fix old php $languages and js var id_language in admin tabs (already and better defined in AdminTab class)
	[*] BO : moved parent::displayForm after global vars
	[*] BO : you can now resume a timed out images regeneration
	[*] BO : renamed temp form_id_language var
	[*] BO : improved category/product sort in Catalog tab (now using cookie)
	[*] BO : Catalog sort order remains when chosing category, activating, deleting or duplicating category or product
	[*] BO : form language now set as configuration value (!= admin language)
	[*] BO : added parent::displayForm into Admin php files to allow use of js displayFlags method
	[*] BO : Multilingual input required data internalization
	[*] BO : allow js display of language flags + retrocompatibility
	[*] BO : enable js display of language flags into AdminProducts and AdminCategories
	[*] BO : enable multi-tab language management in AdminProducts
	[*] BO : change "Out of stock" status to "On backorder"
	[*] BO : added global for cart on validateOrder method (#4020)
	[*] BO : Product accessories are now using with ajax load
	[*] BO : fixed text-transform : uppercase + capitalize (customer name)
	[*] BO : Accessories are order by name now
	[*] BO : Added some tips regarding the free shipping section
	[*] BO : new search engines keywords managed
	[*] BO : added label for customization product on AdminOrders page (#3880)
	[*] BO : added link on product on page of manufacturer
	
	[*] Classes : now an user can be in many groups, and not on default group
	[*] Classes : vouchers are now applicable in one currency only (and a few other improvements)
	[*] Classes : Now you can define a promotion for one day on a product (#3514)
	[*] Classes : set $priceByWeight and $priceByPrice on protected
	
	[*] MO : new version for Dejala module
	[*] MO : added link of product page on template mail "customer_qty" on module mailalerts
	[*] MO : added product name on comments validation page (#4054)
	[*] MO : Performance improvements on the blockcart module
	[*] MO : Loyalty module now checks reduction date + time instead of date
	[*] MO : Hipay now displays a warning if you use in in localhost
	[*] MO : Small code improvements on Mail alerts module
	[*] MO : Improvements regarding the Moneybookers module
	[*] MO : Paypal show information of order now (#3946)
	[*] MO : fixed translated string and its translation
	[*] MO : quick display fix in products blocks (ie. lastviewed module)
	[*] MO : added text for redirect on module PayPal
	
	[*] TR : added french translations
	[*] TR : fixed translations
	
	[*] Mails : Fixed translation subject for "Nouveau bon de r..."
	
	[*] CSS : replaced style=clear:both with class=clear (required for the BO fix)
	[*] CSS : styling accessories block + clearfixing
	[*] CSS : old temp. css deleted (RIP blockmenutop module)
	
	[*] SQL : added many indexes on SQL structure
	
	Fixed bugs :
	
	[-] Project : Fixed bug #4073, Turkish and Simplified Chinese language packs links were broken
	[-] Project : TinyMCE html descriptions are now W3C Valid (fix #3967)
	[-] Project : fixed uppercase of lastnames
	
	[-] Installer : Fixed bug at install (SQL error with id_default_group in PREFIX_customer)
	[-] Installer : fixed bug on update process
	[-] Installer : Fixed bug #3896 - Added several SQL indexes
	
	[-] FO : Product page now cares for postProcess module errors (such as productcomments)
	[-] FO : fixed bug on search tag
	[-] FO : Product price display fixed (when a state tax applied)
	[-] FO : Fixed bug #3871, Product names with accents wasn't displayed correctly in product lists
	[-] FO : hide submit button when you send contact mail (#4114)
	[-] FO : show information for slow validation of payment module (e.g. PayPal Validation) (#3998)
	[-] FO : fixed bug on referral program module with HTTPS (#4066)
	[-] FO : fixed search autocomplete with SSL
	[-] FO : Fixed bug #4074 - "Price lowered" wasn't displayed anymore
	[-] FO : Fixed bug #4063 - Even if "Sales terms" were disabled, the customer was asked to accept them
	[-] FO : add jQuery for the check of "CGV"
	[-] FO : fixed bug with discount and Internet explorer (#4037)
	[-] FO : fixed issue with duplicated &amp;
	[-] FO : added new rule on .htaccess (#4019)
	[-] FO : Fixed bug #3982 - Position order way in categories wasn't the way selected in BO
	[-] FO : Fixed bug #3898 - Using title instead of legend on homefeatured module
	[-] FO : fixed small bug on address.tpl (#3994)
	[-] FO : Downloadable product ordering fixed when stock management is OFF
	[-] FO : clean authentication.tpl file
	[-] FO : fixed duplicated favicon issue
	[-] FO : change error message when not enought products on stock (#3912)
	[-] FO : Product combination cover image fixed when several images were assigned to a single combination
	[-] FO : fixed translated string and its translation
	[-] FO : remove this dummy folder, it been a long time, so now it's done ! thanks to everyone :)
	[-] FO : Fixed bug #3868, JS comment syntax error
	[-] FO : Fixed bug #3867, Deleted a temporary image file
	[-] FO : small fixes on Tools::getPath() and Tools::getFullPath() methods
	[-] FO : fixed a bug on product page with taxes (#3842)
	[-] FO : fixed summary cart when taxes are disabled
	
	[-] FO / BO : fix customization fields name in order (fix #3968)
	
	[-] BO : fixed upload of module on AdminModule page
	[-] BO : fixed width of tinyMCE editor (now suits width of FO center column)
	[-] BO : fixed IE bug with navigation tool
	[-] BO : Fixed bug on AdminCatalog
	[-] BO : fixed bug on AdminSupplier page with footer
	[-] BO : fixed bug on AdminManufacturer with footer
	[-] BO : Fixed bug #4138, Token was invalid while trying to delete or edit an image
	[-] BO : Fixed bug #3817/4068, An error regarding path was displayed under IIS
	[-] BO : Fixed bug #3799, Customizations informations are now display in order conf. email, and product were displayed twice
	[-] BO : Fixed bug #4005, Deleted unnecessary tabs
	[-] BO : Fixed bug #4125, Undefined PHP constant FILEINFO_MIME_TYPE
	[-] BO : Fixed bug #4126, Bad display of accessories in the product page (Product reference was missing)
	[-] BO : Fixed bug #4120, Bad display of customer messages under IE 8
	[-] BO : Fixed bug #4121, Bad sort of customer messages when selecting "Order ID"
	[-] BO : custom feature values didn't appear when pre-defs values were set
	[-] BO : fixed Strict Standards error on BO
	[-] BO : rewrited url is now also rewrited when using right-click context menu "Paste" option (when leaving the input or saving the product)
	[-] BO : fix path bug when generating cookie
	[-] BO : fix javascript error on filter dropdowns (fix #4001)
	[-] BO : fix with form multinlingual tools (best compliancy)
	[-] BO : Fixed bug #4056, CSS display errors under IE in the admin panel (fieldsets...)
	[-] BO : Fixed bug #4078, There were several PHP warning while translating errors in the BO
	[-] BO : Fixed bug #4083, Added some tips regarding the order states (suggested size = 16x16)
	[-] BO : Fixed bug #4085, There was a missing class clear in the Order states tab
	[-] BO : Fixed bug #4069 - Messages posted by customers who hadn't finalize their orders were not accessible
	[-] BO : now you can enter ID product on Back Office Search and the product page opens directly
	[-] BO : fixed format selection
	[-] BO : fixed bug with access permissions for AdminProducts (#4035)
	[-] BO : fixed flags display
	[-] BO : Fixed bug #3996 - French translation modification
	[-] BO : The friendly URL auto-generation does not fail the CSV import anymore.
	[-] BO : fixed error message on AdminImages
	[-] BO : delete zoom.php file on robots.txt generated on back office
	[-] BO : fixed bug when changing translation language under different tabs
	[-] BO : Fixed CSV import multilines
	[-] BO : can't set 1 to quantity discount for product
	[-] BO : boolean compared to string = cast into boolean (fixed it in admintab and added a magnifier in the order tab)
	[-] BO : Fixed bug #3945 - Products positions are now conserved when updating a product
	[-] BO : fixe bug #3825 (do not delete an updated product from accessories of others)
	[-] BO : fixed encoding issue on TinyMCE
	[-] BO : Invoices are no longer accessible if their order status does not allow PDF invoice
	[-] BO : fixed a bug with input for link rewrite for CMS page
	[-] BO : Fixed missing link_rewrite field on Category import #3831
	[-] BO : fixed regeneration of scenes thumbnails
	[-] BO : fixed links at the bottom of product edit pages
	[-] BO : fixed display bug with alerts about non-compatible characters
	[-] BO : Gift message display fixed (was not displaying carriage returns)
	[-] BO : fix the toogle of help boxes (#3821)
	[-] BO : fixed issue currency on "Total paid since registration" on AdminOrders (#3840)
	[-] BO : fixed issue with currency on statistics
	
	[-] Classes : fixed DB backup (#4119)
	[-] Classes : fixed shipping cost when no carrier selected (#4099)
	[-] Classes : Fixed bug #4067 - PHP warning on $tax undefined variable in PaymentModule class
	[-] Classes : Fixed bug #4048 - Multiple carriers being ignored, shipping £0
	[-] Classes : fixed stock management when pack product are returned (#4016)
	[-] Classes : Multi customer group assignation fixed (default group added)
	[-] Classes : you can't add pack of products on your cart when one product is out of stock (#3977)
	[-] Classes : fixed bug when used discount with tax disabled (#3975)
	[-] Classes : fixed bug on strlen method (#3937)
	[-] Classes : Fixed bug #3907 - Tax excl. discount values were wrong
	[-] Classes : Fixed bug #3907 - Free shipping is now excluding discounts coupon from its calculation
	[-] Classes : Product prices fixed on cart summary when a tax different from the product one (e.g., State tax) should applied and the tax display option set to tax excluded
	[-] Classes : fixed stock management of product pack with combinations
	[-] Classes : fixed count order on AdminCustomer page (#3859)
	[-] Classes : fixed an issue with shipping free fees and currency (#3854)
	[-] Classes : Credit slip does not display discount/voucher anymore
	[-] Classes : fixed issue with currency and reduction price of product
	[-] Classes : fixed issue with currency on gift wrapping (#3814)
	[-] Classes : configuration cache is updated when add a new configuration
	
	[-] PDF : PDF invoice fixed when free order occured
	[-] PDF : fixed PDF with wrapping cost
	
	[-] MO : editorial - fixed width of tinyMCE editor
	[-] MO : fixed an error PHP on ProductCategory module
	[-] MO : fixed a bug on block new product when you haven't new product (#4098)
	[-] MO : save option checked for "all_cms" on module Gsitemap (#4134)
	[-] MO : Referral module voucher generation fixed (currency support added)
	[-] MO : fixed bug #4092 - correct the number of point with the most expensive combination
	[-] MO : fixed loyalty module with multicurrency (#3976)
	[-] MO : Fixed bug #4087, "classic" pages (contact, best sales...) were missing in sitemap.xml
	[-] MO : Fixed bugs #4004/#4070, error with Smarty date format in product.tpl
	[-] MO : Fixed bug #4086, There were several error generating sitemap.xml (PHP warnings)
	[-] MO : Fixed bug #4076, Loyalty points were calculated product by product instead of cart total
	[-] MO : Fixed bug #4061 - "New products" module wasn't managing accents correctly
	[-] MO : fixed a little bug on Ganalytics module (#4052)
	[-] MO : fixed databases structure to MyISAM for MailAlert module (#4041)
	[-] MO : fixed Currencies restrictions for cheque and bankwire modules
	[-] MO : small changes on mailalert
	[-] MO : fixed the send mail for reinjecting product on mail alert module (#3177)
	[-] MO : Partially fixed bug #3177 - Work in progress regarding mail alert module
	[-] MO : fixed display issues into blockcart
	[-] MO : Fixed bug #3510 - Loyalty module: Reward statuses are now translated (English, French, Spanish...)
	[-] MO : Fixed bug #3510 - Loyalty module: Points were canceled on the whole order even if you were canceling only 1 product
	[-] MO : Fixed bug #3510 - Loyalty module: “Transform my points” was displayed even if you didn’t have “Available” points
	[-] MO : Fixed bug #3510 - Loyalty module: Added the “From date” regarding the validity of the discount 
	[-] MO : fixed wrong display when adding product to wishlist
	[-] MO : fixed conflict with blockwhislist and blockcart (#3991)
	[-] MO : watermarks module accept only GIF image (#3988)
	[-] MO : fixed installation of Watermark module
	[-] MO : added wrapping cost to shipping cost on PayPal (#3984)
	[-] MO : Fixed bug #3891 - Moneybookers eWallet logo wasn't set properly
	[-] MO : small fix on blockcategories module
	[-] MO : fixed inactive languages in statscheckup
	[-] MO : cart expanded after refresh fixed (fixed #3964)
	[-] MO : fixed bug with PayPal module with US address
	[-] MO : Fixed bug #3934 - Cheque address now includes <br /> in e-mails
	[-] MO : fixed error on cart quantity product on GCheckOut (#3910)
	[-] MO : quantity fixed in statsproduct
	[-] MO : small fix on the description length in statscheckup
	[-] MO : fixed undisplaying product quantities in blockuserinfo.tpl
	[-] MO : fixed php error on module productscategory
	[-] MO : fixed bug with currency on PayPalAPI module
	[-] MO : fixed a js bug on PayPalAPI (#3838)
	[-] MO : stats currency fixed
	[-] MO : fixed issue with currency for google analytics statistics
	[-] MO : fixed issue when foreaching viewed products
	
	[-] TR : fixed an error on english translation
	
	[-] Mails : removed BOM on many files
	[-] Mails : Removed TTC label on order confirmation mail
	
	[-] CSS : fix IE6
	
	[-] SQL : fixed spannish URL rewriting on sql installer file
	[-] SQL : fixed mistake into configuration vars (product sorted by position but not alphabetically)
	[-] SQL : fixed an error in sql file for upgrade


####################################
#   v1.3.0.3 - 1965 (2010-09-03)   #
####################################

	Improved/changed features :
	
	[*] FO : Fixed size of color picker images
	[*] FO : Optimized jQZoom js file
	[*] FO : Fix display of languages flags when using low bandpass or when image does not exist
	
	[*] FO / MO : fixed english grammar and trads
	
	[*] BO : Description words are now indexed from 3 characters (instead 4 before) - (request was made on bug #3420)
	[*] BO : Field size increased for some fields such as invoices prefix
	
	[*] Classes : optimized the indexation search (#3786)
	
	Fixed bugs :
	
	[-] Installer : fixed cache problem in installer with Internet Explorer
	[-] Installer : fixed translations (#3760, #3761)
	
	[-] FO : invoice link not showing when order is cancelled (#3627)
	[-] FO : You can search by tag again
	[-] FO : now, on summary page, state appear (#3807)
	[-] FO : fixed bug on product page with currency
	[-] FO : fixed an error on check of SSL in init.php
	[-] FO : fixed focus in ajax search
	[-] FO : fix last fix (now works with AND without custom tpl...)
	[-] FO : fix bug when adding custom template/validation.tpl for cashondelivery module
	[-] FO : fixed CSS align for "Currency" text
	[-] FO : fixed bug on summary page with discount (#3648)
	
	[-] BO : Fixed import  #3541
	[-] BO : Fixed import special chars #3198 #3473
	[-] BO : you can't change status of order with no products (#3546)
	[-] BO : Increase CMS content field size (limitated 65k before)
	[-] BO : Fixed bug #3748, Quantity discount value (tax excl.) was false in cart
	[-] BO : fix undeletable last subdomain
	[-] BO : Fixed bug #2892 - Position switching wasn't working properly on the "Home" category
	[-] BO : Fixed missing link_rewrite field on Product import #3501
	[-] BO : fix duplicated adminlang param into language links
	[-] BO : fixed an error in stock gestion
	[-] BO : fixed with the search engine in header
	[-] BO : fixed a notice error in Back Office (#3772)
	
	[-] Classes : fixed discount values without taxes (#3319)
	[-] Classes : js activated in tinyMCE (fixed #3380)
	[-] Classes : fixed the stock management for product pack (#3274)
	[-] Classes : Now range end for carrier is excluded
	
	[-] MO : fixed bug with currency on module PayPalAPI
	[-] MO : small changes on the PayPalAPI module
	[-] MO : small change on the MoneyBookers module
	[-] MO : Fixed bug #3735 - Moneybookers first setting validation failed
	[-] MO : Fixed bug #3637 - Visitors wasn't able to reload Moneybookers payment page
	[-] MO : fixed an error in module mailalert with "product out of stock" mail (#2999)
	[-] MO : fixed a bug in module referralprogram with mail template (#2945)
	[-] MO : fixed PHP error on module productcategory when no others products on category
	
	[-] TR : fixed english translation in BO
	[-] TR : change french translation for "Available"
	
	[-] SQL : fixed error on databases structure and upgrade

####################################
#   v1.3.0.2 - 1902 (2010-25-02)   #
####################################

	Added Features :
	
	[+] Classes : new feature that disables AJAX search if the module "block search" is removed from hook Header to avoid javascript errors on Front Office

	Improved/changed features :
	
	[*] Project : Convert all files to unix format
	
	[*] FO : Cart performances improved
	[*] FO : Alignment of wishlist icon
	[*] FO : IE issue with option width in select with defined width. Best practice advise to use title attribute on option tags.
	[*] FO : The header no more collapses with the lower content when user infos are larger
	[*] FO : global.css is now valid W3C
	
	[*] FO / BO : now if states are desactived for one country, these states not showing on account edition on FO and BO
	[*] FO / BO : now you can edit the identification number of customer
	
	[*] BO : improved configuration of shipping
	[*] BO : added check after send the invoice number configuration
	[*] BO : improved method array_walk() on AdminImport.php
	[*] BO : management errors related to images when importing CSV
	[*] BO : Improved mime type detection method! no more finfo method required
	
	[*] Classes : redefine Smarty truncate in smarty.config.inc.php and check if mb_string librairy is active or not for use mb_substr method
	[*] Classes : Gift-wrapping price is now tax ecluded
	[*] Classes : improved the use of SSL with for example the block cart Ajax when server force SSL
	[*] Classes : added php error code when upload file failed
	
	[*] MO : added possibility on Gsitemap module, you can now generate sitemap with all CMS pages or only CMS pages in block CMS
	[*] MO : added spanish mail templates on module ReferralProgram
	[*] MO : added spannish templates mail for module blocknewsletter
	[*] MO : adjusting the configuration explanation from PayPal module to the new interface Paypal
	[*] MO : Hipay updated
	[*] MO : added warning on PayPal module when you are in localhost
	
	[*] TR : update transaltions
	
	[*] SQL : size price is now increased (#3693, #3668)

	Fixed bugs :
	
	[-] Project : remove zoom.php file, this file is no longer used in the solution
	
	[-] Installer : fixed a bug with installer and 5.3.1 php version
	[-] Installer : Fixed bug when trying to reach the installer specifying index.php in the URL
	[-] Installer : Fixed bug #3624 - Wording modification
	[-] Installer : fixed timeout bug #3715
	
	[-] FO : correction in the command history of the statute which was not translated into the language of the user
	[-] FO : fixed error in cart quantity (retroactive)
	[-] FO : fixed a bug on product page when Jqzoom actived
	[-] FO : Fixed CSS bug with Safari
	[-] FO : fixed a Hack attempt error when you edit your personal information
	[-] FO : contact-form sanitized 'from' field (#3486)
	[-] FO : fixed layout issue with last product added in cart
	[-] FO : Meta description fixed for category page (#3659)
	[-] FO : fixed bug on showing parse for disponibility
	[-] FO : when taxes disabled the price on product page aren't followed by 'tax incl.'
	[-] FO : Fixed bug #3387 - Bad state selection and display on address add/modify
	[-] FO : Fixed bug #3719 - Thickbox picture position was too low (IE 6/7/8)
	[-] FO : added redirect when you put an out of stock product (#3711)
	[-] FO : fixed blocks' strict width in the header
	[-] FO: bug fixed #3601 : fix price input
	[-] FO : small fix for some chars in the search
	[-] FO: bug fixed #3662 : allow to reset images for non-color attributes selection
	[-] FO: bug fixed #3694 : no ajax cart for order pages
	[-] FO : fixed restriction of carrier with groups (#3623)
	[-] FO : Remove the parse: "Remaining amount to be added to your cart in order to obtain free shipping" when only virtual product in cart
	[-] FO : Customizable product addition to the cart fixed
	
	[-] BO : deleted users are no longer counted in their group
	[-] BO : fixed a bug in tinyMCE when you add a local image
	[-] BO : fixed a bug with cart product quantity on AdminCarts page
	[-] BO : checkbox for showed all module or not, now works on IE
	[-] BO : fixed a bug, customer group not showed when no user in this.
	[-] BO : Fixed bug #3474 - Managing new characters in friendly URLs (ěščřžůĚŠČŘŽŮ)
	[-] BO : fixed a bug in AdminCarts when products have costumizedDatas
	[-] BO : fixed bug on CSV import with tags product
	[-] BO : on AdminManufacturers, manufacturer's addresses deleted are now not counted
	[-] BO : Downloadable product duplication fixed
	[-] BO : Fixed bug #3512 - File download preview wasn't working properly if product not yet saved
	[-] BO : Fixed bug #3687 - BOM is not skipped for UTF-8 CSV files
	[-] BO : Fixed bug #3712 - Attribute value import was always new
	[-] BO : fixed decrementing of stock during the transition to a validated status of an order
	[-] BO : Fixed bug #3696, meta length modified and uniformized for all tables/classes
	[-] BO : Fixed bug #3717, disable capability to define a scene on homepage
	[-] BO : Fixed multiple bugs with AdminAttributeGenerator select (wrong display in Opera, no event in IE...)
	[-] BO : when you delete file product and upload new file, now, the error message for file missing dispear
	[-] BO : permissions update is now compatible with Internet Explorer
	
	[-] Classes : fixed generation of PDF when tax disabled
	[-] Classes : fixed noPackPrice() method in mode tax excluded
	[-] Classes : fixed isBirthDate() validation method
	[-] Classes : fixed error on use of finfo_open() in isPicture() function
	[-] Classes : fixed bug with use of convertPrice method
	[-] Classes : replace substr() by Tools::substr()
	[-] Classes : Now Prestashop accept new characters on password (!@#$%^&*())
	[-] Classes : fix a SSL authentication bug with gmail with swift
	[-] Classes : Customizable product deletion fixed
	[-] Classes : Customer address retrieval fixed (used the cookie which was corrupted. Use the cart instead now)
	[-] Classes : fixed issue with some versions of Mysql on order creation
	
	[-] MO : now, showing the logo of moneybookers by default if logo configuration not define on choice of payment method
	[-] MO : fixed bug with cart quantity on mailalert module
	[-] MO : fixed errors in module Loyalty (#3497)
	[-] MO : fixed module productscategory with added ean13 on link of products
	[-] MO : fixed an error with cart quantity on module dejala
	[-] MO : Loyalty module now takes into account the dates of product promotions
	[-] MO : paypal, fixed a price convertion problems with currency
	[-] MO : incorrect class name in paypal ipn
	[-] MO : fixed bug in PayPalAPI while using a special currency
	[-] MO : Now, a message appear for confirm the registration on mail alert on product page
	[-] MO : fixed XSS on productcomments module
	[-] MO : fixed an error in module mailalert that prevented the removal alerts
	[-] MO : fixed empty <span> when cart quantities == 0 on module blockcart and blockuserinfo
	[-] MO : fixed bug with PayPal module and device different as default
	[-] MO : fixed producttooltip module on Internet Explorer
	[-] MO: bug fixed #3601 : fix a minor translation in gsitemap
	[-] MO : fixed currency change on the payment page of the module cheque and bankwire
	[-] MO : small fixes in PayPal module
	
	[-] TR : Fixed a french translation error in mail
	
	[-] MAILS : Fixed bug #3688 - Missing ES emails
	
	[-] SQL : related fields on database are now same data type
	[-] SQL : fixed bug with configuration of currency for payment module
	[-] SQL : fixed SQL of upgrade file (#3699)


####################################
#   v1.3.0.1 - 1783 (2010-26-01)   #
####################################

	Added Features :
	
	[+] Installer : Adding indexes for searching Spanish during installation
	[+] Installer : Adding tags on Spanish for products during installation
	[+] Installer : Added the ability to choose his country by default during installation
	[+] Installer : Adding iframe on installer for Prestastore modules and themes
	[+] Installer : Adding Spanish in the install
	
	[+] FO : Adding hook for module Reverso
	
	[+] BO : Group restriction for Carriers
	[+] BO : Added two hooks: backOfficeTop and backOfficeFooter
	[+] BO : Adding hook in header of administration panel
	[+] BO : When importing a language, if the target language does not exist it is created automatically
	[+] BO : Add configuration in backup database, you can now backup only the necessary tables
	[+] BO : Add option for active or disable Tax identification number for a country
	[+] BO : Added ability to show the modules operating in his country on the module page
	[+] BO : In email server configuration, you can test your configuration
	[+] BO : New stats buttons for the previous day/month/year
	[+] BO : When adding a language you receive a request to download the language pack based on the iso code
	
	[+] MO : Added free Moneybookers module! Accept payments via moneybookers!
	[+] MO : Add ReversoForm module
	[+] MO : Add module dejala
	[+] MO : Add proprieties in construct, limited countries with countries if the module is available, for futur feature
	[+] MO : New payment module: Hipay (https://www.hipay.com/)
	[+] MO : Added product tooltips module (Show how many people are watching a product page, last sale and last cart add)
	
	[+] TR : New language natively, integration of the Spanish
	[+] TR : Adding french translation for module Reverso

	Improved/changed features :
	
	[*] Installer : Added a warning in the installer in step 4 stating to disable the option "Receive notifications by e-mail" if the e-mail configuration is incorrect
	[*] Installer : Adding SQL requests to clean up the database during the upgrade
	[*] Installer : Adding optimizations SQL with new indexes in database
	[*] Installer : Added missing translations
	[*] Installer : Cleaning the English translation file
	[*] Installer : Remove the back button in step 4 of the installation
	[*] Installer : Improved SQL queries, installer runs faster!
	[*] Installer : Translations improvements
	[*] Installer : Improved translations
	[*] Installer : Improved spanish translations (¡Hola!)
	[*] Installer : Deletion of the README and added a readme file in txt format in three native languages
	[*] Installer : Improved installer for the update
	[*] Installer : Adding a sentence to indicate the result of monitoring the technical specifications
	[*] Installer : Adding a sentence suggesting the addition downloading language packs
	[*] Installer : Improving the fifth step of installer
	[*] Installer : Adding indexes in the SQL file for the database
	[*] Installer : Add block "Need Help ?" on installer
	[*] Installer : Update MySQL files with new indexes
	[*] Installer : SQL file for update and install updated
	[*] Installer : fixed currencies with ASCII code
	[*] Installer : Added a warning in the installer in step 4 stating to disable the option "Receive notifications by e-mail" if the e-mail configuration is incorrect
	
	[*] FO : Price round calculation method choice added (down/up/half) in javascript
	[*] FO : improved alphabetical sort of features and values of features
	[*] FO : Overall performance improvements
	[*] FO : Improved spanish translations (¡Hola!)
	[*] FO : Improved breadcrumb path
	[*] FO : Added Tax ID number field for inclusion of clients mandatory in some countries
	[*] FO : Optimizing MySQL with new indexes and fixing some SQL queries
	[*] FO : Optimizing Smarty, set var compile_check of Smarty to false, do not forget to upgrade your smarty.config.inc.php
	[*] FO : Enhanced number of products sorting in pagination
	[*] FO : improved number of products on page selector
	[*] FO : Improved meta_titles to optimize SEO
	[*] FO : Added spans into navigation pipe + added breadcrumb on cms pages
	[*] FO : Maintenance check is now on init.php
	[*] FO : added documentation code to order.php
	[*] FO : Improved attributes sort
	
	[*] BO : new parameter in preference for rounded mode
	[*] BO : Correction of message definitions for downloading a language pack when adding a language
	[*] BO : Added a warning message on the page when the import CSV file import is not writable
	[*] BO : Added a warning message on the page of the backup database when the backup folder is not writable
	[*] BO : AdminShipping Warning if active carrier has no fee defined
	[*] BO : Adding security to a file called by AJAX
	[*] BO : Modified quantities to cancel (now taking ordered quantity instead of "1")
	[*] BO : Modified duration of credit slip discounts (6 months -> 1 year) - not retroactive
	[*] BO : Increased width on the form for adding or changing a product
	[*] BO : Improved spanish translations (¡Hola!)
	[*] BO : Improved selection of images for the regeneration of images
	[*] BO : Added a tip for the new feature in the list of modules
	[*] BO : Several SQL & PHP optimizations
	[*] BO : Improving the suggestion of downloading the language pack when adding a language
	[*] BO : Added Tax ID number in order details
	[*] BO : Show a warning if you are using the default PayPal email address
	[*] BO : Adding a "-" character before the price reduction in the detail of a command
	[*] BO : Optimizing MySQL with new indexes and fixing some SQL queries
	[*] BO : You can now disabled the check for modules update
	[*] BO : enhanced user can not delete default group
	[*] BO : SQL optimisation in categories
	[*] BO : you can now select which type and which format you want to regenerate in AdminImages
	[*] BO : you can now use multiple addresses IP maintenance with coma separator
	[*] BO : now display module tab in breadcumb (thank to Julien Breux)
	[*] BO : you can now mark a carrier as a module directly by using back-office (#2744)
	[*] BO : adding a message in product edition page to explain quantity override when at lest of declination is present
	[*] BO : improved (reduced) width of AdminProducts table
	
	[*] Classes : Shipping handling costs are now defined tax exclude and are affect by tax of carrier
	[*] Classes : fixed Tools self::
	[*] Classes : p(), Tools::p(), Tools::dieObject now return first argument
	[*] Classes : Fixed bug on product price with quantity discount
	[*] Classes : getStaticPrice() now, calculating the reduction only if necessary
	[*] Classes : Price round calculation method choice added (down/up/half)
	
	[*] PDF : Added Tax ID number in bill
	[*] PDF : now display if an order is gift-wrapped
	
	[*] MO : Hipay improved
	[*] MO : added missing escape
	[*] MO : Possibility now to configure the module blockadvertising
	[*] MO : Adding a description on the module HiPay
	[*] MO : Adding French translations for the module HiPay
	[*] MO : producttolltip, adding a confirmation message when the update settings
	[*] MO : Module "homefeatured" - deleted useless several variables passed to Smarty
	[*] MO : Adding Spanish translations for many modules
	[*] MO : Smarty performance improvements
	[*] MO : Added a few missing french translations
	[*] MO : Reverso, add french translations
	[*] MO : improved blocknewproducts module
	[*] MO : blocktags and blockviewed, optimizing MySQL with new index and fixing some SQL queries
	[*] MO : Gsitemap, remove image files from sitemap
	[*] MO : some display changes on PayPalAPI
	[*] MO : wrapping price taken into account in google checkout
	[*] MO : added address support in PayPalAPI
	[*] MO : dynamic images for PayPalAPI
	[*] MO : added links on column logo in PayPalAPI
	[*] MO : new FR translations for PayPalAPI
	
	[*] TR : adding translations in AdminCategories
	[*] TR : Improved spanish translations HTML & TXT (¡Hola!)
	[*] TR : Adding translations in Spanish and French on BO
	[*] TR : Adding Spanish translation
	[*] TR : Adding translations for the new feature in BO: backup all tables
	[*] TR : Adding translations for activation of Tax Id Number
	[*] TR : new FR translations
	[*] TR : French equivalent for "Display available quantities on product page:" added
	
	Fixed bugs :
	
	[-] Installer : Fixed a bug that doesn't create employe account while installing
	[-] Installer : Changed installer, now Spain requires as default a DNI
	[-] Installer : Correction price of products default
	[-] Installer : Fixed CSS in block "Need Help?"
	[-] Installer : Update the SQL file for upgrade with no auto_increment on id_cms (cms_lang table)
	[-] Installer : Fixed bug #3348 - Install wasn't working properly when using special characters in DB password
	[-] Installer : Fixed bug with SQL prefix
	[-] Installer : Fixed a translation of install in Spanish
	[-] Installer : Css fixed on block "Need Help ?"
	[-] Installer : Bug fixed on database installation (#3141, #3116, #3115)
	[-] Installer : fixed bug with http_host and sql_debug
	[-] Installer : Product reduction upgrade fixed (for PS version < 1.0.0.4 alias 1.0 RC4)
	
	[-] FO : fixed calculation of declinaison price in product page with a currency different as default
	[-] FO : Order history & confirmation e-mail fixed (price precision)
	[-] FO : Fixed price accuracy to 6 decimals to calculate the combination price on the product sheet
	[-] FO : Cast fixed (bool instead of int)
	[-] FO : Fixed price on the product sheet
	[-] FO : Now the carrier by default in correctly selected
	[-] FO : Fixed bug #3256 - Prevent from setting RSS feed as your own RSS feed (infinite loop)
	[-] FO : The link "display all images" now appears only if necessary on product.php
	[-] FO : Fixed bug #3160 - SSL warning when customer is trying to read sales terms
	[-] FO : Fixed bug #2851 - Small CSS improvement on color picker
	[-] FO : Fixed a Javascript error
	[-] FO : module blockviewed display correctly category name in friendly URL
	[-] FO : module blockwichlist now use category for url rewriting in external view 
	[-] FO : module blockwichlist dumb french translation
	[-] FO : Bug fixed on carrier selection default
	[-] FO : module blockwichlist products in block now use category for rewrited URL 
	[-] FO : modules (feeder) Products in RSS feeds was not using category's friendly URL
	[-] FO : now attachement have their extension
	[-] FO : Now, city can contain numeric characters (e.g: Praha 5) (#3252)
	[-] FO : cookie accessible in smarty in compatibility mode
	[-] FO : fixed errors with pagination when using search engine
	[-] FO : minor issue (?) with missing padding
	[-] FO : bug fixed on site map, hide restricted category now. (#3103)
	[-] FO : bug fixed, name product empty when added in cart. (#3099)
	[-] FO : bug fixed, miss 'as new field' and 'orderprice' for manufacturers products in product-list.tpl (#3184)
	[-] FO : Fixed bug, default carrier in order.php (#3108)
	[-] FO : Bug fixed on stylesheet for incompatible input style on Opera 9
	[-] FO : Distinct command for dummies
	[-] FO : The search does not look for products in disabled categories anymore
	[-] FO : fixed pagination in prices-drop.tpl (#2950)
	[-] FO : fixed a bug in pretaxed price with no group reduction (#2924). Thanks to Thalicia !
	[-] FO : parse_url was only compatible with php 5.2 in Connection, causing warnings
	[-] FO : update customer identity no longer erase 'last_passwd_gen' and 'newsletter_date_add' (#3003)
	[-] FO : now only display order state not hidden for customer (#2992)
	[-] FO : Bug fixed states not sorted on addess form
	[-] FO : Product download link fixed (when not logged in)
	[-] FO : Meta tags description fixed
	[-] FO : State memorization fixed on the my-account page (when the state name contains a simple quote)
	[-] FO : Default message "Product no longer available" display fixed
	[-] FO : Fixed an error in the javascript to display product prices on the page of a product with customers who don't pay tax
	
	[-] FO / BO : Fix small problems HTML and javascript
	[-] FO / BO : Product price fixed (when prices were one hundredth higher than an integer value, e.g., 79.01 instead of 79.00)
	[-] FO / BO : fixed bad field in connections table (#3518)
	[-] FO / BO : fixed misspellings
	[-] FO / BO : Swift SMTP sending fixed (when no authenticator was set)
	[-] FO / BO : Tax calculation fixed (when a state tax was deleted)
	
	[-] BO : fixed translation bug with "minutes" word (#3535)
	[-] BO : Order detail display fixed (price precision)
	[-] BO : Invoices are now sorted by date when generating multiple invoices
	[-] BO : Fixed a bug with CSV import products with NULL quantity (#3018)
	[-] BO : Employees who have only the right to see the permissions of employee status can not change them.
	[-] BO : Fixed bug #3344 - States list is now fully ajax-compliant in the "Addresses" tab
	[-] BO : Fixed bug #3455 - Bad parameter in cms::listcms() + small code improvments
	[-] BO : Fixed bug #3163 - CSV export encoding issues with other languages than english
	[-] BO : Fixed bug #3422 - Changed CHMOD recommendation from 777 to 666 on .htaccess and robots.txt files
	[-] BO : Fixed bug #2961 - When you got an "Out of stock" order, payment state is now also stored!
	[-] BO : Fixed bug in tinyMce with numbered lists
	[-] BO : Fixed bug #3356 - "Too big" header when printing too much invoices
	[-] BO : replace strval by urlencode for url of multiple invoice generation
	[-] BO : Fixed a bug in the backup of the database with dates of birth (#3349)
	[-] BO : Fixed bug #3205 - Issue with weight calculation when using product attribute (weight = product weight + attribute weight)
	[-] BO : Fixed bug #3307 - "Hack attempt" with order->total_paid when trying to cancel products from an order
	[-] BO : Fixed bug #2968 - Now deleting tags and search words while deleting a language
	[-] BO : bug fixed on input product features
	[-] BO : Fixed a CSS problem in the Tags tab
	[-] BO : Fixed bug with forced unit of weight
	[-] BO : Stats conversion rate fixed 
	[-] BO : Fixed an error when creating a language automatically when importing a language pack
	[-] BO : Table category_group is now correctly updated on category deletion
	[-] BO : Security on bad cookie (intval was missing)
	[-] BO : bug fixed on date picker with time format
	[-] BO : fixed check of EAN13 code
	[-] BO : fix bug display countries (#3255)
	[-] BO : fixed bug with optionnal <td /> (when delete is not available)
	[-] BO : bug fixed on order link in catalog
	[-] BO : On export translations, now newsletter templates order_merchant_comment.html/.txt included
	[-] BO : translation fixed in AdminReferrers
	[-] BO : bug fixed when delete accessory associated with a product (#3214)
	[-] BO : Number of products available in a category when a product is duplicated into subcategories
	[-] BO : fixed catalog tables getting out of page frame with Russian language
	[-] BO : fixed bug relogging after administrator changes his own password into employees tab
	[-] BO : fixed bug sorting products in catalog
	[-] BO : Total display on the order listing fixed (did not care about the order currency)
	[-] BO : CSV import error reporting fixed (errors were not always displayed)
	[-] BO : bug fixed, in AdminOrders, prices are now displayed with taxes (#3140)
	[-] BO : bug fixed, force reload updated product image (#3129)
	[-] BO : Bug fixed on create customer associating groups
	[-] BO : now select correctly orders for PDF generation
	[-] BO : stange warning in the referrer form fixed
	[-] BO : copy of the product name in the friendly URL fixed ("/" was allowed)
	[-] BO : multiple deletion of attachments fixed
	[-] BO : fixed bug while errors in submit attributes
	[-] BO : fixed bug while saving payment modules by countries
	[-] BO : fixed bug while errors in submit attributes
	[-] BO : Force reload logo in appearence tab (#3124)
	[-] BO : when setting a color attribute, staying on product page
	[-] BO : fixed bug age differences in AdminCustomers.php (#3032)
	[-] BO : fixed bug on features product combo box order (#2962)
	[-] BO : fixed too long URL while getting multiple invoices (#2715)
	[-] BO : Tag filter fixed
	[-] BO : fixed bug whith pagination and category in BO (#2916)
	[-] BO : fixed translation bug with "minutes"
	
	[-] Classes : Remove the use of cookie in PayementModule
	[-] Classes : replace ceilf method by ps_round in displayPrice() method
	[-] Classes : Fixed calculation of price quantity discount in BO and invoices
	[-] Classes : Adding retroactive change of price calculations
	[-] Classes : Price precision fixed when using discount quantities
	[-] Classes : Fixed price calculation in mode excluding taxes
	[-] Classes : Setting tax precision to 3 decimals
	[-] Classes : Price precision fixed when ordering from a country without any tax application
	[-] Classes : Product price fixed (when none default currency selected and/or voucher added)
	[-] Classes : Fixed bug #2988 - Added several methods in order to better clean the DB while deleting a product
	[-] Classes : fixed bug in method getByEmail on Customer class
	[-] Classes : Fixed issues with smarty |truncate and |escape functions and languages
	[-] Classes : Fixed a security hole
	[-] Classes : Total really paid rounding fixed
	[-] Classes : Product price display fixed (0.01 precision)
	[-] Classes : Product price display fixed (was broken under non-US PHP configuration)
	[-] Classes : Front Office, Back Office & PDF prices fixed
	[-] Classes : fixed bug when getting invoice address
	[-] Classes : fixed getProducts() missing blank spaces before LIMIT and ORDER when random === true
	[-] Classes : fixed getFullPath() in Tools.php (added span)
	[-] Classes : Validate::isInt() fixed
	[-] Classes : fixed getNewFilename() as static function in ProductDownload.php
	[-] Classes : all HTTP_HOST occurences fixed, replaced by our own Tools::getHttpHost()
	[-] Classes : out-of-range behavior for carrier is now taken into account (#2605)
	[-] Classes : fixed full path in pear_xml_parser (#3010)
	[-] Classes : fixed bad properties for meta_keywords in Category (#3023)
	[-] Classes : fixed empty conf value in PDF (#3037)
	[-] Classes : Discount quantity fixed when ordering different combinations
	[-] Classes : fixed javascript events in Validate.php
	[-] Classes : fixed multiple language iso code for language detection in Tools.php (#2912)
	[-] Classes : category now more display hidden sub-category
	[-] Classes : fixed bug in substr() of Tools.php (#2913)
	[-] Classes : delete a feature now delete its associations to products (#2922)
	[-] Classes : Product quantity decrementation fixed (when one product ordered was out-of-stock)
	
	[-] PDF : Fixed calculation of total on invoices in the use of discount
	[-] PDF : Fixed calculation of transport costs on invoices when mode in taxes excluded
	[-] PDF : Voucher quantity is now displayed in the quantity column
	[-] PDF : Now, reference values are encode in UTF-8
	[-] PDF : Fixed a bug that did not add the transport costs on the total
	[-] PDF : Total products tax fixed
	[-] PDF : Price display fixed (rounded prices' displays)
	
	[-] MO : fixed email check
	[-] MO : blockcart product price display fixed (displayed everytime the tax excluded price, not taking care about the customer group configuration)
	[-] MO : Fixed some bugs on TM4B module
	[-] MO : fixed product name display bug between ajax and static (#3519)
	[-] MO : Small fixes
	[-] MO : fixed rare warnings in some modules
	[-] MO : feeder, fixed a bug when generating the RSS feed products with the product name contains & characters
	[-] MO : producttolltip, replacing $_POST with Tools::getValue
	[-] MO : Fixed a translation problem in the breadcrumb at the checkout process with the payment method cashondelivry
	[-] MO : blockcart, fixed incorrect use of PS_CURRENCY_DEFAULT in blockcart (#3484)
	[-] MO : Fixed a CSS bug with tags <h2> on FO in module "Home text editor"
	[-] MO : mailalerts, bug fixed on alert for product attribute
	[-] MO : productscategory, bug fixed on serial scroll with buttons next and previous
	[-] MO : blockwishlist, many bugs fixed
	[-] MO : statscatalog, fixed an error in SQL request (#3289)
	[-] MO : Fixed bug #3215 - Module "birthdaypresent" wasn't working correctly + Duration changed to 1 month
	[-] MO : Fixed bug #3460 - Bad rewrited link in "blockviewed" module
	[-] MO : Fixed bug #2725 - Module "productscategory" - with missing prefixes (pc_)
	[-] MO : BlockViewed, bug fixed when you are unlogged, the block shows only one product viewed
	[-] MO : blockwishlist, bug fix whishlist when the block is not displayed when adding items in a list
	[-] MO : canonicalUrl, correct installation of this module
	[-] MO : PaypalApi, correct file paths with a "/" too
	[-] MO : Moneybookers, remove the display of an image invalid
	[-] MO : blockspecials, Increased width of the button "All specials"
	[-] MO : Fixed display error when using a coupon for free shipping (mod blockcart)
	[-] MO : MoneyBookers, deleting useless comments
	[-] MO : blockpermanentlinks, Fixed Spanish translation
	[-] MO : Reverso bug fixed on install
	[-] MO : blockrss, fixed bug on install
	[-] MO : blockviewed, now the user can't view the description of product on private group
	[-] MO : the installer and hook method fixed on reverso module
	[-] MO : blockwishlist fixed when you delete a product
	[-] MO : blockwishlist fixed on URL friendly
	[-] MO : blockwishlist fixed on installation of module
	[-] MO : SQL file fixed due a "\n" too
	[-] MO : Bug fixed on blockviewed module, an error appear when you viewed a product with no image
	[-] MO : blockwishlist, products in wishlist are no using friendly URL
	[-] MO : fixed misspellings
	[-] MO : fixed issue with google analytics under SSL protocol
	[-] MO : missing translations in StatsEquipment and StatsSales
	[-] MO : statsbestsupplier fixed
	[-] MO : Google Chart fixed
	[-] MO : blockwishlist, bug fixed on install
	[-] MO : Bug fixed on statsnewsletter when block newsletter module not installed (#3147)
	[-] MO : bug fixed on blockviewed with long product name. (#3100)
	[-] MO : fixed date bug in followup (#2908)
	[-] MO : fixed bug for the use rate in followup (#2842)
	[-] MO : fixed SSL bugs in loyalty and myalerts (#3107)
	[-] MO : fixed bug in gsitemap while generating wrong URL (#2940). Thanks to Benoth!
	[-] MO : you can now change your address while logged with PayPalAPI Express Checkout
	[-] MO : fixed bug while editing a link in blocklink with a new lang created (#492)
	[-] MO : PayPal does not support product details anymore in order to have correct total amount
	[-] MO : URL Canonical. Bug fixed duplicate host in URL canonical.
	[-] MO : StatsNewsletter fixed according to the modifications the the newsletter block
	[-] MO : myalerts.php now include_once mailalerts.php
	[-] MO : added htmlentities() in blockbestsellers
	[-] MO : if no CMS page are checked, no more display all CMS in blockinfos and blockvariouslinks (#2996)
	[-] MO : now regenerate a new token if expired in PayPalAPI
	[-] MO : fixed wrong include paths in PayPalAPI
	[-] MO : rename case files of PayPalAPI
	[-] MO : Bankwire installation return value fixed
	[-] MO : ValidateOrder method now returns the order ID no matter of the order status
	[-] MO : small fixes on Moneybookers module
	[-] MO : Fixed validation moneybookers
	
	[-] TR : Fixed a translation
	[-] TR : Added missing translations in the back office
	[-] TR : Correction of French and English translations
	[-] TR : Fixed all mail templates for Spanish
	[-] TR : Fixed a translation in the import on BO
	[-] TR : Mail translation fixed
	
	[-] SQL : Fixed bug #3437 - No auto_increment on id_cms (cms_lang table)


Release Notes for PrestaShop 1.2
--------------------------------

####################################
#   v1.2.5.0 - 1458 (2009-26-10)   #
####################################

	Security fixes:

	[-] Security : XSS vulnerability on the contact form fixed
	[-] Security : XSS vulnerability on the sendtoafriend module fixed
	[-] Security : Pathtransversal on the Back Office fixed 

####################################
#   v1.2.4.0 - 1339 (2009-15-09)   #
####################################

	Fixed bugs :

	[-] Classe : fixed getNumberError() in MySQL.php (#2903)
	[-] BO : fixed bug whith pagination and category in BO
	[-] BO : fixed bug duplicating product with image (#2862)
	[-] Classes : fixed SQL error in Customer.php (#2868). Thanks to jahazzz !
	[-] Classes : fixed bug while duplicating product without tags (#2860). Thanks to Victor Berchet !
	[-] Classes : fixed SQL price drop bug (#2870)
	[-] Installer : fixed error while updating

####################################
#   v1.2.3.0 - 1328 (2009-09-09)   #
####################################

	Added Features :

	[+] MO : added cross selling to statsproduct
	[+] BO : added products bought by the customer on the customer page

	Improved/changed features :

	[*] Classes : added debug mode for PHP and MySQL return
	[*] BO : tab images size fixed
	[*] BO : Combination generator tax information added

	Fixed bugs :

	[-] BO : fixed slowless in product quantity of each category
	[-] BO : fixed back button on AdminProducts (#2789)
	[-] Classes : fixed group SQL slowness
	[-] Installer : deleted double hook inserted (#2848)
	[-] FO : Shopping cart product number fixed
	[-] MO : Home featured product positioning fixed
	[-] BO : Image upload fixed (when the mime type contained extra information)
	[-] FO : Free shipping fixed (was casted to integer value)
	[-] Classes : Email validation method fixed
	[-] MO : Email sending when quantity is lower than X fixed when the stock management was disabled
	[-] FO : Authentication label tag fixed
	[-] BO : Import wrong table truncate removed
	[-] MO : Mailalerts translations fixed
	[-] MO : Mailalert re-stock notification subscription/unsubscription fixed
	[-] FO : Cart product quantity modification does not update anymore the date of the addition to the cart

####################################
#   v1.2.2.0 - 1302 (2009-27-08)   #
####################################

	Added Features :

	[+] MO : isInstalled(moduleName) method has been added

	Improved/changed features :

	[*] DB : discount category index

	Fixed bugs :

	[-] Installer : Upgrade fixed (from 1.2.0.8)
	[-] Installer : Delivery price upgrade fixed (for versions >= 1.0.0.4)
	[-] Installer : Delivery price upgrade fixed (from versions < 1.0.0.4)
	[-] Installer : Upgrade fixed (blocksearch javascript error)
	[-] Installer : Base URI definition fixed
	[-] FO : Product price tax excluded display fixed when no tax was applicable
	[-] BO : Product refund fixed when merchandise returns were disabled
	[-] BO : Product duplication fixed (was not duplicating the associated tags)
	[-] BO : Product combination wholesale price saving fixed
	[-] FO : $content_dir smarty variable fixed (was not here when the 1.1 theme compatibility mode was enabled)
	[-] MO : CMS link selection fixed (when no one was selected)
	[-] MO : Bankwire translations fixed
	[-] Installer : ending slash issue hacked
	[-] BO : Product re-stock fixed
	[-] BO/MO : Module tab image display fixed. This image must now be located only on /img/t/
	[-] MO : Newsletter module fixed (blocknewsletter dependency is required)
	[-] BO: The name of the product quantity display feature has been fixed
	[-] BO : new profiles accesses fixed
	[-] FO : product list for page -1 fixed (manufacturer and supplier)
	[-] FO : carriers are not unavailable anymore when the shipping is free (larger range = 0.00)

####################################
#   v1.2.1.0 - 1277 (2009-12-08)   #
####################################

	Added Features :

	[+] BO : theme from v1.1 are now compatible with 1.2 by checking option in AdminPreferences

	Improved/changed features :

	[*] BO: add language support for tinyMCE
	[*] TR : new french translations
	[*] Classes : added a print error when SQL error happens
	[*] BO : you can now include sub tab with a module
	[*] MO : statsproduct improved
	[*] BO : improve warning message when employee delete a language
	[*] MO : added images to gsitemap
	[*] FO : SQL optimization
	[*] BO : Backups now take only PrestaShop tables
	[*] BO : Backups now take far less memory

	Fixed bugs :

	[-] MO: left arrow is now visible when products of the same category are displayed
	[-] FO: bullets in RTE are displayed correctly (fixed #2572)
	[-] FO : fixed bad sort price (#2640)
	[-] FO : forbid use of '%' in the search
	[-] BO : fixed bug while moving product position in AdminProducts (#2640)
	[-] BO : Category SQL query fixed (backquotes were missing)
	[-] BO : fixed bug while translating modules (#2615)
	[-] BO: text color of tiny mce is now black as default
	[-] Classes : fixed 2 SQL bugs in Manufacturer and MySQL (#2565)
	[-] FO : trying to ajust price font size (#2634)
	[-] Mails : Shop name encoding fixed
	[-] Fixed incorrect call to file function in images.inc.php (#2603)
	[-] All files are now in Unix format (#2596)
	[-] BO : fixed bug while making database backup (#2592)
	[-] BO : Cancellation button display fixed
	[-] BO : fixed bug while duplicating product with attribute but no image (#2587)
	[-] Classe : revert SQL optim in Currency (#2620)
	[-] FO : Duplicate "out of stock" status changing fixed
	[-] Installer : not valid carrier URL will be erased
	[-] Module : mailalert module display fixed
	[-] Classes : fixed bugs while no customer in database for selecting products
	[-] PDF : Wrapping tax display fixed
	[-] FO : no more 404 in ajax search
	[-] BO : fixed bug while editing carrier, no correctly update delivery
	[-] BO : QuickAccess token fixed
	[-] BO: Scenes now works with IE8 (fixed #2508)
	[-] BO: Scenes now works with IE8 (fixed #2508)
	[-] INSTALL: fixed #2564 : work with install//
	[-] BO : tinymce image url path fixed (fixed #2539)
	[-] FO : rte fields background now fixed (fixed #2501)
	[-] BO : link to product sales does not appear anymore when the module is not there
	[-] FO : category position does not appear anymore in ajax search
	[-] Classes : fixed bug in Carrier class (#2559)
	[-] BO : feature preview of TinyMCE has been removed
	[-] PDF : Shop name display fixed when upperized
	[-] BO : Product return support is really disabled when the feature is disabled
	[-] BO : Product import fixed (when updating a product without specifying its category)
	[-] BO : Product import fixed (when reduction_from & reduction_to were set to 0)
	[-] FO : Pagination choice fixed
	[-] BO : Product listing fixed (final price display)
	[-] FO : Product attribute listing display fixed (when names were too long)
	[-] BO : fixed "héhé" bug (#2538)
	[-] BO : fixed display bug in AdminManufacturers
	[-] BO : fixed several bugs using $currentIndex (#2545)
	[-] Installer : fixed bad update content (#2518)
	[-] Classes :fixed bad count in getPricesDrop (#2541)
	[-] BO : fixed a bug while updating image in AdminProducts (#2514)
	[-] BO : indexation for products without anything to index fixed
	[-] MO : fixed bad URL for image insert in blockadvertising (#2509)

####################################
#   v1.2.0.8 - 1210 (2009-29-07)   #
####################################

	Improved/changed features :

	[*] Classes : added optional parameter for Tools::htmlentities
	[*] MO : one more attempt to improve the sitemap
	[*] Installer : smtp login is not required now (#2454)

	Fixed bugs :

	[-] Installer : Upgrade fixed (1.1.0.5 to 1.2.0.8)
	[-] BO : CSV import fixed (was overridding ignored columns when a product already existed)
	[-] MO : no more display password and signature in PayPalAPI
	[-] BO : CSV image import fixed
	[-] Installer : fixed while updating modules structure (#2492)
	[-] MO : fixed bug while filtering content for access
	[-] BO : Translation copy fixed (forgot modules' ones)
	[-] BO : Order detail display fixed (product combination image)
	[-] BO : Order detail display fixed (cancel table)
	[-] MO : fixed #2491 : now blocksearch doesn\'t display slashes when quotes (single or double) are used
	[-] FO : Price display fixed (when both excluded and included tax was displayed)
	[-] FO : "Display all pictures" link display fixed
	[-] Classes : fixed bug while duplicating product result in search
	[-] BO : tinymce background is now white (fixed #2446)
	[-] FO : Price display fixed (when the customer log in and is in a different zone to the default country one)
	[-] BO : AdminInvoices now select by invoice date (#2487)
	[-] Installer : messages are now at the right place (#2450)
	[-] MO : deleted an old Tools::d()
	[-] FO : you cannot select anymore a carrier without a delivery range set for
	[-] Installer : upgrade fixed
	[-] BO : Customized product removing from an order fixed
	[-] FO : Customizable product customized text display fixed (was htmlentitized)
	[-] MO : fixed various bug in PayPalAPI
	[-] MO : fixed bug while submiting twice PayPalCheckout (#2440)
	[-] Classes : fixed several bugs while selecting products
	[-] BO : Pack bugs on AdminProducts
	[-] Translations : adminreferrers translations
	[-] BO : you can change your language again
	[-] MO : Currencies weren't taken into account in statshome
	[-] MO : fixed active access to payment modules (#2475)
	[-] FO : cannot access anymore at a product page if customer have no rights
	[-] BO : fixed unchecked zone when error on carrier form submitted (#2458)
	[-] BO : fixed required fields in AdminPreferences
	[-] BO : fixed language used for display list of groups in AdminCategories
	[-] BO : switched submit button in AdminCategories

####################################
#   v1.2.0.7 - 1167 (2009-24-07)   #
####################################

	Improved/changed features :

	[*] TR : updated FR translation for BO
	[*] BO : Fixed translation in AdminCategories.php
	[*] BO : Confirmation messages added
	[*] TR : updated FR translation for BO
	[*] BO : Product stock management preferences made clearer
	[*] BO : fixed a default value to reduction in AdminGroups
	[*] BO : adding new tinyMCE 3.2.5
	[*] BO : remove old tinyMCE
	[*] BO : added new button to AdminCategories

	Fixed bugs :

	[-] BO: fixed bugs with redirections on Product/Categories creation
	[-] BO : Fix bug on saving an object
	[-] BO : some BO icons & minor texts fixed
	[-] MO : statsbestcustomers take now more than 1 order into account
	[-] BO : Feature value tab icon display fixed
	[-] BO : Virtual product error messages fixed
	[-] MO : visitors registration to the newsletter integrated into the stats
	[-] MO : Loyalty module text fixed
	[-] BO : Order shipping number fixed (was allowed before having selected the "shipped" status)
	[-] FO : Carrier name fixed (when being the shop's one)
	[-] MO : Blocklink & productcomments modules' SQL keys added/fixed
	[-] MO : refferal program rules are editable now
	[-] MO : refferal program rules are editable now
	[-] BO : fixed duplicate bug on non attribute product (#2309)
	[-] BO : fixed edit manufacturer/supplier in product page (#2385)
	[-] BO : cannot delete default group anymore (#2420)
	[-] PHP 5.3 compatibility
	[-] MO : fixed bug #2305 (ajax cart vouchers)
	[-] MO : fixed bug #2299 (canonical URL)
	[-] FO : fixed bug #2294
	[-] FO : ':' were forbidden in Validate::isUrl(), you couldn't change your port!
	[-] FO : Fix bug on invoice ul when page reloads with cache

####################################
#   v1.2.0.6 - 1131 (2009-15-07)   #
####################################

	Improved/changed features :

	[*] BO : now always displays shipping number field in AdminOrders
	[*] MO : added try/catch JS method in ganalytics
	[*] Installer : you now need to have utf-8 support in your DB server to install PrestaShop (with full message error)
	[*] BO : added warning in AdminGenerator
	[*] BO : CSV category import note added

	Fixed bugs :

	[-] Installer : upgrade fixed (database connection)
	[-] BO : Product download code fix
	[-] BO : Virtual product oos behavior fixed
	[-] MO : ganalytics now use SSL protocole if activated
	[-] BO : Product reinjection into stock fixed
	[-] MO : fixed bad variable used (protocol) in canonicalurl
	[-] MO : added originator value in tm4b calls
	[-]  BO : Wrong accessories list
	[-] MO : no more id_lang for default language in Gsitemap
	[-] MO : fixed bug in productcomments while adding criterion (#2342)
	[-] MO : fixed various bugs in blockwishlist
	[-] MO : fixed various SSL bugs in blockwishlist
	[-] MO : fixed images' width/height in templates of several modules
	[-] BO : fixed bad rewrite rule for 404 image in AdminGenerator for .htaccess
	[-] FO : search improved for small words
	[-] FO : fixed error return in order-follow
	[-] FO : fixed error return in order-detail
	[-] BO : fixed bug display in AdminOrders.php (#2329)
	[-] Installer : Configuration table key fixed (duplicate removed)
	[-] BO : fixed invalid URL if carrier tracking empty
	[-] BO : Product feature import fixed (was duplicated if containing a special character)
	[-] BO : Filters fixed (unserialized everytime -_-')
	[-] MO : fixed double declaration of class in blockwishlist
	[-] No more @ in images.inc.php for functions call, now display full error messages
	[-] Classes : fixed file extension for PDF file attachment of invoice mail in PaymentModule
	[-] TR : new FR translations
	[-] FO : added little red star in identity.tpl (#2289)
	[-] MO : fixed bad URL in gsitemap (#2302)
	[-] BO : delete confirmation added on the referrers
	[-] BO : encoding problem in AdminReferrers
	[-] BO : fixed bug translation (#2304)
	[-] BO : fixed parse error bug (#2318)
	[-] Installer : fixed quote bug with create group table (#2314)
	[-] BO : fixed non translated text in AdminTracking (#1830)
	[-] TR: Fixed importation bug when root directory is not writable by all
	[-] FO : hypotetic hack attempt on ConnectionsSource::request_uri fixed
	[-] BO : CSV feature value update fixed (was simply impossible)
	[-] BO : CSV feature name import fixed (was duplicated when containing an unusual character)
	[-] BO : CSV feature name import fixed (was lowered)
	[-] BO : Memorized date filter application fixed

####################################
#   v1.2.0.5 - 1077 (2009-01-07)   #
####################################

	Improved/changed features :

	[*] BO : link to attribute generator is now at top
	[*] Installer : 244 default countries instead of only 34
	[*] Installer : added 1.2.0.5.sql file and reordering products in categories 

	Fixed bugs :

	[-] BO : fixed bug while editing address
	[-] MO : fixing bug #2206 (not to much product listed in productscategory module)
	[-] MO : fixing bug #2209 (wrong display of manufacturers and suppliers blocks)
	[-] FO : fixed breadcumb
	[-] BO : fixed bug while uploading file with bad date on AdminProducts
	[-] Classes : order return is now fixed on shipping date
	[-] BO : fixed order status translation in AdminOrders
	[-] BO : fixed CSS bug
	[-] BO : fixed AdminOrders display bug
	[-] MO : fixed currency bug in PayPal transactions
	[-] BO : Product duplication fixed (combination image association)
	[-] BO : Fix bug in Drag and Drop for positions
	[-] TR : French translation fixed (mailalert module)
	[-] BO : smart error management for zip module load
	[-] BO : no more datepicker white bar in the admin bottom left
	[-] BO : edit attachments without re-uploading files
	[-] FO : bug with undefined variable in the ajax search fixed
	[-] BO : new tags are now correctly indexed in the search
	[-] MO : sekeywords warning fixed
	[-] FO : crash on Firefox 3.0.11 fixed
	[-] MO : fixed empty criterion bug (#2214)
	[-] FO : Wrong order by price
	[-] Core : URL validation method fixed
	[-] MO : fixed bug while saving editorial (#2224)
	[-] BO : fixed red star in AdminCategories for grouplist (#2182)
	[-] BO : duplicate a product now duplicate its discount quantity (#2210)
	[-] BO : duplicate a product now duplicate its accessories (#2217)
	[-] BO : Shipping number sending fixed
	[-] FO: Wrong order by price on Manufacturer.php
	[-] MO : Send to friend e-mailed product link fixed
	[-] BO : Product form addition/edition fixed
	[-] BO : Cart carrier name display fixed (when it was the shop which was the carrier)
	[-] MO : Newsletter module fixed (addition date was missing from the CSV header)
	[-] FO : Supplier product number display fixed
	[-] MO : Product category module fixed (disabled when the product default category is "home")
	[-] BO : Fix various bugs in positions handlers and Drag 'n Drop
	[-] FO : Customizable product addition check (when some fields are required) fixed
	[-] MO : Customized product addition/deletion from the blockcart module fixed
	[-] FO : Customized product display/remove fixed on cart page and block (reverted)
	[-] FO : Customized product display/remove fixed on cart page and block

####################################
#   v1.2.0.4 - 1035 (2009-17-06)   #
####################################

	Improved/changed features :

	[*] Installer : added 1.2.0.4.sql file
	[*] Installer : added "moulinette" html_entity_decode for old TinyMCE datas
	[*] MO : fixed some text bugs in PayPalAPI (thanks to Melinda)
	[*] Classes : Group name is now generic (#2144)
	[*] FO : added new truncate function to smarty because original is buggy
	[*] BO : added dynamically icon image for tabs module
	[*] BO : added 2 divs for DOM
	[*] Classes : added security fixes

	Fixed bugs :

	[-] MO : feeder module now only select inactive products
	[-] MO : feeder module now has correct URL for product
	[-] MO : fixed SSL warning in PayPalAPI (#2132)
	[-] BO : fixed adding new adresse (#2147)
	[-] MO : fixed newsletter bug (#2141)
	[-] BO/FO : fixed &nbsp; bug with TinyMCE (#2145)
	[-] FO : Fix bug with breadcrumb and category position prefix
	[-] FO : Breadcrumb charset fixed
	[-] BO : fixed undefined var in init.php
	[-] BO : fixed width too large in AdminProducts.php for Mac (#2109)
	[-] FO : fixed SSL bug
	[-] MO : fixed bug in Loyalty when creating voucher with different language than default one
	[-] FO: Fix little bug in order-return.tpl message
	[-] MO : Wrong smarty.post value for email
	[-] MO : fixed bug in loyalty
	[-] BO : "Number of items to display per page" field fixed
	[-] FO : Product image display fixed (reset link added)
	[-] MO : AJAX cart block module voucher amount display fixed
	[-] BO : Order total weight calculation fixed

####################################
#   v1.2.0.3 - 1006 (2009-09-06)   #
####################################

	Improved/changed features :

	[*] Installer : some ids were not unsigned
	[*] BO : bing.com keywords are now recognized
	[*] TR : new FR translation
	[*] BO : allow to put style tags in tinyMCE (fixed #1726)[+] Class/BO : Customized product deletion/refund/return support from orders added
	[*] FO : added total tax in summary page[-] Installer : fixed SQL bug in update 1.2
	[*] BO : you can now specify tax for wrapping cost

	Fixed bugs :

	[-] FO : fixed truncate bug in template[-] Installer : fixed some bugs in SQL data
	[-] BO : fixed flags bug[-] BO : fixed htmlentities encode in TinyMCE
	[-] MO : Loyalty module template overload fixed
	[-] MO: Referral module translations fixed
	[-] BO : Order\'s 'new' filter fixed
	[-] FO : fixed bugs in order.php
	[-] BO : Import page display fixed
	[-] FO : String truncates fixed[-] BO : Product image import fixed (when some products did not have any pictures associated)
	[-] FO : fixed bug in downloadable product
	[-] FO : Customized product addition (with required pictures) fixed (when added a first time with required datas)[-] FO/BO : Customizated product return display fixed
	[-] MO : fixed referralprogram tpl bug (#2091)
	[-] FO : fixed bug with id_address in address.tpl[-] FO : Can not buy when allowBuyWhenOutOfStock with availableLaterValue message and a non-existing combination
	[-] FO : PNG loves IE6
	[-] FO : Some links on product page too long
	[-] FO : Avoid little thumbs arrow flashing
	[-] FO/MO : fixed SSL bug browser alert
	[-] BO : some characters where not allowed in the referrers like and regexp
	[-] BO : wholesale price is not mandatory for attributes (neither somewhere else btw)
	[-] BO : fixed bad password check for Employee and Customer
	[-] MO : fixed translations bug
	[-] Installer : fixed bad SQL query
	[-] BO : fixed bug while uploading image for category (#2058)[-] FO/BO/MO : fixed various minor bugs[-] FO/MO : fixed blank page with header.php (#1862)[-] FO : fixed some display price with tax and no tax on product page[*] BO : allow to put style tags in tinyMCE (fixed #1726)
	[-] MO : fixed width for editor wysiwyg (fixed #1999)[-] FO: Customizable product quantity display fixed on the shopping cart page[*] TR : new FR translations
	[-] BO : fixed display bug in AdminOrders
	[-] FO : when cart is empty, now delete wrapping cost and wrapping message
	[-] MO : when cart is empty, now delete wrapping cost and wrapping message in blockcart
	[-] Classes : cache cart is nos updated if product added or deleted
	[-] Installer : fixed missing hook for blocksearch (js error)[-] FO : fixed back redirect for authentification
	[-] Installer : fixed no group category in simple mode
	[-] MO : fixed quantity bug in blockcart[-] BO/Classes : fixed bugs with prices rounding off
	[-] FO/PDF/Classes : fixed bugs with prices rounding off[-] FO/MO : fixed several W3C bugs
	[-] MO : fixed W3C bugs in blocksearch
	[-] FO/MO : fixed several bugs with groups[-] BO : fixed displaying customer groups
	[-] MO : fixed DISTINCT bug in blockcategories
	[-] FO : "add product" fixed when stats modules disable
	[-] FO : fixing header width
	[-] FO : wrong image path in login.css

####################################
#   v1.2.0.2 - 935 (2009-20-05)    #
####################################

	Added Features :

	[+] FO : Shipping costs & vouchers display are taking care of the BO price display preference
	[+] MO : Added Hook updateCarrier
	[+] FO : Price display choice added (between 'Tax exc.', 'Tax inc.' and 'Both')
	[+] FO/MO : Product price (tax excluded) added to the order process (including basic payment modules)
	[+] FO : Product price (tax excluded) added to homefeature module category, product page& cart page
	[+] MO : Retain current category on a product page
	[+] MO : Customer email activation module (not fully implemented yet)
	[+] FO/BO : UTF-8 setlocal added
	[+] BO : Metas for Manufacturers and Suppliers
	[+] MO : new payment module PayPal using API
	[+] BO : Removed some inner comments as this plugin could not be found packed
	[+] BO : DnD for products position within Catalog + code fixes for module position DnD
	[+] BO : Added customers follow-up by email (4 kinds of alerts)
	[+] FO : Simple bundle pack management

	Improved/changed features :

	[*] FO : Carrier selection show prices regarding to the BO price display preference
	[*] FO : Price display preference applied to my account's discount & order detail page
	[*] FO : do not load jqzoom.js if not needed
	[*] PDF : Product total without tax added to the invoice
	[*] MO : The modules "blockuserinfo" & "blockspecials" take care of the BO price display preference
	[*] MO : when js is not activated, it now show the tree
	[*] MO : The "blockcart" module display product prices following the BO selected rule
	[*] The product price display type is now showed only when the selected option is "Both"
	[*] FO : Little left adjustment for div.zoomdiv
	[*] BO : Fixed style for customer field
	[*] MO : added confirmation page for PayPal
	[*] FO : deleted customer can no longer log-in and automatically logout
	[*] FO : switching language do not redirect anymore
	[*] BO : Retain email after password regeneration
	[*] BO : you can now duplicate packs
	[*] BO : cleanPositions becomes static
	[*] MO : fixed some bugs in cashondelivery
	[*] BO : added no cache header (thanks to Antony)
	[*] BO : added new files in AdminGenerator
	[*] Classes : "other" field for Address file switch to isMessage() validation function
	[*] MO : blockcategories no more display private category
	[*] Core : slight optimization on category::getsubcategories()
	[*] FO : add a <noscript> tag when js is disabled
	[*] TR : new FR translations
	[*] Classes : new PDF with many display fixes and improvements (thanks to Infordesign)
	[*] FO : Order cart products by add date
	[*] BO : New icon in front of the new customers in the order list
	[*] Classes : added stripslashes method in Tools
	[*] BO : Added english e-mails for follow-up
	[*] BO : Final version of customer follow-up
	[*] BO : Improved customers follow-up by email (4 kinds of alerts)
	[*] FO : search now take the ean13 into account
	[*] Installer : added new timezones

	Fixed bugs :

	[-] FO : Avoid little flashing when no products
	[-] Installer : fixed SQL bug
	[-] FO : Withdraw white background
	[-] Installer : updated SQL data and logo
	[-] MO : fixed message bug in MailAlerts, eg. with PayPal (#1174)
	[-] Classes : fixed download link in state email (#1402)
	[-] PDF Invoice currency sign encoding fixed
	[-] MO : fixed PayPal API bugs
	[-] MO: "cashondelivery" total amount display fixed
	[-] FO/BO : setlocale fixed
	[-] MO : fixed bad name for class in PayPalAPI
	[-] MO : fixed currency object bug in PayPalAPI
	[-] FO : fixed HTML bug with manufacturers list
	[-] FO/MO : fixed various SSL bugs
	[-] MO : fixed confirmation template missing in cashondelivery
	[-] MO : fixed secure key bug in cashondelivery
	[-] FO : fixed some SSL bugs
	[-] BO : fixed display bug in AdminGroups
	[-] FO : fixed bug in CSS
	[-] BO : fixed bug in AdminAddresses
	[-] FO : bots cannot create carts anymore
	[-] BO : Fixed IE6 bug when resizing thumbs list unordered list
	[-] FO : Fixed SerialScroll on thumbs when combination has several images + F5 Reloads
	[-] FO : Fixed bugs on thumbs list (fixed #1946)
	[-] MO : the watermark module will now die in the hand of the evil cheaters
	[-] FO : Undefined variables when wrong id_product
	[-] BO : Image upload fixed (when image size was to big)
	[-] BO : Product page "Save and come back to category" button fixed (when coming back from the combination generator)
	[-] PDF : fixed bug while no invoice number
	[-] MO : fixed bug with PayPal and not enough informations
	[-] FO : modifications on identity page are now saved in the cookie (first/lastname)
	[-] Classes : fixed range and price select for fees in Carrier
	[-] FO : Enable metas for manufacturers and suppliers
	[-] FO : fixed non SSL form
	[-] BO : Product image import fixed
	[-] BO : fixed accessories bug (#1814)
	[-] Fixed discount minimal_order on categories
	[-] BO : now images are correcty uploaded (fixed #1832)
	[-] BO : Import error reporting fixed
	[-] FO : XHTML fix for blockmanufacturer.tpl
	[-] BO : images are now truly deleted
	[-] BO : fixed bug #1914
	[-] Tools : added macFFBgHack.png for thickbox
	[-] FO : fixed bug #1895
	[-] FO : Cart product listing fixed (when products without attributes were on the cart)
	[-] PDF : fixed two bugs with taxes
	[-] Installer : fixed secure_key bug on orders
	[-] BO : fixed query search bug
	[-] BO : some database prefixes weren't dynamics
	[-] FO : deleted protocole var for SSL
	[-] FO : Avoid little flashing on big pic when default combi image is not in first position
	[-] Fo : Fix bug for IE and jquery new src image attribute
	[-] BO : Product feature import fixed (when some products had an empty value for it)
	[-] BO : Product feature import fixed
	[-] Classes : fixed isVirtual() method in Order
	[-] FO : serialScroll little Fix
	[-] FO/BO : Product combination image display fixed
	[-] FO : Color picker display fixed (when more than 8 colors were associated)
	[-] BO : Country sort by name & zone fixed
	[-] BO : fixed image upload mimes types (#1811)
	[-] MO : fixed voucher code bug in mailalerts
	[-] FO : little bug in orderway validation
	[-] FO : fixed bug with last product added in cart and product attribute
	[-] Installer : fixed CSS header
	[-] MO : statsvisits opti/fix
	[-] MO : statsbestcustomers fixed
	[-] MO : fixed display bug in blocknewproducts [#1492)
	[-] BO : Tag addition fixed (via tag tab)
	[-] Core : yet another modification on category::getsubcategories()
	[-] FO : fixed currency format bug (#1867)
	[-] FO : product sort now works (fixed #1861)
	[-] TR : fixed FR translation bug in admin
	[-] PDF: Delivery Slip fixed (when the status "preparation in progress" has never been set)
	[-] BO : fixed transparency color on icon
	[-] BO : fixed currency bug
	[-] MO: watermark module fixed
	[-] MO : fixed display bug in blockviewed
	[-] BO : fixed display bug on stat home
	[-] BO : fixed token bug in AdminTracking
	[-] BO : Fix bug in positions when deleting a product
	[-] BO : fixed display bugs in AdminTracking
	[-] MO : fix homefeatured display
	[-] BO : Fix bugs in DnD positions code
	[-] BO : Fixed bug for DnD for first category 'home' + small code fixes
	[-] BO : Fix html bug (no td end close tag) when positions are available
	[-] BO: Syntax error // Nothing important
	[-] BO : duplicated products are now correctly indexed in the search index
	[-] FO : attribute group name and attribute value are now separated with " : " instead of only ": " (eg. "Color : red")
	[-] FO : fix address bug (fixed #1093)
	[-] MO : fixed bug price in MailAlerts
	[-] BO : category position is not indexed anymore in the search
	[-] BO : fixed getPrice bug in AdminTracking
	[-] BO : fixed bug in AdminOrders #1752
	[-] BO : Manufacturer description, supplier description and CMS content maximum sizes fixed
	[-] FO : fixed transparency background on image
	[-] BO : fixed URL bug in AdminTracking
	[-] MO : fixed text in PayPal
	[-] Classes : fixed bug while sending mail
	[-] MO : fixed english bug in MailAlerts
	[-] BO : fixed customer group in AdminImport
	[-] Installer: Clean discount_category
	[-] Class: image resizing fixed (for gif images)
	[-] MO : Paypal payment return fixed (when the paypal currency was different form the default one)
	[-] BO: Fix error on AdminCategories when _FILES is empty
	[-] MO : Order break avoided when mailalert module email template missing
	[-] MO : Mailalert help text fixed (was in french)
	[-] FO : replace some &amp;
	[-] BO : Backup date is invalid anymore
	[-] MO : fixed price bug in blockcart
	[-] Classes : fixed tax, reduction and price bug in Product
	[-] Classes : fixed substr() bug in AdminTab
	[-] Classes : fixed Execute bug in Carrier
	[-] FO : show each meta tags when maintenance is activated and ip match to the maintenance ip, fix #1754
	[-] FO : Searching for blacklisted word do not create blank AJAX results anymore
	[-] htaccess : image rules fixed
	[-] FO : fixed token bug
	[-] MO : fixed hardcored language bug in mailalerts (#1731)
	[-] BO : fixed transparency of some icons
	[-] BO : fixed bug while creating new carrier (#1728)
	[-] BO : fixed bug while translating modules
	[-] BO : Fixed UTF-8 bug with order messages

####################################
#   v1.2.0.1 - 748 (2009-10-04)    #
####################################

	Added Features :

	[+] FO/BO : added jqZoom feature
	[+] MO : new mailalert module version
	[+] FO/BO : you can now set multiples pictures for a combination
	[+] BO : new tab customer notifications thread
	[+] BO : added new "Tracking" tab in catalog
	[+] BO : you can now see for each category how many quantity product there is inside (and sub categories)
	[+] BO : New visitor tracking system with affiliation
	[+] BO : New stats module newsletter
	[+] BO : added a total amount of orders displayed in AdminOrders
	[+] BO : added new tab to create Groups
	[+] BO : you can now add a customer to one or multiples groups
	[+] MO : keep http_referer in blocknewsletter module
	[+] FO/BO : you can now set a reduction to group's members
	[+] FO/BO : customer need to be part of at least one group
	[+] FO/BO : you can now set group access to category
	[+] FO/BO : you can now set group access to payment module
	[+] BO : you can now edit order return statuses by using Statuses tab in Orders tabs
	[+] MO : new module statscarrier
	[+] MO : new module statssearch (keywords of the internal search engine)
	[+] BO : Stats now available from date to date
	[+] BO : you can now generate your own .htaccess file with server parameters
	[+] BO/FO : you can now set an order state as hidden for customers
	[+] BO : Color attributes now display their color on the attribute list (BO >> Catalog >> Attributes and groups)
	[+] BO : Feature's zero value support added
	[+] FO : Sorting support added to product listing by tags & references
	[+] BO : new tab "Carts" which a list with all carts + a view for each of them
	[+] BO : information cart on "Customer" view
	[+] BO : information cart on "Order" view
	[+] BO : you can now search for a cart
	[+] MO : added carrier module feature
	[+] BO : product stats and sales link added in the product page
	[+] MO : new module statsbestsuppliers
	[+] BO : Order's auto cancellation support added (when all products have been cancelled)
	[+] BO : Add Ref in AdminProducts.php bottom tab
	[+] BO/MO : You can now specify a module in the tab table in which the class can be found
	[+] FO : added new hook shoppingCartExtra on shopping-cart
	[+] BO : New tab available : Tags (will be improved soon)
	[+] FO : Withdraw address alias when adding a new address from command process
	[+] FO : Search re-developed from scratch (you need to re-index your products in BO > Preferences > Search)
	[+] MO : adding a "canonical url support" standard base module
	[+] BO : you can now search for invoice
	[+] BO : You can now upload modules from your computer, both zip file and tarball
	[+] BO : new tab Generator, where you can generate automatically .htaccess and robots.txt files
	[+] BO/FO : you can now attach downloadable files to the product page (like PDF..)
	[+] BO : Drag and drop for modules positions in AdminModulesPositions.php
	[+] MO : you can now set number of tags displayed in blocktags module
	[+] FO/BO : you can now set your own timezone
	[+] FO : Ajax suggestions for the search block !

	Improved/changed features :

	[*] BO : AdminDiscounts - customer list now in ajax and filter improved
	[*] MO : statshome no longer display in back-office if user doesn't have access to Stats tab
	[*] MO : you can now receive notification with mailalert even if you are guest
	[*] BO : improve selecting auto-message in AdminOrders
	[*] Mails : improved standard mails by adding 'company' and 'other' fields (thanks to Jolvil)
	[*] DB : field "valid' added in orders table for whether the order must be taken into account in the stats
	[*] MO : several stats modules speed increased
	[*] TR : improved FR translations
	[*] BO : Customization field support added to product duplication
	[*] BO : tab icons are now based on class_name instead of id (better for updates)
	[*] FO : made some display changes on contact-form
	[*] BO : Fixed integration for stats on IE6
	[*] MO : statssales - you can now filter by country
	[*] FO : remove unuseful images
	[*] Swift (mails) updated to 3.3.3
	[*] BO : modules page should no more display a blank page when there's a parse error in a module
	[*] PDF : fixed a display bug
	[*] BO : stats modules with grids now take the date into account
	[*] FO : wash css file
	[*] FO : wash css file
	[*] FO : wash css file
	[*] FO : wash css file
	[*] Installer : added "active" fields to customer_group
	[*] Classes : added isMemberOfGroup() function in Customer.php
	[*] BO : Added average cart in referrers' tab and converted rate in percent
	[*] FO: Create an address alias for billing on authentication 
	[*] FO : Save addresses choices on change in order-address.tpl
	[*] BO : add set_db function
	[*] FO : 404 page now manage images
	[*] BO : Fix Tiny MCE height in AdminProducts.php
	[*] BO : Documentation of the .htaccess generation tool improved
	[*] TR : new FR translations
	[*] FO : Small enhancement for addresses choice in address.tpl
	[*] FO : Code fixes and new way to add an address in order-address.tpl
	[*] FO : Replace weird footer links
	[*] TR : new FR translations
	[*] DB : Added several indexes and unified install file
	[*] MO : Pages not found improved
	[*] BO : Tags tab improved
	[*] BO : Referrers ar now show on the customer page
	[*] FO : Withdraw a POST call on dom ready in order-address form
	[*] BO : module translations system now catch subdir (one level depth)
	[*] TR : updated FR translations for modules
	[*] BO : States can now be 1- to 4-letter long
	[*] MO : adding a french translation for the "canonical url support" module
	[*] MO : minor improve for the "Canonical URL" module
	[*] FO : new search improvements
	[*] MO : PayPal now support header image and cancelUrl
	[*] BO : New cache/index layer for tracking/affiliation
	[*] BO : added new translations for AdminGenerators
	[*] FO : added a new hook for redirect before payment (last step)
	[*] TR : new FR translations
	[*] FO : added new order state (PayPal pending)
	[*] FO : search improved (bug with '-' and some css changes)
	[*] BO : Small nowrap fix for catalog
	[*] FO/BO : improved Tools::getTimezones() by adding a table
	[*] Classes : no more blacklist in Db.php
	[*] Classes: Optimization of category discount
	[*] BO : added a trim() call in toolbar.php
	[*] FO : the "Add to cart" button inactive while a product is being added to the cart, fixed #1644
	[*] MO : statsvisits optimization
	[*] BO : Enhance quick search focus/blur
	[*] TR : new FR translations
	[*] MO : now display an error if no template found
	[*] Db : Table keys improvement
	[*] DB : Add index forgotten
	[*] BO : Cart records in Stats Tab improved (taxes, attributes...)
	[*] Classes : Message has now 1600 chars limit
	[*] FO : added mime type to product attachments
	[*] BO : better deletion of product attachments
	[*] BO : Range explanations improved

	Fixed bugs :

	[-] FO : Contact form display fixed (when description was too long)
	[-] FO : Product combination discounted price fixed when current currency was different from the default one
	[-] FO : JavaScript errors display fixed (on product page)
	[-] MO : Blockcart product name truncate fixed
	[-] MO : Cheque module code fixed
	[-] BO : Customizable product creation fixed
	[-] BO : fixed bug while listing customer messages in AdminMessages
	[-] FO/BO : fixed various bugs
	[-] MO : referralprogram - id_customer is no longer unique in database
	[-] MO : fixed mail bug in referralprogram
	[-] MO : fixed display bug in referralprogram
	[-] BO : fixed link bug in AdminGroups
	[-] Installer : fixed SQL bug (;)
	[-] FO : "Free order" string encoding fixed
	[-] BO : Combination management fixed (creation & update)
	[-] FO : Color picker display fixed (when more than 7 colors was displayed)
	[-] MO : fixed various bugs in ReferralProgram
	[-] BO : fixed bug while editing combination
	[-] BO : artichow and geolocation now works even without anti-aliasing
	[-] FO : Friendly URL for product and category images
	[-] BO : Fixed category image position
	[-] BO : bug "no statistics for january 2009" fixed
	[-] BO : you can now delete a customer without affecting existing orders
	[-] FO : when customer use a free shipping voucher, no longer display "Total remains for free shipping"
	[-] MO : statssales - wrong totals fixed
	[-] MO : statssales now  take the currency into account
	[-] MO : statsbestbustomers now take the currency into account
	[-] MO : statsbestproducts now take the currency into account
	[-] MO : statsbestcategories now take the currency into account
	[-] MO : statsbestvouchers now take the currency into account
	[-] BO : Referrers stats now take the currency into account
	[-] FO : IE6 general fixes
	[-] FO : fix bug #1034 (star red squares for product comments)
	[-] Classes : Weight calculation fixed
	[-] Installer : fixed bug in doUpgrade
	[-] FO : new products pagination bug fix
	[-] FO : Customized product addition to cart fixed (when file inputs were required)
	[-] BO : Product deletion fixed
	[-] BO : Product duplication fixed
	[-] DB : Dead code cleaned
	[-] FO : NULL values fixed (inside templates)
	[-] Installer : updated FR translation
	[-] Installer: Fixed bug in setting all categories to discounts on updater
	[-] IN : update from 1.1.0.1 fixed (bug with CMS when some modules weren't installed)
	[-] FO : avoid a very rare hack attempt on the http referrer
	[-] BO/FO: fixed bug in freeshipping discounts when calculating ShippingCost
	[-] Installer : fixed default value bug for cart data
	[-] PDF : None latin character support fixed
	[-] BO : fixed bug while processing AdminCustomers
	[-] Installer : CMS data are now in lite mode too
	[-] Installer : carriers are now set directly in simple mode
	[-] FO : now generate an invoice if order state send e-mail with PDF
	[-] FO : fixed #1201 : manufacturer link fixed
	[-] Module : fixed 1196 whishlist error
	[-] BO : added 'invoice' hook in AdminOrders
	[-] BO : now send correctly message to customer
	[-] MO : sitemap fixed and improved
	[-] FO : product with only attributes without stock where displayed at 0?
	[-] BO : fixed some bugs while editing customers
	[-] BO : lang was not the right one for some stats module graphs
	[-] Classes : fixed bug in PaymentModule
	[-] FO : Product::getPriceStatic automatically get default attribute when called if not specified
	[-] BO : AdminBackup dispay fixed
	[-] MO : blockcurrencies display fixed (when a currency did not have any sign but characters)
	[-] Class : supplierExists() SQL query fixed
	[-] MO : Mailalert module code fix
	[-] BO : Image import fixed
	[-] Classes : fixed bug while adding similar tags
	[-] Installer : Last step controllers fixed
	[-] BO : Customer stats (number of validated orders, total paid since account creation) fixed
	[-] Classes : fixed bug while selecting customer's stats
	[-] BO : Product duplication fixed (false error)
	[-] FO : fixed #1074 : block categorie when depth = 0
	[-] BO : Disable console.log that crashes FF3 and IE6
	[-] Installer : UTF-8 support in data sending by forms
	[-] FO : Product sort (in categories) fixed (hack for PHP 5.1.6)
	[-] MO : blockcategories module fixed (SQL query fixed)
	[-] FO: Fixed bug getProducts where orderby price when products have reductions
	[-] Installer : SQL file fixed (duplicate entry)
	[-] Installer : fixed bug in default admin tabs
	[-] MO : Mailalerts module fixed (delivery & invoice state object added)
	[-] MO : sekeywords do not warn anymore when it's wrong
	[-] FO : hide a useless message
	[-] MAILS : fixing encoding...
	[-] FO : Break template displaying when Ajax call from order-address.js
	[-] BO : you can now edit a product page
	[-] Installer : Multipictures for combinations SQL table creation added
	[-] FO : Multipictures for combinations display fixed
	[-] BO : rights fixed on stats > referrers when saving direct traffic configuration
	[-] BO : PDF Multi invoices & multi delivery slips' encoding fixed
	[-] Installer : Order status hidden property added to the database
	[-] BO : Manufacturer addresses list fixed (deleted addresses do not appear anymore)
	[-] BO : Product "save & go back to category" button does not appear anymore when employee does not come from a none category page
	[-] BO : Order display fixed (when customer name was too long)
	[-] BO : Product cancellation (before the status "payment accepted") fixed (the order's total was wronlgy changed)
	[-] BO : Order detail display fixed (ambigiouses existed between cancelled, refunded & returned products)
	[-] BO & FO : Invoices fixed (refounded & returned quantities)
	[-] Classes : fixed bug while checking if virtual product in ProductDownload
	[-] FO : fixed #1138 gray box in the summary
	[-] FO : fixed bugs in order-address.js and order-address.tpl
	[-] FO : Fix bug when no carriers defined 
	[-] FO : Do not create anymore a second address on account creation 
	[-] BO : Fix bug when importing images with no product ID in AdminImport.php 
	[-] FO : Fixed bug in css for search_block_top background
	[-] BO:  Fixed unable to translate two links in loyalty.tpl and referralprogram-program.tpl
	[-] MO : Re enable 2 translations in mywishlist.tpl
	[-] FO : fix newsletter block input size
	[-] FO : fix rss block links (#1087)
	[-] FO : fix thickbox legend display (#1406)
	[-] BO : fixed display bug
	[-] BO : fixed bug while adding category with group
	[-] BO : Fixed employee name in order detail
	[-] BO : Renamed translation file for date picker (Swedish language)
	[-] MO: fixed bug in refererral program when you update the order status
	[-] MO : Translate subject for referral program congrats email
	[-] MO : Enable translation for error when not logged
	[-] MO : BlockWishList: Solve many bugs
	[-] FO : fix url rewriting bug (fixed #1249)
	[-] MO : Revert changes from revision 466
	[-] BO : Order products' cancellation fixed
	[-] MO : Blocknewproducts fixed (the second image is not displayed anymore when there is only one new product)
	[-] FO : Product researches ordered by manufacturer name fixed
	[-] FO : Product url rewriting fixed (category name)
	[-] Classes : validation controls fixed
	[-] Classes : ObjectModel property filling fixed (when ids = 0)
	[-] FO : image map fix (#1268)
	[-] FO : fix cms display (#1372)
	[-] BO : fixed bug on images when deleting multiple products
	[-] FO : fix View Full Size image not working bug (#1400)
	[-] MO : Can?\226?\128?\153t translate Errors messages in blockwhishlist (fixed #1418)
	[-] BO : Product cover changing refresh the product miniature
	[-] BO : Product image addition does refresh the product miniature if defined as the product cover
	[-] FO : Product customization deletion from cart fixed
	[-] FO : fix image display in image list (#1421)
	[-] BO : Definitely fixed the counting rows bug for all the BO tables
	[-] FO/BO : fix "no more french translation" bug
	[-] BO : temporary (or not) fix for BO forms asking for fields that are not visible
	[-] FO : No bad redirect when changing language on a product page
	[-] FO : HTTPS is now allowed in Validate::isAbsoluteUrl
	[-] FO : improve breadcrumb display (fixed #1491)
	[-] BO : Probably fix the cache problem with the attributes in the product page
	[-] BO : Link to PDF invoice in order page fixed
	[-] BO : Tags addition fixed
	[-] BO : Bug with referrers and product ids fixed
	[-] Installer : fixed some bugs between full and upgrade installation
	[-] DB : Stats optimization
	[-] SO: validateOrder now set good value on valid field
	[-] Classes : AdminCart code cleaned/optimized
	[-] MO : Take theme template for rules
	[-] FO : Security patch
	[-] FO : Security patch
	[-] Security : URL control regexp fixed !
	[-] FO : Search only for active products
	[-] BO : Controllers fixed (when 0 value sent)
	[-] BO : Voucher form filter (customer) memorization fixed
	[-] FO : fix product page bug when loyalty is enabled
	[-] BO : Fix filtering in orders listing
	[-] BO : Fix bug in filtering customers for a voucher
	[-] Classes : fixed bug in Order and PaymentModule with set invoice number
	[-] FO : Fix bug when printing pdf file
	[-] BO : Fix bug when trying to duplicate product
	[-] BO : Fix AdminDiscounts.php ajax selection for attributing a voucher to someone or everyone
	[-] BO : Backup fixed for huge databases
	[-] BO : fixed icon bug
	[-] MO : fixed vicious bug with daily stats with some versions of MySQL
	[-] Class : Default product combination selection fixed
	[-] FO : Default product combination addition to the cart fixed
	[-] FO : Last quantity message display fixed
	[-] BO : Product positioning inside category fixed (conficted with pagination)
	[-] BO/FO/MO : fixed various minor bugs
	[-] BO : Import do not duplicate manufacturer and supplier anymore
	[-] BO : Fix bug in AdminMeta.php
	[-] Installer : scene_products table primary key fixed
	[-] BO : AdminGenerator link (on the Preference tab) fixed
	[-] BO : CSV Importation encoding clarification
	[-] BO : OrderStatuses update/creation fixed
	[-] BO : OrderStatuses preview icon fixed
	[-] BO : CSV importation denomination fixed
	[-] Core : date records fixed
	[-] Installer : full version fixed (french text translated)
	[-] TR : Loyalty module translation fixed (french)
	[-] MO : removed conflict on blocknewproduct
	[-] MO : statssales and somes others are now based on invoice date instead of order date
	[-] BO : attribute weight is now saved in the order (it was not the case earlier, only the product weight)
	[*] BO : Last connection date added in the customer tab
	[-] FO : Payment module aren't duplicated anymore
	[-] BO : Fix bug in updater when file not exists but module exists in base
	[-] FO : No more crashes with DateTimeZone
	[-] FO : one less warning for timezones
	[-] BO : CSS bug fix for drag and drop
	[-] BO : Fix bug on non-positionnable hook checkbox for IE6
	[-] BO : Code fixes in ajax.php
	[-] BO : Fix blank page / seg fault in AdminImport.php, fix Attributes import and withdraw location from attributes
	[-] BO : Withdraw display error // Small change
	[-] BO : Fix code to avoid security hole in ajax.php
	[-] BO : Image upload fixed
	[-] Mail : UTF-8 charset fixed (utf8_encode removed)
	[-] Mails : all files are now in UTF-8
	[-] BO : Default category selection fixed (for new products)
	[-] BO : Fix css for H4 tabs
	[-] BO : Order preloaded message length doubled
	[-] FO : Product customization price fixed on the cart summary (was rounded down)
	[-] MO : Fix bug when no checkboxes enabled
	[-] BO : Fix bug when no cms activated
	[-] MO : Truncates fixed (with none latin characters)
	[-] FO : Smart deletion for file attachments
	[-] FO : ajax cart behaviour is now fixed when back and previous browsers buttons are used, fixed #1603
	[-] FO : Reference nbr in FO is now hidden as soon as the page starts to load when attributes are present, fixed #1479
	[-] MO : fixed some bugs in blockinfos configuration
	[-] BO : Do not resize when simply editing a Manufacturer or Supplier
	[-] BO : Fix no displaying errors when tabs is in container
	[-] BO : Fix bug when error on uploading image and resizing
	[-] BO : Fix Bug for translating
	[-] FO : Customized product deletion fixed (was updating quantity of all cart products)
	[-] Installer : forgot default tags nbr (blocktags)
	[-] FO : State requirement fixed (while signing up)
	[-] FO : fix new-products pagination, fixed #1663
	[-] DB : old fulltext indexes dropped
	[-] FO : Emails sent through the contact form have now the sender email as "Return-path"
	[-] BO : Attribute import fixed (when several attributes got the same name but was not inside the same group)
	[-] BO : CSV Tag import fixed
	[-] Classes : fixed missed bool "private" in getMessagesByOrderId in Message
	[-] BO/FO : fixed several bugs while calling Tools::displayDate()
	[-] FO : Category id limitation removed (was 9999 and annoying when importing from an external CSV)
	[-] FO : fixed TOS checked bug
	[-] BO : fixed display in AdminProducts
	[-] MO : fix blockCategory modules bug, fix #1154
	[-] FO/BO : Last password generation time fixed
	[-] MO : Mail alert install confirmation fixed
	[-] BO : Product Import does not erase the "date_add" attribute anymore
	[-] FO : Group reduction is now fixed on product page, fix #1572
	[-] BO : Address import fixed (country association)
	[-] BO : Import fixed (when english language was deleted)
	[-] BO : AdminAddress fixed
	[-] Class : Configuration::getMultiple() fixed
	[-] BO : Downloadable product file upload fixed (do not upload the file twice anymore)
	[-] BO : Order slip fixed (code fix)
	[-] BO : Delivery slip fixed (when some products were refunded)
	[-] BO : Product & category image deletion fixed ("mini" image deletion added)
	[-] FO : Breadcrumb fixed (when customer comes from a module to the product page)
	[-] MO : Google sitemap module fixed (inactive cateories & products are not displayed anymore)
	[-] MO : Cash on delivery installation fixed (return value)
	[-] TR : Email translations improved
	[-] TR : Translation fixed
	[-] BO : Character encoding fixed (javascript)
	[-] FO : Fix lack of $cookie when creating object
	[-] TR : French translation fixed
	[-] BO : Country "enable" filter fixed
	[-] BO : BO filters fixed
	[-] BO : Debug removed
	[-] BO : Category import fixed (default customer group association added)
	[-] Doc : File header updated (1.2)
	[-] BO : No image resize on empty filename
	[-] Installer : upgrade fixed
	[-] Installer : SQL update fixed
	[-] Installer : SQL update fixed
	[-] Installer : SQL update fixed (search engine queries) 
	[-] Installer : Upgrade fixed
	[-] MO : BlockWishlist fixed displaying on switching customer
	[-] MO : fix little bug in wishlist translation dispay (#1443)
	[-] FO : fix required field bug on product page with customization activated (#1380)
	[-] MO : fix display of referral rules (#1450)
